2008-09-25 08:04  tonvoon

	* [r2056] plugins/tests/check_http.t:
	  Fix small test failure

2008-09-25 08:01  tonvoon

	* [r2055] doc/LEAVERS, doc/NEW_STARTERS, doc/RELEASING:
	  Moving project administration documents to nagiosplugins.org site

2008-09-02 12:28  dermoth

	* [r2054] plugins/check_ntp_peer.c:
	  Typo

2008-09-02 11:26  hweiss

	* [r2053] THANKS.in, plugins/check_http.c:
	  Some HTTP server applications/configurations cause trouble if the
	  port is explicitly specified in our "Host:" header line.
	  Therefore, we now specify the port only if we're using a
	  non-default port (Erik Wasser - 2082501).

2008-09-02 03:42  dermoth

	* [r2052] NEWS, plugins/check_ntp_peer.c:
	  Fix possible segfault in check_ntp_peer with deliberately invalid
	  packets

2008-09-01 14:04  dermoth

	* [r2051] NEWS, plugins/check_ntp_peer.c, plugins/check_ntp_time.c:
	  check_ntp_peer/check_ntp_time used to show port in --help but
	  ignored the argument - now implemented.

2008-09-01 14:04  dermoth

	* [r2050] NEWS, THANKS.in, plugins/check_http.c:
	  Revert "Re-structure the HTTP 1.1 headers to prevent 301s on
	  servers with virtual hosts"
	  
	  This reverts commit 2030

2008-09-01 12:20  hweiss

	* [r2049] plugins/check_http.c:
	  Under some circumstances, the 'url' path of a redirection target
	  missed a leading slash. While this was fixed later on, the
	  incomplete 'url' was used for redirection loop detection and
	  error messages. This is now fixed by adding the missing slash
	  immediately.

2008-08-25 18:39  tonvoon

	* [r2048] plugins/tests/check_http.t:
	  Fix HTTP::Daemon::VERSION to get a fixed header size for tests
	  (Sven Nierlein)

2008-08-25 13:26  tonvoon

	* [r2047] plugins/tests/check_http.t:
	  Updated with more tests re: multiple status codes (Sven Nierlein)

2008-08-25 11:42  hweiss

	* [r2046] NEWS, THANKS.in, plugins/check_http.c,
	  plugins/tests/check_http.t:
	  The "-e" option now accepts a comma-delimited list of expected
	  status lines (Sven Nierlein - 1894496).

2008-08-22 13:08  tonvoon

	* [r2045] plugins/tests/check_http.t, plugins/tests/var/root:
	  Added HTTP tests for status codes

2008-08-21 21:52  tonvoon

	* [r2044] configure.in:
	  Only include extra-opts tests if libtap is enabled

2008-08-21 15:21  tonvoon

	* [r2043] NEWS:
	  Note re: --enable-libtap

2008-08-21 15:18  tonvoon

	* [r2042] lib/tests/Makefile.am, lib/tests/test_all.t,
	  lib/tests/test_base64.t, lib/tests/test_cmd.t,
	  lib/tests/test_disk.t, lib/tests/test_ini.t,
	  lib/tests/test_opts.t, lib/tests/test_tcp.t,
	  lib/tests/test_utils.c, lib/tests/test_utils.t:
	  Correctly link to included libtap. Simplify invoking test
	  scripts. Removed basename test as we should use base_name from
	  GNUlib which is tested separately

2008-08-21 15:15  tonvoon

	* [r2041] tools/tinderbox_build:
	  Fix regexp of version number of snapshot

2008-08-21 15:12  tonvoon

	* [r2040] Makefile.am:
	  Remove .svn files in distribution

2008-08-21 15:12  tonvoon

	* [r2039] external/tap-1.01-altinity.tar.gz,
	  external/tap-1.01-nagios-plugins.tar.gz, tools/setup:
	  Renamed altered tap file to nagios-plugins

2008-08-21 09:41  dermoth

	* [r2038] plugins/check_ntp_peer.c:
	  Nothing

2008-08-21 04:22  dermoth

	* [r2037] plugins/check_ntp_peer.c:
	  Misplaced comment

2008-08-21 04:17  dermoth

	* [r2036] plugins/check_ntp_peer.c:
	  Complete rewrite of the extract_value function
	  
	  The original one was flawed (easy to trigger segfaults) and did
	  not allow some whitespaces as permitted by rfc1305. This one has
	  been troughfully tested with tap (the testing code might get
	  included later)

2008-08-21 04:17  dermoth

	* [r2035] lib/parse_ini.c, lib/parse_ini.h, lib/tests/test_opts.c:
	  Typos in comments

2008-08-16 04:47  dermoth

	* [r2034] plugins/check_mysql.c, plugins/check_mysql_query.c:
	  Fix assignment written as a comparison in validate_arguments()
	  when db_pass is NULL (Patch from
	  http://blog.barfoo.org/projects/rpms-for-sles10)

2008-08-16 04:47  dermoth

	* [r2033] plugins/check_fping.c:
	  Fix check_fping --help output (Patch from
	  http://blog.barfoo.org/projects/rpms-for-sles10)

2008-08-16 01:52  dermoth

	* [r2032] plugins/t/check_by_ssh.t:
	  Typo

2008-08-08 16:12  tonvoon

	* [r2031] plugins-root/pst3.c:
	  Close on fd

2008-08-08 02:25  dermoth

	* [r2030] NEWS, THANKS.in, plugins/check_http.c:
	  Re-structure the HTTP 1.1 headers to prevent 301s on servers with
	  virtual hosts

2008-08-08 02:08  dermoth

	* [r2029] plugins-root/check_icmp.c:
	  Typo in --help output

2008-08-05 11:14  dermoth

	* [r2028] tools/devmode:
	  Set -D_FORTIFY_SOURCE=2, and added a comment with link to
	  explaination of this flag.

2008-07-28 20:15  psychotrahe

	* [r2027] plugins-root/check_icmp.c:
	  -b option now specifies ICMP data bytes instead of packet size

2008-07-17 07:06  psychotrahe

	* [r2026] NEWS, plugins-root/check_icmp.c:
	  Add support for packet size modification (-b)

2008-07-10 10:03  dermoth

	* [r2025] plugins/check_disk.c:
	  Verbose should not have to exceed 3 as per developement
	  guidelines

2008-07-10 10:03  dermoth

	* [r2024] tools/devmode:
	  Add -D_FORTIFY_SOURCE

2008-07-10 10:03  dermoth

	* [r2023] plugins/check_ups.c:
	  Typo in check_ups

2008-07-09 21:54  psychotrahe

	* [r2022] plugins/t/check_snmp.t:
	  rewrote check_snmp.t to use Test::More added perfdata checking
	  for string values

2008-07-09 21:53  psychotrahe

	* [r2021] NEWS, plugins/check_snmp.c:
	  check_snmp now only prints perfdata for non numeric values (Joerg
	  Linge #1867716)

2008-07-08 10:09  tonvoon

	* [r2020] Makefile.am, tools/tinderbox_build:
	  Removed libtap configuration for the moment, as tinderbox builds
	  are breaking

2008-07-08 09:31  tonvoon

	* [r2019] NEWS, lib/utils_cmd.c, lib/utils_cmd.h,
	  plugins/Makefile.am, plugins/check_procs.c:
	  check_procs captures stderr and adds to plugin output. This is
	  from a merge of branch nagiosplug/branches/new_threshold_syntax
	  1979:1982

2008-07-06 12:57  hweiss

	* [r2018] plugins-root/check_dhcp.c:
	  Don't try to set the "SO_BROADCAST" socket option for unicast
	  requests. (Also, removed the unused "DHCP_UNICAST_FLAG" macro.)

2008-07-02 20:07  tonvoon

	* [r2017] lib/tests/Makefile.am:
	  Use tap.h from the libtap directory

2008-07-02 20:00  tonvoon

	* [r2016] plugins-root/Makefile.am, plugins-root/pst3.c:
	  Change pst3 again, this time to remove use of kvm which is not
	  available in Solaris 10 non-global zones. Uses /proc, which is
	  not available in older versions of Solaris.

2008-06-30 14:32  tonvoon

	* [r2015] tools/setup:
	  Fixed bug in tools/setup if docbook was run

2008-06-30 09:01  tonvoon

	* [r2014] Makefile.am:
	  Have to list tap_dir manually to get into make dist

2008-06-26 22:00  tonvoon

	* [r2013] Makefile.am, configure.in, external, external/README,
	  external/tap-1.01-altinity.tar.gz, lib/tests/Makefile.am,
	  tools/setup, tools/tinderbox_build:
	  Adding libtap into distribution to help run C based tests

2008-06-17 14:19  tonvoon

	* [r2012] plugins-root/pst3.c:
	  Fixed possible coredump. Removed one level of subroutines (Duncan
	  Ferguson)

2008-06-09 19:47  psychotrahe

	* [r2011] NEWS, plugins/check_dig.c, plugins/t/check_dig.t:
	  Added testcases for check_dig check_dig's -l option is mandatory
	  now (#1986306)

2008-06-02 16:22  tonvoon

	* [r2010] NEWS, plugins-root/pst3.c:
	  Optimised pst3 for systems with large number of processes (Duncan
	  Ferguson)

2008-06-02 16:21  tonvoon

	* [r2009] NEWS, perlmods/Nagios-Plugin-0.22.tar.gz,
	  perlmods/Nagios-Plugin-0.27.tar.gz:
	  Updated Nagios::Plugin perl modules to 0.27

2008-05-30 23:38  dermoth

	* [r2008] NEWS, THANKS.in, plugins/check_http.c:
	  Fix Debian bug #460097: check_http --max-age broken (Hilko
	  Bengen)

2008-05-29 10:21  dermoth

	* [r2007] BUGS:
	  typo

2008-05-27 23:44  tonvoon

	* [r2006] doc/RELEASING:
	  Changed SF file release to use sftp instead of ftp

2008-05-27 22:01  tonvoon

	* [r2004] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  Preparation for 1.4.12 release

2008-05-27 21:52  tonvoon

	* [r2003] THANKS.in, configure.in:
	  Not picking up solaris systems correctly for check_dhcp. Only
	  affected SunStudio compiles of check_dhcp (1890260 - Rob Windsor)

2008-05-27 21:31  tonvoon

	* [r2002] plugins/check_by_ssh.c:
	  Addition to help to state that -f will always return OK if ssh
	  command is executed (Alain Dewit - 1852198)

2008-05-27 13:35  tonvoon

	* [r2001] plugins-root/pst3.c:
	  Add additional PID column heading

2008-05-26 09:43  dermoth

	* [r2000] NEWS:
	  correct typo in NEWS

2008-05-23 09:09  dermoth

	* [r1999] REQUIREMENTS:
	  Add a note about radiusclient

2008-05-22 08:25  dermoth

	* [r1998] NEWS, configure.in:
	  Fix linking against OpenSSL where libdl is required

2008-05-21 08:57  dermoth

	* [r1997] NEWS, plugins/check_by_ssh.c, plugins/t/check_by_ssh.t:
	  Fixed passive option in check_by_ssh Also: - On non-skipped
	  stderr, check_by_ssh now returns UNKNOWN or worse (result from
	  command) instead of always UNKNOWN. - Fixed passive tests and
	  make is always run the specified number of tests (using fail if
	  there's nothing to test).

2008-05-20 11:37  dermoth

	* [r1996] plugins/t/check_by_ssh.t:
	  Oops - forgot to remove the SKIP block (which didn't seem to work
	  fine)

2008-05-20 11:32  dermoth

	* [r1995] plugins/t/check_by_ssh.t:
	  Add check_by_ssh tests (passive checks are broken - should be
	  fixed before next release!)

2008-05-20 07:57  dermoth

	* [r1994] NEWS, plugins/check_radius.c:
	  Clobber password in check_radius process list aguments

2008-05-13 09:14  dermoth

	* [r1992] plugins/check_dns.c:
	  Typo

2008-05-07 10:02  dermoth

	* [r1991] plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	  plugins/check_apt.c, plugins/check_by_ssh.c,
	  plugins/check_cluster.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_ntp.c,
	  plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/utils.h:
	  Added support for --extra-opts in all C plugins (disabled by
	  default, see configure --help)

2008-05-07 10:01  dermoth

	* [r1990] NEWS, THANKS.in, plugins/check_ping.c:
	  Added performance data to check_ping (Christian Schneemann)

2008-05-02 09:28  dermoth

	* [r1989] NEWS, plugins/negate.c:
	  negate now has the ability to replace the status text as well
	  (-s, --substitute) Also changed: - default timeout to 11 instead
	  of 9 (since it's recommended to have a higher timeout, and many
	  plugins default to 10 seconds) - If there's no STDOUT lines
	  returned, still returns the returned result if it's NON-ok
	  instead of forcing it to UNKNOWN

2008-04-30 12:50  dermoth

	* [r1988] NEWS, plugins/check_mysql.c, plugins/check_mysql_query.c,
	  plugins/t/check_mysql.t:
	  Add socket support to check_mysql* Also clears the password from
	  check_mysql command-line options

2008-04-29 14:54  hweiss

	* [r1987] configure.in:
	  Support "--without-pgsql" (reported by Alex Songe via IRC).

2008-04-29 09:01  dermoth

	* [r1986] plugins/check_ntp.c, plugins/check_ntp_peer.c,
	  plugins/check_ntp_time.c:
	  Use UT_THRESHOLDS_NOTES in all plugins

2008-04-29 09:01  dermoth

	* [r1985] plugins-root/check_dhcp.c, plugins-root/check_icmp.c:
	  --help output cleanup (plus removal of spaces on blank lines)

2008-04-27 14:35  dermoth

	* [r1984] plugins/check_apt.c, plugins/check_by_ssh.c,
	  plugins/check_cluster.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_ntp.c,
	  plugins/check_ntp_peer.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_snmp.c, plugins/check_swap.c, plugins/check_ups.c,
	  plugins/utils.h:
	  --help output cleanup (plus removal of spaces on blank lines)

2008-04-23 08:19  dermoth

	* [r1983] plugins/check_radius.c:
	  Correct typo and make the --help notes a bit simpler.

2008-04-17 10:46  dermoth

	* [r1979] plugins/check_dns.c:
	  Correct the help text

2008-04-17 10:37  dermoth

	* [r1978] NEWS, plugins/check_dns.c:
	  Allow to repeat -a to set multiple possible addresses

2008-04-05 08:02  dermoth

	* [r1977] NEWS, plugins/check_ntp.c, plugins/check_ntp_peer.c:
	  check_ntp and check_ntp_peer now show proper jitter/stratum
	  thresholds longopts in --help

2008-04-04 10:11  dermoth

	* [r1976] lib/extra_opts.c, lib/parse_ini.c, lib/tests/test_ini.c,
	  lib/tests/test_opts.c:
	  make parse_ini die like in N::P if section isn't found

2008-04-02 09:19  dermoth

	* [r1974] lib/Makefile.config-opts, lib/tests/Makefile.config-opts:
	  Delete obsolete files

2008-04-02 09:11  dermoth

	* [r1973] configure.in, lib/Makefile.am, lib/parse_ini.c,
	  lib/tests/Makefile.am, lib/tests/test_ini.t,
	  lib/tests/test_opts.t, po/de.po, po/fr.po, po/nagios-plugins.pot:
	  - Add --enable-extra-opts configure option for compiling
	  extra-opts support - Auto-update po/pot files

2008-04-01 09:38  dermoth

	* [r1972] lib/parse_ini.c:
	  fix the obvious...

2008-04-01 09:31  dermoth

	* [r1971] lib/extra_opts.c, lib/extra_opts.h:
	  np_extra_opts now retain pointers from argv so that plugins can
	  still overwrite sensitive options

2008-03-31 07:07  dermoth

	* [r1970] gl:
	  update svn:ignore property (last gnulib update added many
	  auto-generated files)

2008-03-31 07:04  dermoth

	* [r1969] lib/extra_opts.c, lib/tests/test_opts.c:
	  Fix bug with --extra-opts as last argument with no value Fix
	  problem with duplicate function name (function should eventually
	  move to /lib)

2008-03-31 05:31  dermoth

	* [r1968] lib/extra_opts.c, lib/extra_opts.h, lib/parse_ini.c,
	  lib/parse_ini.h, lib/tests/test_ini.c, lib/tests/test_opts.c:
	  Fix for last commit - I accidentaly broke my local Makefile and
	  tests weren't being re-compiled.

2008-03-30 14:02  dermoth

	* [r1967] lib/extra_opts.c, lib/extra_opts.h,
	  lib/tests/test_opts.c:
	  - Remove the last argument of np_extra_opts - Code cleanups and
	  comments

2008-03-29 15:35  dermoth

	* [r1966] lib/tests:
	  Update svn:ignore property

2008-03-26 09:46  dermoth

	* [r1962] lib/parse_ini.c, lib/parse_ini.h, lib/tests/plugins.ini,
	  lib/tests/test_opts.c:
	  write ini-file lookup function + tests

2008-03-24 07:02  dermoth

	* [r1961] lib/extra_opts.c, lib/extra_opts.h,
	  lib/tests/config-opts.ini, lib/tests/test_opts.c,
	  lib/tests/test_opts.t:
	  Add extra-opts argument parsing with tests

2008-03-24 06:28  dermoth

	* [r1960] lib/parse_ini.c, lib/parse_ini.h:
	  Replace broken usage of NAGIOS_CONFIG_PATH with a stub function
	  (that will try to find a config file in the future...) Allow NULL
	  locator (default file/section)

2008-03-20 11:53  dermoth

	* [r1959] plugins/check_dig.c:
	  - Fix bug #1920671 - Make --help output looks nice

2008-03-18 10:59  tonvoon

	* [r1955] plugins/tests/check_procs.t:
	  Include test for check_procs, using input file

2008-03-18 01:21  tonvoon

	* [r1954] plugins/check_procs.c, plugins/tests/var,
	  plugins/tests/var/ps-axwo.darwin,
	  plugins/tests/var/ps_axwo.debian:
	  Updated check_procs with a hidden --input-file option. Include
	  some sample outputs for testing

2008-03-17 23:08  tonvoon

	* [r1953] plugins/t/check_nagios.t:
	  Don't run check_nagios tests on Solaris, because of pst3
	  requirement

2008-03-16 18:10  dermoth

	* [r1951] lib/tests/config-dos.ini, lib/tests/plugin.ini,
	  lib/tests/test_ini.c:
	  Add tests: - DOS-newline ini file - section defined twice

2008-03-15 22:42  dermoth

	* [r1950] lib/parse_ini.c:
	  parse_ini now reads the default section if the request one can't
	  be found. All tests should return ok now.

2008-03-15 21:51  dermoth

	* [r1949] lib/parse_ini.c:
	  Oops - this line shouldn't have been here (doesn't even work
	  anyways) ;)

2008-03-15 20:47  dermoth

	* [r1948] lib/parse_ini.c, lib/tests/plugin.ini,
	  lib/tests/test_ini.c:
	  - Make equal-less parameters illegal - parameters without
	  argument after '=' are now assumed to be argument-less - Add a
	  testcase for space in stanza and various argument-less parameters

2008-03-15 20:34  dermoth

	* [r1947] lib/parse_ini.c:
	  Fix handling of leading and trailing spaces in stanza

2008-03-15 16:17  dermoth

	* [r1946] lib/parse_ini.c, lib/tests/test_ini.c:
	  Fix segfault in test_ini.c and uncomment the affected tests Fix
	  bug in stanza parsing where full section could be skipped Fix
	  single-argument options

2008-03-15 04:51  dermoth

	* [r1945] lib/parse_ini.c, lib/parse_ini.h, lib/tests/test_ini.c,
	  lib/tests/test_ini.t:
	  This commit consist of two changes: 1. Make np_get_defaults
	  return a linked list instead of a string. It will then be easy to
	  convert the linked list back to an argument array. 2. Fix tests
	  3-4 of test_ini.c.
	  
	  A test_ini.t was added too. parse_ini and test_ini aren't
	  included yet in the build makefiles.

2008-03-15 00:14  psychotrahe

	* [r1944] plugins/check_http.c:
	  Add port to Host Header to prevent problems with non default
	  ports (Christophe Dupre #1881898)

2008-03-14 23:47  psychotrahe

	* [r1943] NEWS, plugins/check_dig.c:
	  Added -A/--dig-arguments to check_dig (#1889453/#1874041)

2008-03-14 22:35  psychotrahe

	* [r1942] plugins/check_smtp.c:
	  Enhanced check_smtp to actually print invalid response text
	  (#1911239)

2008-03-14 15:44  tonvoon

	* [r1941] NEWS, plugins-root/Makefile.am, plugins/Makefile.am:
	  Fixed 64 bit pst3 when tries to link to gettext. Gettext linked
	  dynamically, if necessary

2008-03-14 10:17  dermoth

	* [r1940] gl/charset.alias, gl/configmake.h, gl/math.h,
	  gl/ref-add.sed, gl/ref-del.sed, gl/stdio.h, gl/stdlib.h,
	  gl/string.h, gl/unistd.h:
	  These files are generated automatically during the make process,
	  and removed by make clean.

2008-03-11 00:37  tonvoon

	* [r1939] configure.in, gl/m4/mbstate_t.m4:
	  Possible fix for HP-UX compile problems of regex_internal.c

2008-03-11 00:10  tonvoon

	* [r1938] configure.in, lib/utils_base.c, plugins-root/Makefile.am,
	  plugins/check_http.c, plugins/check_smtp.c, plugins/common.h:
	  Fixed link -m64 problems on pst3 for solaris. Fixed
	  _FILE_OFFSET_BITS redefinition warnings. Fixed helper ar error in
	  ./configure

2008-02-28 16:21  tonvoon

	* [r1937] NEWS, configure.in, plugins-root/Makefile.am,
	  plugins-root/pst3.c, plugins/check_procs.c,
	  plugins/t/check_procs.t:
	  Reverted check_procs for solaris back to using pst3 due to
	  truncation for argument fields using other methods

2008-02-28 12:54  tonvoon

	* [r1936] tools/build_perl_modules:
	  Fix where PERL5LIB is blank

2008-02-18 11:23  tonvoon

	* [r1935] NEWS:
	  Added CVE MITRE tracking number

2008-02-13 20:36  psychotrahe

	* [r1934] NEWS, plugins/check_pgsql.c:
	  check_pgsql now builds with postgres lib v8.3 (Jan Wagner
	  #1878972)

2008-02-13 19:14  psychotrahe

	* [r1933] plugins/check_disk.c:
	  Fix --local argument handling (Jan Wagner #1878971)

2008-02-13 15:10  dermoth

	* [r1932] plugins/check_disk.c:
	  Fix broken intending (The whole file use spaces only except my
	  last patch and 1-3 other places).

2008-02-13 11:37  dermoth

	* [r1931] gl:
	  Add two files to svn:ignore

2008-02-13 11:05  dermoth

	* [r1930] lib/utils_base.c, plugins/check_disk.c:
	  set_thresholds now let the user free the thresolds. (P.S.: When
	  you set twice the thresholds for a path in check disk (like using
	  -C followed by -p ) it overrides them. All new elements are
	  created with np_add_parameter which initialises the thresholds to
	  NULL.)

2008-02-13 04:18  dermoth

	* [r1929] NEWS:
	  News, nothing else.

2008-02-13 04:16  dermoth

	* [r1928] plugins/common.h:
	  This floorf workaround is Nnot needed anymore since floorf is
	  part of Gnulib

2008-02-13 04:07  dermoth

	* [r1927] lib/tests/test_base64.c:
	  Reverting patch to test 8-bit data: Still broken on Solaris
	  (7-bit works as before)

2008-02-12 12:03  dermoth

	* [r1926] gl/Makefile.am, gl/base64.c, gl/base64.h,
	  gl/charset.alias, gl/configmake.h, gl/floor.c, gl/floorf.c,
	  gl/m4/base64.m4, gl/m4/floorf.m4, gl/m4/gnulib-cache.m4,
	  gl/m4/gnulib-comp.m4, gl/m4/math_h.m4, gl/math.h, gl/math.in.h,
	  gl/ref-add.sed, gl/ref-del.sed, gl/stdio.h, gl/stdlib.h,
	  gl/string.h, gl/unistd.h, lib/Makefile.am, lib/base64.c,
	  lib/base64.h, lib/tests/Makefile.am, lib/tests/test_base64.c,
	  plugins/check_http.c, plugins/check_smtp.c:
	  Import Gnulib floorf and base64 and removed our old base64
	  library.

2008-02-12 11:07  dermoth

	* [r1925] build-aux/config.rpath, build-aux/link-warning.h,
	  gl/Makefile.am, gl/alloca.c, gl/alloca.in.h, gl/alloca_.h,
	  gl/asnprintf.c, gl/asprintf.c, gl/basename.c, gl/c-strtod.c,
	  gl/cloexec.c, gl/config.charset, gl/creat-safer.c, gl/dirname.c,
	  gl/dirname.h, gl/dup-safer.c, gl/error.c, gl/error.h, gl/exit.h,
	  gl/exitfail.c, gl/exitfail.h, gl/fcntl--.h, gl/fcntl-safer.h,
	  gl/fd-safer.c, gl/float+.h, gl/float.in.h, gl/fsusage.c,
	  gl/fsusage.h, gl/full-read.c, gl/full-read.h, gl/full-write.c,
	  gl/full-write.h, gl/gai_strerror.c, gl/getaddrinfo.c,
	  gl/getaddrinfo.h, gl/gethostname.c, gl/getloadavg.c, gl/getopt.c,
	  gl/getopt.in.h, gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h,
	  gl/gettext.h, gl/inet_ntop.c, gl/inet_ntop.h, gl/intprops.h,
	  gl/localcharset.c, gl/localcharset.h, gl/m4/absolute-header.m4,
	  gl/m4/alloca.m4, gl/m4/extensions.m4, gl/m4/float_h.m4,
	  gl/m4/fsusage.m4, gl/m4/getaddrinfo.m4, gl/m4/getloadavg.m4,
	  gl/m4/gettext.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	  gl/m4/gnulib-comp.m4, gl/m4/iconv.m4, gl/m4/include_next.m4,
	  gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intlmacosx.m4,
	  gl/m4/intmax_t.m4, gl/m4/lib-link.m4, gl/m4/localcharset.m4,
	  gl/m4/lock.m4, gl/m4/longdouble.m4, gl/m4/longlong.m4,
	  gl/m4/malloc.m4, gl/m4/mbchar.m4, gl/m4/mbiter.m4,
	  gl/m4/mbrtowc.m4, gl/m4/memchr.m4, gl/m4/minmax.m4,
	  gl/m4/netinet_in_h.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	  gl/m4/regex.m4, gl/m4/snprintf.m4, gl/m4/socklen.m4,
	  gl/m4/stdint.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	  gl/m4/strcase.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	  gl/m4/string_h.m4, gl/m4/strndup.m4, gl/m4/strnlen.m4,
	  gl/m4/sys_socket_h.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	  gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4, gl/m4/vasprintf.m4,
	  gl/m4/vsnprintf.m4, gl/m4/wchar.m4, gl/m4/wctype.m4,
	  gl/m4/wcwidth.m4, gl/m4/wint_t.m4, gl/malloc.c, gl/mbchar.c,
	  gl/mbchar.h, gl/mbuiter.h, gl/memchr.c, gl/minmax.h,
	  gl/mountlist.c, gl/mountlist.h, gl/netinet_in.in.h,
	  gl/open-safer.c, gl/pipe-safer.c, gl/printf-args.c,
	  gl/printf-args.h, gl/printf-parse.c, gl/printf-parse.h,
	  gl/ref-add.sin, gl/ref-del.sin, gl/regcomp.c, gl/regex.c,
	  gl/regex.h, gl/regex_internal.c, gl/regex_internal.h,
	  gl/regexec.c, gl/safe-read.c, gl/safe-read.h, gl/safe-write.c,
	  gl/safe-write.h, gl/size_max.h, gl/snprintf.c, gl/snprintf.h,
	  gl/socket_.h, gl/stdbool.in.h, gl/stdbool_.h, gl/stdint.in.h,
	  gl/stdint_.h, gl/stdio.in.h, gl/stdlib.in.h, gl/strcase.h,
	  gl/strcasecmp.c, gl/strdup.c, gl/strdup.h, gl/strerror.c,
	  gl/string.in.h, gl/stripslash.c, gl/strncasecmp.c, gl/strndup.c,
	  gl/strndup.h, gl/strnlen.c, gl/strnlen.h, gl/strnlen1.c,
	  gl/strnlen1.h, gl/sys_socket.in.h, gl/unistd--.h,
	  gl/unistd-safer.h, gl/unistd.in.h, gl/unistd_.h, gl/vasnprintf.c,
	  gl/vasnprintf.h, gl/vasprintf.c, gl/vasprintf.h, gl/vsnprintf.c,
	  gl/vsnprintf.h, gl/wchar.in.h, gl/wchar_.h, gl/wctype.in.h,
	  gl/wctype_.h, gl/wcwidth.h, gl/xalloc-die.c, gl/xalloc.h,
	  gl/xmalloc.c, gl/xsize.h, gl/xstrndup.c, gl/xstrndup.h,
	  plugins/common.h, po/Makevars:
	  Sync to latest Gnulib

2008-02-11 21:36  tonvoon

	* [r1924] REQUIREMENTS:
	  Hints re: SSL features

2008-02-11 21:23  tonvoon

	* [r1923] configure.in:
	  Added link to FAQ for redhat spopen problem

2008-01-31 11:52  dermoth

	* [r1920] plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	  plugins-root/pst3.c:
	  Bump plugins-root/ to GPLv3

2008-01-31 11:45  dermoth

	* [r1919] plugins/common.h, plugins/netutils.h, plugins/popen.h,
	  plugins/runcmd.h:
	  Bump plugins/ to GPLv3 (header files)

2008-01-31 11:27  dermoth

	* [r1918] plugins/negate.c, plugins/netutils.c, plugins/popen.c,
	  plugins/runcmd.c, plugins/sslutils.c, plugins/urlize.c,
	  plugins/utils.c:
	  Bump plugins/ to GPLv3 (non-plugind files)

2008-01-31 10:44  dermoth

	* [r1917] plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_ups.c, plugins/check_users.c:
	  Bump plugin/ to GPLv3 (check_overcr to check_users)

2008-01-30 10:53  dermoth

	* [r1916] plugins/check_apt.c, plugins/check_by_ssh.c,
	  plugins/check_cluster.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_ntp.c,
	  plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	  plugins/check_nwstat.c:
	  Bump plugins/ to GPLv3 (check_apt to check_nwstat)

2008-01-30 09:46  dermoth

	* [r1915] lib/utils_disk.c, lib/utils_tcp.c:
	  details...

2008-01-30 09:38  dermoth

	* [r1914] lib/tests/test_base64.c, lib/tests/test_cmd.c,
	  lib/tests/test_disk.c, lib/tests/test_ini.c,
	  lib/tests/test_tcp.c, lib/tests/test_utils.c:
	  Bump lib/tests to GPLv3

2008-01-30 09:33  dermoth

	* [r1913] lib/parse_ini.c, lib/utils_base.c, lib/utils_cmd.c,
	  lib/utils_disk.c, lib/utils_tcp.c:
	  Bump /lib to GPLv3

2008-01-30 09:03  dermoth

	* [r1912] lib/parse_ini.c:
	  new standardized GPLv3 header (will be applied to all C files)

2008-01-29 10:27  dermoth

	* [r1911] NEWS, plugins/check_ntp_peer.c:
	  check_ntp_peer now checks for the LI_ALARM flag

2008-01-29 08:55  dermoth

	* [r1910] NEWS:
	  typo

2008-01-29 08:54  dermoth

	* [r1909] NEWS, plugins/check_ntp.c, plugins/check_ntp_time.c:
	  Fix bugs and flaws in best offset server selection of
	  check_ntp_time and (deprecated) check_ntp

2008-01-26 15:55  dermoth

	* [r1908] NEWS, THANKS.in, plugins/check_ntp_peer.c,
	  plugins/check_ntp_time.c:
	  Fix help text of check_ntp_* (Bug #1880095)

2008-01-15 11:34  dermoth

	* [r1907] NEWS, plugins/check_disk.c:
	  Fix check_disk disk usage calculation when using --group=NAME
	  (related to bug #1348746)

2008-01-15 09:40  dermoth

	* [r1906] NEWS, configure.in:
	  Add AC_SYS_LARGEFILE to configure.in (check_disk should now work
	  with large file systems (2TB+) on all archs that supports it)

2008-01-10 07:49  dermoth

	* [r1905] lib/tests/test_cmd.c:
	  Add a return-code check (also test cmd_run without out/err
	  buffers)

2008-01-09 04:27  dermoth

	* [r1904] tools/tinderbox_build:
	  make test-debug generate lots of false errors in tinderbox.
	  Turning off until we find a solution (so al least we can watch
	  the tinderbox for breakages again)

2008-01-08 23:08  psychotrahe

	* [r1903] plugins/check_dns.c:
	  Fixed reverse lookup damaged by previous commit

2008-01-08 16:05  tonvoon

	* [r1902] plugins/t/check_dns.t:
	  Changed default test values for check_dns (using nagios.com)

2008-01-08 11:57  tonvoon

	* [r1901] plugins/t/check_ftp.t, plugins/t/check_imap.t,
	  plugins/t/check_jabber.t, plugins/t/check_pop.t,
	  plugins/t/check_tcp.t:
	  Reverted commits 1898 and 1899 due to reversion of 1879

2008-01-08 11:51  tonvoon

	* [r1900] NEWS, plugins/check_tcp.c:
	  Reverted commit 1879 where an invalid hostname returns UNKNOWN -
	  back to CRITICAL

2008-01-08 11:35  dermoth

	* [r1899] plugins/t/check_imap.t, plugins/t/check_jabber.t,
	  plugins/t/check_pop.t:
	  more r1879 fixes

2008-01-08 11:27  dermoth

	* [r1898] plugins/t/check_ftp.t, plugins/t/check_tcp.t:
	  Fix test breakages for commit r1879: check_tcp now returns
	  UNKNOWN with an invalid hostname on command line

2008-01-08 02:06  hweiss

	* [r1897] plugins-root/check_icmp.c:
	  Hide some debug output which was printed even without "-v" (under
	  certain circumstances).

2008-01-08 01:51  hweiss

	* [r1896] plugins-root/check_icmp.c:
	  Fix the handling of ICMP packets which are not echo replies (such
	  as destination unreachable messages) or which are not directed at
	  us.

2008-01-08 01:43  hweiss

	* [r1895] plugins-root/check_icmp.c:
	  Get rid of a cast which increases the required alignment.

2008-01-08 01:40  hweiss

	* [r1894] plugins-root/check_icmp.c:
	  Mark some constant strings "const".

2008-01-07 02:04  hweiss

	* [r1893] plugins/netutils.c:
	  Support "[IPv6]" address syntax.

2008-01-07 01:59  hweiss

	* [r1892] plugins/check_http.c:
	  My assumption that "-H example.com:80" didn't work (see my
	  previous commit) was wrong, it worked if used together with "-I".
	  So, here's support for "-H [IPv6]:port", "-H [IPv6]", "-H IPv6",
	  "-H IPv4:port", "-H IPv4", and "-H host:port".

2008-01-06 19:45  hweiss

	* [r1891] plugins/check_http.c:
	  Remove support for specifying the port number using "-H
	  example.com:80". Since this didn't work anyway (because ":80"
	  wasn't stripped from the "host_name" after extracting the
	  "server_port"), nobody can be using this syntax, and it prevents
	  "-H" from accepting IPv6 addresses (neufeind - 1865082). IMO,
	  fixing it to recognize both ":80" and IPv6 addresses isn't worth
	  it, as the ":80" syntax doesn't seem very useful for Nagios
	  plugins (given the way how they are usually called in Nagios
	  command definitions).

2008-01-06 15:44  dermoth

	* [r1890] lib/tests/test_base64.c:
	  Fix base64 test (known string wasn't null-terminated)

2008-01-06 07:04  dermoth

	* [r1889] lib/tests/test_cmd.c:
	  Fix tinderbox breakage

2008-01-06 00:10  psychotrahe

	* [r1888] plugins/check_ldap.c:
	  If unspecified set LDAP_OPT_SUCCESS to LDAP_SUCCESS (Sergei
	  Haramundanis - #1498923)

2008-01-05 14:09  dermoth

	* [r1887] NEWS, plugins/check_ntp.c, plugins/check_ntp_time.c:
	  Fix Bug #1862300: check_ntp_time segfault in 1.4.11 (Also apply
	  to check_ntp)

2008-01-05 01:06  psychotrahe

	* [r1886] NEWS, THANKS.in, plugins/check_dns.c:
	  check_dns now sorts addresses for -a support with multiple
	  address replies (Matthias Urlichs #1724052)

2008-01-04 22:10  psychotrahe

	* [r1885] plugins/check_procs.c:
	  Cleaned check_procs usage output (Ferenc Wagner #1862218)

2007-12-21 14:19  hweiss

	* [r1884] plugins-root/check_icmp.c:
	  Fix INADDR_NONE value (for systems which don't define it).

2007-12-21 14:17  hweiss

	* [r1883] plugins-root/check_icmp.c:
	  Include <sys/sockio.h> (if available) to get SIOCGIFADDR defined
	  on Solaris.

2007-12-21 13:25  hweiss

	* [r1882] NEWS, THANKS.in, plugins-root/check_icmp.c:
	  New "-s" option to specify the source IP address (thanks to
	  Harald Jenny for providing the patch and to Patrick Cervicek for
	  looking into it!)

2007-12-21 04:23  dermoth

	* [r1881] plugins/check_ldap.c:
	  Remove c formating from translated strings (makes translation
	  easier)

2007-12-19 18:41  hweiss

	* [r1880] plugins/check_ldap.c:
	  Fix the "--help" output.

2007-12-19 10:08  tonvoon

	* [r1879] NEWS, plugins/check_tcp.c:
	  check_tcp now returns UNKNOWN with an invalid hostname on command
	  line

2007-12-17 11:47  tonvoon

	* [r1877] NEWS, THANKS.in, plugins/check_nt.c:
	  Add check_nt -v INSTANCES (Alessandro Ren)

2007-12-13 23:17  tonvoon

	* [r1876] plugins/check_nwstat.c:
	  Fixed help output (Christian Mies)

2007-12-13 23:12  tonvoon

	* [r1875] NEWS:
	  NEWS edited for consistent grammar

2007-12-13 22:39  tonvoon

	* [r1873] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  Preparation for 1.4.11

2007-12-13 22:22  tonvoon

	* [r1872] NEWS, THANKS.in, plugins-root/Makefile.am:
	  Fixed VPATH problem in plugins-root (Tom Payerle - 1789000)

2007-12-13 22:09  tonvoon

	* [r1871] NEWS, perlmods/Nagios-Plugin-0.21.tar.gz,
	  perlmods/Nagios-Plugin-0.22.tar.gz:
	  Update to latest Nagios::Plugin

2007-12-12 08:52  dermoth

	* [r1867] ., gl, lib, lib/tests, plugins:
	  Add build files/binaries to the svn:ignore propt

2007-12-12 01:27  tonvoon

	* [r1866] Makefile.am, NEWS, lib/Makefile.am,
	  lib/tests/Makefile.am, perlmods/Makefile.am,
	  plugins-scripts/Makefile.am, plugins/Makefile.am,
	  tools/tinderbox_build:
	  Run tinderbox builds in a test debug mode using "make test-debug"

2007-12-11 13:54  dermoth

	* [r1865] plugins/t/check_ntp.t:
	  D'oh! single escape will be handled by Perl....

2007-12-11 13:31  dermoth

	* [r1864] plugins/check_ntp_peer.c, plugins/t/check_ntp.t:
	  - Fix check_ntp_peer returning misleading information when an
	  ICMP message came back - Try to fix some servers apparently
	  exanding the ~ in threshold ranges in t/check_ntp.t

2007-12-11 12:05  tonvoon

	* [r1863] lib/tests/test_cmd.c:
	  Fixed test so works on MacOSX (use /bin/sh instead of /bin/grep).
	  Added extra test for missing command - should drop into
	  STATE_UNKNOWN

2007-12-11 10:58  tonvoon

	* [r1862] lib/tests/Makefile.am:
	  Add verbose flag so each test result is seen, rather than grouped
	  by test

2007-12-11 05:57  dermoth

	* [r1861] plugins-root/check_icmp.c, plugins/check_cluster.c,
	  plugins/check_http.c, plugins/check_mrtgtraf.c,
	  plugins/check_ntp.c, plugins/check_ntp_peer.c,
	  plugins/check_ntp_time.c:
	  Adding missing function calls needed for i18n (only for plugins
	  already in POTFILES.in)

2007-12-10 08:10  dermoth

	* [r1860] po/fr.po:
	  Some corrections

2007-12-10 07:52  dermoth

	* [r1859] plugins/check_cluster.c, plugins/check_mysql.c,
	  plugins/check_radius.c, plugins/check_snmp.c,
	  plugins/check_swap.c, plugins/negate.c, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  Plenty of french translations (and a few fixes BTW) - No more
	  fuzzy french translations - Only (!) 355 strings to translate

2007-12-10 04:00  dermoth

	* [r1858] plugins/check_ntp.c, plugins/check_ntp_peer.c,
	  plugins/check_ntp_time.c:
	  OOPS! Last commit should have included these files.

2007-12-10 03:40  dermoth

	* [r1857] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  D'autres translations - Err, I mean more translations :)

2007-12-10 02:30  dermoth

	* [r1856] po/fr.po:
	  More translations

2007-12-10 02:10  dermoth

	* [r1855] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  re-update the po files

2007-12-10 02:07  dermoth

	* [r1854] plugins/check_ntp_peer.c, po/fr.po:
	  Some translations

2007-12-10 01:50  psychotrahe

	* [r1853] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  Localization updates for recent changes

2007-12-10 01:13  psychotrahe

	* [r1852] plugins/check_http.c:
	  Fix output when response time is critical. Thanks to Nobuhiro Ban
	  (patch #1817228)

2007-12-10 00:19  psychotrahe

	* [r1851] NEWS, plugins/check_load.c, plugins/t/check_load.t:
	  Fixed check_load argument handling when passing non triplet
	  thresholds. Thanks to Jonathan Kamens (bug #1831890)

2007-12-09 23:36  dermoth

	* [r1850] po/POTFILES.in, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  Gettin' ready for some translation frenzy :)

2007-12-09 17:15  dermoth

	* [r1849] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  update po files and fix a few French translations

2007-12-08 16:34  dermoth

	* [r1848] NEWS, plugins/check_disk.c:
	  Fix check_disk reporting OK if disk usage grows over 100% (bug
	  #1348746).

2007-12-04 12:57  dermoth

	* [r1847] plugins/check_ntp_time.c:
	  Interesting... For some reason it did not take this (patch barfed
	  on it and I thought I had fixed it already)...

2007-12-04 12:38  dermoth

	* [r1846] NEWS, plugins/Makefile.am, plugins/check_ntp_peer.c,
	  plugins/check_ntp_time.c, plugins/t/check_ntp.t:
	  Merge changes from branches/dermoth_ntp_rework
	  (check_ntp_peer/check_ntp_time)
	  
	  NEWS | 13 plugins/Makefile.am | 8 plugins/check_ntp_peer.c | 628
	  ++++++++++++++++-------------------------------
	  plugins/check_ntp_time.c | 323 ++----------------------
	  plugins/t/check_ntp.t | 92 +++++-

2007-12-04 12:27  dermoth

	* [r1843] plugins/check_ntp_peer.c, plugins/check_ntp_time.c:
	  Add the new checks as check_ntp copies to keep full plug-in
	  history

2007-12-04 11:14  dermoth

	* [r1838] plugins/check_ntp.c:
	  missing word in comment block.

2007-11-23 04:21  dermoth

	* [r1830] NEWS, plugins/check_ntp.c:
	  - Use max_state_alt in check_ntp to fix some issues with the
	  latest commits. - Roll back the stratum check as there were
	  issues with it and a better one is already implemented in
	  check_ntp_peer (about to be included)

2007-11-23 04:18  dermoth

	* [r1829] plugins/utils.c, plugins/utils.h:
	  Add a max_state_alt function that put UNKNOWN and DEPENDENT ahead
	  of OK.

2007-11-11 16:29  dermoth

	* [r1827] NEWS, plugins/check_cluster.c, plugins/check_snmp.c:
	  Fix broken usage2 in check_snmp and check_cluster Fix
	  check_cluster blocking some special characters for thresholds
	  ("-", "@", "~")

2007-11-10 17:37  dermoth

	* [r1822] plugins/check_ntp.c:
	  Fix newly added stratum check (has to be decreased by one when
	  using normal NTP packets versus control packets)

2007-11-09 23:24  dermoth

	* [r1819] lib/tests/test_base64.c:
	  Adding svn:keywords props

2007-11-09 22:01  dermoth

	* [r1818] configure.in, lib/tests/Makefile.am,
	  lib/tests/test_base64.c, lib/tests/test_base64.t,
	  tools/distclean:
	  Adding test for base64 lib

2007-11-09 21:17  dermoth

	* [r1817] lib/Makefile.am, lib/base64.c, lib/base64.h,
	  plugins/check_http.c, plugins/check_smtp.c:
	  Moved base64 function to /lib.

2007-11-09 18:24  dermoth

	* [r1816] lib/utils_tcp.h:
	  Nothing to see here...

2007-11-09 17:21  dermoth

	* [r1815] THANKS.in:
	  Credits of check_snmp fix for bug #1815362 (CVE-2007-5623)

2007-11-09 16:05  dermoth

	* [r1814] plugins/check_snmp.c:
	  Fix check_snmp buffer overflow (CVE-2007-5623)
	  
	  This patch comes from the Gentoo Portage tree but I couldn't find
	  the author. I sent an email and will give credits when I get an
	  answer.

2007-11-09 13:08  dermoth

	* [r1813] plugins/check_ssh.c:
	  Close the socket on all exits (not just the OK one)

2007-11-09 13:06  dermoth

	* [r1812] plugins/check_snmp.c:
	  Fix missing \n in --help output

2007-10-25 21:06  dermoth

	* [r1811] NEWS, plugins/check_ntp.c:
	  check_ntp now return UNKNOWN instead of WARNING if jitter is
	  unavailable. If no offset threshold is specified and the offset
	  is unavailable, will return UNKNOWN as well.

2007-10-25 20:43  tonvoon

	* [r1810] plugins-root/check_dhcp.c, plugins/check_ping.c,
	  plugins/check_ups.c, tools/sync_website:
	  Automatically update website with --help output. Cosmetic fixes
	  for some help output

2007-10-24 15:08  hweiss

	* [r1809] THANKS.in, plugins/check_snmp.c:
	  Hide the SNMP community string (and v3 passwords) from error
	  messages (Bernhard Fischer on nagiosplug-devel@)

2007-10-15 06:52  tonvoon

	* [r1808] doc/RELEASING:
	  Add reparagraph option to make ChangeLog output bit prettier

2007-10-14 22:19  hweiss

	* [r1807] plugins/check_http.c:
	  Fix a possible segfault if using "-f follow" and the server sends
	  a forged "LLLLocation" header prefixed with multiple "L"s
	  (fabiodds - 1813346)

2007-10-11 04:21  dermoth

	* [r1806] NEWS, plugins/check_ntp.c:
	  Add stratum thresholds support for check_ntp (feature request
	  #1703823)

2007-10-11 02:56  dermoth

	* [r1805] plugins/check_ntp.c:
	  Use provided threshold functions (no functionnal change apart the
	  check for overlaping thresholds)

2007-10-02 13:51  hweiss

	* [r1804] NEWS, plugins/check_http.c:
	  Fix regression in 1.4.10 where following redirects to relative
	  URLs on virtual hosts failed if both "-H" and "-I" were specified
	  (noted by Rodrigo A. G. Schichaschwili on nagiosplug-devel@)

2007-09-29 10:03  tonvoon

	* [r1803] doc/RELEASING:
	  Updated notes on releasing, mainly for svn

2007-09-29 00:44  tonvoon

	* [r1801] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  Prep for 1.4.10

2007-09-26 10:57  hweiss

	* [r1800] NEWS, plugins/check_radius.c:
	  Drop the weird and undocumented behaviour of using positional
	  argument parsing instead of getopt(3) if 8 command line arguments
	  were given (as suggested by Matthias) and check whether all
	  required arguments have been specified in order to spit out
	  proper error messages and to avoid a possible segfault (as
	  suggested by Thomas).

2007-09-26 04:16  dermoth

	* [r1799] NEWS, THANKS.in, plugins/check_ntp.c:
	  Patch #1798774: check_ntp: honor ntp flags

2007-09-24 19:34  tonvoon

	* [r1798] perlmods, perlmods/Nagios-Plugin-0.20.tar.gz,
	  perlmods/Nagios-Plugin-0.21.tar.gz:
	  Update N::P with new version, redirecting help, version and usage
	  to stdout

2007-09-24 18:51  tonvoon

	* [r1796] doc/developer-guidelines.sgml:
	  State that stderr should not have any output

2007-09-24 00:30  hweiss

	* [r1794] NEWS, configure.in, plugins/netutils.c:
	  Let ./configure --without-ipv6 suppress non-IPv4 DNS lookups
	  (noted by Mark Frost on nagios-users@)

2007-09-23 12:29  psychotrahe

	* [r1793] plugins/check_disk.c, plugins/negate.c:
	  Removed some c99 style comments

2007-09-23 12:26  psychotrahe

	* [r1792] NEWS, plugins/check_by_ssh.c:
	  Added multiline output capability to check_by_ssh. Thanks to
	  Matthias Flacke (#1769653)

2007-09-23 11:18  psychotrahe

	* [r1791] BUGS:
	  removed solved issues

2007-09-23 11:03  psychotrahe

	* [r1790] REQUIREMENTS:
	  Added radiusclient-ng support to requirement notes

2007-09-23 10:58  psychotrahe

	* [r1789] NEWS, plugins/check_disk.c:
	  Fixed bug: stat was called on remote fs even if -l was given
	  Added -L option to call stat on remote fs but without threshold
	  comparison

2007-09-23 09:48  psychotrahe

	* [r1788] NEWS, THANKS.in, configure.in, plugins/check_radius.c:
	  Added radiusclient-ng support for check_radius. Thanks to
	  Sebastien Guay (#1218438)

2007-09-22 17:48  psychotrahe

	* [r1787] lib/utils_disk.c, lib/utils_tcp.c, plugins/check_disk.c:
	  substituted bool/true/false with int/TRUE/FALSE (discussed on
	  np-devel)

2007-09-22 17:40  psychotrahe

	* [r1786] NEWS, lib/tests/test_disk.c, lib/utils_disk.c,
	  lib/utils_disk.h, plugins/check_disk.c, plugins/t/check_disk.t:
	  Added -i/-I to ignore pathes/partitions based on regular
	  expressions Added check_disk -A selecting all filesystems -E
	  option must now be passed before -p or -r/-R Passing -E after -p
	  or -r results in UNKNOWN state Fixed bug when mixing case
	  sensitive and insensitive regexes

2007-09-22 03:00  dermoth

	* [r1785] NEWS, plugins/negate.c, plugins/t/negate.t:
	  Rewrite the "map changes to return codes" patch nearly from
	  scratch.

2007-09-21 23:01  tonvoon

	* [r1784] NEWS, configure.in, lib/Makefile.am,
	  lib/tests/Makefile.am, lib/tests/test_cmd.c,
	  lib/tests/test_cmd.t, lib/utils_cmd.c, lib/utils_cmd.h,
	  plugins/Makefile.am, plugins/negate.c, plugins/t/negate.pl,
	  plugins/t/negate.t:
	  Stop double expansion of parameters for negate - works like time
	  command now

2007-09-21 05:05  dermoth

	* [r1783] plugins/check_disk.c:
	  My solaris box needs %llu to display 64bits integers.

2007-09-21 04:59  dermoth

	* [r1782] plugins/check_disk.c:
	  - Added some variables at verbose==3 - Removed support for
	  verbose<0 (-q). -q was broken and tried to to the same as -e. -
	  -q in now an undocumented alias of -e (for
	  backward-compatibility). NB: Long help text for -d was already
	  missing. - Reordered the switches so that:   a. less-important
	  ones are in alphabetical order b. short and long help orders
	  match. - Enclosed "-p | -x" inside braces instead of brackets as
	  one or the other is required.

2007-09-17 08:19  tonvoon

	* [r1781] Makefile.am:
	  Include directories and files required for perl modules

2007-09-15 14:25  hweiss

	* [r1780] NEWS, plugins/check_smtp.c:
	  Properly handle SMTP server responses which are split into
	  multiple packets (noted by Chris Adams on nagiosplug-help@).
	  TODO: The new recvline()/recvlines() functions should buffer
	  received data instead of reading one byte at a time and they
	  should be moved to netutils.c so that other plugins can use them,
	  too.

2007-09-15 11:55  hweiss

	* [r1779] NEWS, plugins-root/check_icmp.c:
	  Correct all instances of misaligned memory access. This fixes bus
	  erros on platforms which require alignment (such as SPARC and
	  MIPS).

2007-09-15 11:34  hweiss

	* [r1778] tools/devmode:
	  Remove "-Wtraditional" from our development GCC flags. We use
	  ANSI C.

2007-09-13 11:36  tonvoon

	* [r1777] Makefile.am, configure.in, perlmods,
	  perlmods/Class-Accessor-0.31.tar.gz,
	  perlmods/Config-Tiny-2.10.tar.gz, perlmods/Makefile.am,
	  perlmods/Math-Calc-Units-1.06.tar.gz,
	  perlmods/Nagios-Plugin-0.20.tar.gz,
	  perlmods/Params-Validate-0.88.tar.gz,
	  perlmods/Test-Simple-0.70.tar.gz, perlmods/install_order,
	  tools/build_perl_modules:
	  Adding in optional Nagios::Plugin perl module (and dependencies)
	  compilation and installation

2007-08-28 03:19  dermoth

	* [r1771] contrib/check_apc_ups.pl, contrib/check_appletalk.pl,
	  contrib/check_linux_raid.pl, contrib/check_snmp_procs.pl:
	  These plugins assumed the "use lib util.pm;" would be substituted
	  like standard Perl plugins (in plugins-scripts) which isn't the
	  case in contrib. I changed the "use lib" line to use the default
	  path. People using custom paths will have to change it manually.

2007-08-09 12:32  hweiss

	* [r1770] plugins/check_disk.c:
	  Don't use C++ style comments (noted by Johannes Kingma on
	  nagiosplug-help@)

2007-07-31 14:47  hweiss

	* [r1769] plugins/check_smtp.c:
	  Read the response to an SMTP QUIT command before closing the
	  socket (noted by Dieter Hendricks on nagiosplug-help@)

2007-07-29 12:42  hweiss

	* [r1768] lib/utils_base.c:
	  Don't use C++ style comments.

2007-07-27 15:49  hweiss

	* [r1767] tools/tinderbox_build:
	  If the TMPDIR environment variable is set, use that instead of
	  "/tmp" as the installation directory.

2007-07-26 17:32  hweiss

	* [r1766] NEWS, plugins-root/check_dhcp.c:
	  The "--serverip" and "--requestedip" options now accept host
	  names, too. This doesn't quite fit the option names and so far I
	  haven't changed the "--help" output which currently only talks
	  about IP addresses. However, I don't see why resolving host names
	  should not be supported.
	  
	  Also note that for the moment, I added a quick'n'dirty
	  resolve_host() function which should really go into netutils.c. I
	  just wanted to think about its interface a bit more before
	  providing such a function globally.

2007-07-26 12:38  hweiss

	* [r1765] NEWS, plugins-root/check_dhcp.c:
	  New "-m, --mac" option which allows for specifying the MAC
	  address to use in the DHCP request.

2007-07-26 00:46  hweiss

	* [r1764] plugins-root/check_dhcp.c:
	  Make sure strncpy(3)d buffers are nul-terminated.

2007-07-26 00:07  hweiss

	* [r1763] plugins-root/check_dhcp.c:
	  A few minor fixes/improvements which were included with (but
	  unrelated to) the "--unicast" patch (Andreas Ericsson and Heiti
	  Ernits - 1218235)

2007-07-26 00:02  hweiss

	* [r1762] NEWS, THANKS.in, configure.in, plugins-root/check_dhcp.c:
	  New "-u, --unicast" option which gives check_dhcp the ability to
	  mimic a DHCP relay server in order to check remote subnets (Heiti
	  Ernits and Andreas Ericsson - 1218235)

2007-07-24 00:35  tonvoon

	* [r1761] .cvsignore, build-aux/.cvsignore, doc/.cvsignore,
	  gl/.cvsignore, intl/.cvsignore, lib/.cvsignore,
	  lib/tests/.cvsignore, m4/.cvsignore, pkg/solaris/.cvsignore,
	  plugins-root/.cvsignore, plugins-scripts/.cvsignore,
	  plugins/.cvsignore, plugins/t/.cvsignore, po/.cvsignore:
	  Removing all .cvsignore files

2007-07-24 00:35  tonvoon

	* [r1760] tools/sfsnapshot, tools/sfwebcron:
	  Updated to use svn instead of cvs

2007-07-21 16:29  hweiss

	* [r1759] NEWS, plugins/check_http.c:
	  Add "Connection: close" to the HTTP request header, which tells
	  HTTP/1.1 servers to close the connection after completion of the
	  response. This should be compatible with HTTP/1.0, as HTTP/1.0
	  allows for custom header fields which should be ignored if not
	  recognized by the server. With some server configurations, the
	  server would keep the connection alive without this header line
	  (despite the plugin requesting HTTP/1.0), resulting in the plugin
	  running into either the server's or it's own timeout (reported by
	  Roman Schliessmeyer and Jesse Morgan via IRC).

2007-07-15 15:21  psychotrahe

	* [r1758] THANKS.in, plugins/check_procs.c:
	  Make ps column count in zombie detection less restrictive. Thanks
	  to Andrew Elwell (#1280470)

2007-07-14 19:36  psychotrahe

	* [r1757] THANKS.in, plugins/check_smtp.c:
	  Fixed segfault in argument processing. Thanks to Christoph Schell
	  (#1742066)

2007-07-14 18:30  psychotrahe

	* [r1756] THANKS.in, plugins/check_ntp.c:
	  check_ntp: Fixed typo in typo in argument sanity check. Thanks to
	  Aurelien Bompard (#1753506)

2007-07-10 20:45  psychotrahe

	* [r1755] NEWS, plugins/check_disk.c:
	  Added examples for new features to check_disk

2007-07-10 20:18  psychotrahe

	* [r1754] NEWS, plugins/check_disk.c, plugins/t/check_disk.t:
	  Check_disk now calls stat() for all filesystems to check.
	  Check_disk prints an strerror() message if the call of stat()
	  fails.

2007-07-07 22:20  psychotrahe

	* [r1753] plugins/check_ldap.c:
	  Added -v/--verbose argument to call ldap_perror() for detailed
	  messages on failure.

2007-07-07 12:02  psychotrahe

	* [r1752] plugins/utils.c:
	  Changed output order of print_revision print_revision now uses
	  clean_revstring

2007-07-07 11:55  psychotrahe

	* [r1751] plugins-scripts/utils.pm.in:
	  Changed print_revision output order in utils.pm

2007-07-07 11:54  psychotrahe

	* [r1750] plugins-scripts/check_file_age.pl:
	  substituted $ID$ through $Revision$ in print_revision call

2007-07-07 11:40  psychotrahe

	* [r1749] plugins-scripts/check_log.sh,
	  plugins-scripts/check_oracle.sh, plugins-scripts/utils.sh.in:
	  Changed order in -V/--version output Fixed -V output for
	  check_log and check_oracle

2007-07-06 23:03  psychotrahe

	* [r1748] doc/developer-guidelines.sgml:
	  Added hint to avoid using the boolean type in C as discussed on
	  the devel list

2007-06-20 11:09  psychotrahe

	* [r1747] plugins/check_ldap.c:
	  Fixed default behaviour of check_ldaps

2007-06-20 11:00  psychotrahe

	* [r1746] NEWS, plugins/check_ldap.c:
	  Clarified check_ldaps behaviour. New arguments to explicitly
	  select secure connect behaviour (--starttls/--ssl).

2007-06-20 09:01  psychotrahe

	* [r1745] plugins/check_cluster.c:
	  added -V/--version to check_cluster

2007-06-18 20:20  psychotrahe

	* [r1744] REQUIREMENTS, configure.in, plugins, plugins/.cvsignore:
	  Make Linux specific plugin check_ide_smart build if appropriate
	  headers are found

2007-06-17 19:34  hweiss

	* [r1743] plugins/check_http.c:
	  Minor fixes.

2007-06-17 19:22  hweiss

	* [r1742] NEWS, plugins/check_http.c:
	  Fix buffer overflow vulnerabilities when parsing HTTP redirect
	  'Location:' strings using sscanf(3) (Nobuhiro Ban - 1687867)

2007-06-15 18:37  hweiss

	* [r1741] plugins/check_http.c:
	  When following redirects, the plugin supported 'Location:' header
	  fields which spanned multiple lines. However, it was not checked
	  whether extra lines are preceeded with white space, which could
	  lead to the following header field name being interpreted as the
	  value of the 'Location:' field if the latter was empty for some
	  reason.

2007-06-15 18:31  hweiss

	* [r1740] plugins/check_http.c:
	  `host_name' is a NULL pointer if the "-I" flag is used instead of
	  "-H", so use `server_address' instead. Fixes a possible segfault
	  when following redirects to relative URLs (reported by Ingo
	  Lantschner).

2007-06-13 09:43  psychotrahe

	* [r1739] plugins/check_ide_smart.c:
	  Fixed some syntax errors to make check_ide_smart build

2007-06-12 23:18  hweiss

	* [r1738] plugins/check_by_ssh.c:
	  Add "-v" to help/usage output.

2007-06-12 07:13  psychotrahe

	* [r1737] plugins/popen.c:
	  Removed debug line

2007-06-11 20:54  psychotrahe

	* [r1736] THANKS.in, plugins/popen.c:
	  Fixed problem with popen.c not parsing --longopt='foo bar'
	  correctly (Daniel Bimschas #1291987)

2007-06-04 09:07  tonvoon

	* [r1735] THANKS.in:
	  Removed duplicate names

2007-06-04 08:58  tonvoon

	* [r1733] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  For 1.4.9 release

2007-06-03 15:58  psychotrahe

	* [r1732] lib/tests/test_tcp.c:
	  Minor corrections to test_tcp.c

2007-06-03 15:14  psychotrahe

	* [r1731] lib/tests/Makefile.am:
	  Makefile.am changes for test_tcp.c

2007-06-03 15:00  psychotrahe

	* [r1730] configure.in, lib/tests, lib/tests/.cvsignore,
	  lib/tests/test_tcp.c, lib/tests/test_tcp.t:
	  Added test cases for utils_tcp

2007-06-03 14:40  psychotrahe

	* [r1729] NEWS, lib/Makefile.am, lib/utils_tcp.c, lib/utils_tcp.h,
	  plugins/check_tcp.c:
	  Moved check_tcp's expect string testing into utils_tcp for
	  testing purposes. Added -A/--all flag to test for every expect
	  string passed.

2007-06-01 23:11  hweiss

	* [r1728] BUGS, NEWS:
	  Fix possible check_http segfaults when following HTTP redirects.

2007-06-01 23:08  hweiss

	* [r1727] plugins/check_http.c:
	  Fix an off-by-one error where a realloc(3) call doesn't allocate
	  space for nul-termination (Aravind Gottipati - 1729692)

2007-06-01 22:57  hweiss

	* [r1726] plugins/sslutils.c:
	  Call the SSL library initialization functions only once (not for
	  every SSL connection).

2007-06-01 17:06  hweiss

	* [r1725] plugins/sslutils.c:
	  Save an entire CPU cycle if c points to NULL already.

2007-06-01 16:42  hweiss

	* [r1724] plugins/sslutils.c:
	  Set the pointers to the SSL and SSL_CTX objects back to NULL
	  after freeing them in np_net_ssl_cleanup(). This fixes a
	  check_http segfault if an SSL site redirects to a non-SSL one
	  (reported by Aravind Gottipati via IRC).

2007-05-29 20:01  psychotrahe

	* [r1723] plugins/check_tcp.c:
	  Fix segfault when -e is specified multiple times. Thanks to John
	  Rouillard and Ralph Roessner (#1475899)

2007-05-29 19:11  psychotrahe

	* [r1722] plugins/check_tcp.c:
	  No more warn/crit values in performance data if -w and -c are not
	  specified. Thanks to Simon Bellwood (#1181554)

2007-05-29 05:22  dermoth

	* [r1721] NEWS, plugins/check_snmp.c:
	  check_snmp don't warn anymore if something is printed on stderr

2007-05-29 04:25  dermoth

	* [r1720] plugins/check_snmp.c:
	  change a bunch of whitespaces (no code was harmed)

2007-05-27 14:49  psychotrahe

	* [r1719] THANKS.in, plugins-scripts/check_oracle.sh:
	  check_oracle does not need a valid ORACLE_HOME if called with
	  --db. Thanks to Jason Martin (#1505551)

2007-05-27 13:46  seanius

	* [r1718] lib/utils_base.c, lib/utils_base.h,
	  plugins-root/check_dhcp.c, plugins-root/check_icmp.c:
	  added functions to utils_base: np_check_if_root() - returns
	  nonzero if geteuid()==0 np_warn_if_not_root() - uses the above to
	  print an informative warning added uses of these functions to
	  check_dhcp and check_icmp.

2007-05-24 08:53  tonvoon

	* [r1717] plugins/t/negate.pl:
	  Test for new functionality in negate (not automatically run in
	  make test)

2007-05-24 08:35  tonvoon

	* [r1716] plugins/check_dummy.c, plugins/t/check_dummy.t:
	  Tests for check_dummy

2007-05-23 08:22  dermoth

	* [r1715] NEWS, plugins/check_http.c, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  Update many strings in check_http to get more consistent output
	  Update translation files; fix all check_http changes in French
	  and most changes in German.

2007-05-18 07:17  dermoth

	* [r1714] plugins/t/check_tcp.t:
	  Make check_tcp.t compatible with picky web servers.

2007-05-13 20:02  hweiss

	* [r1713] plugins/check_http.c:
	  Add missing options to the usage output.

2007-05-13 12:28  psychotrahe

	* [r1712] THANKS.in, plugins-root/check_dhcp.c:
	  check_dhcp now adds mandatory end option (Thanks to Enrico Scholz
	  - #1675306)

2007-05-12 07:45  psychotrahe

	* [r1711] plugins/check_cluster.c:
	  Fixed glibc error caused in utils_base.c due to uninitialized
	  thresholds struct (spotted on ubundu 6.06 LTS).

2007-05-12 00:49  tonvoon

	* [r1710] ABOUT-NLS, build-aux/mkinstalldirs, configure.in:
	  Updating gettext files from coreutils-6.9. mkinstalldirs needs to
	  be in build-aux for some systems without gettext natively. Also
	  have at top level, though gettext documentation says file not
	  neceesary

2007-05-09 09:16  psychotrahe

	* [r1709] plugins/check_ups.c:
	  small typo in --help

2007-05-09 09:09  psychotrahe

	* [r1708] THANKS.in, plugins/check_ups.c:
	  Fixed --help output (Ask Bjoern Hansen - #1714823)

2007-05-09 08:16  psychotrahe

	* [r1707] plugins/t/check_disk.t:
	  added testcase to verify that old positional arguments only
	  select one path

2007-05-03 20:43  psychotrahe

	* [r1706] ChangeLog, THANKS.in, plugins/check_disk.c:
	  fixed backward incompatibility introduced in 1.4.8 where all
	  partitions are selected, if path is specified as last argument
	  (without using -p). Thanks to Emil Michles (Emilis) on #nagios

2007-05-02 10:11  dermoth

	* [r1705] tools/distclean:
	  Making Solaris happy

2007-05-02 05:30  dermoth

	* [r1704] NEWS:
	  /* Nothing */

2007-05-02 05:22  dermoth

	* [r1703] NEWS, THANKS.in, plugins/check_time.c:
	  Fix check_time returning wrong OK when time is before the epoch
	  on some arch

2007-04-28 21:57  psychotrahe

	* [r1702] plugins/t/check_cluster.t:
	  added test cases for check_cluster

2007-04-25 22:21  tonvoon

	* [r1701] tools/tinderbox_build:
	  Test installs into temporary directories

2007-04-25 22:10  tonvoon

	* [r1700] NEWS, configure.in, plugins/check_load.c,
	  plugins/common.h, plugins/t/check_load.t:
	  check_load can optionally divide by number of cpus

2007-04-23 07:30  hweiss

	* [r1699] plugins/check_ping.c:
	  #ifdef can only test a single macro, not an expression.

2007-04-20 17:55  hweiss

	* [r1698] plugins-root/check_dhcp.c:
	  Remove unused variables.

2007-04-20 17:46  hweiss

	* [r1697] plugins/check_cluster.c:
	  Include "utils_base.h".

2007-04-20 17:45  hweiss

	* [r1696] lib/utils_base.h:
	  Declare print_thresholds().

2007-04-20 17:39  hweiss

	* [r1695] plugins/check_cluster.c:
	  Predeclare functions and remove unused variables.

2007-04-20 17:25  hweiss

	* [r1694] THANKS.in, plugins-root/check_dhcp.c:
	  Use the 'server identifier' option instead of the 'siaddr' field
	  as the DHCP server address; see RFC 2131, 2. (Denis Knauf -
	  1667488)

2007-04-19 03:46  dermoth

	* [r1693] NEWS, configure.in:
	  Fix compilation of check_ldap, check_radius and check_pgsql
	  (*ding*)

2007-04-18 19:31  hweiss

	* [r1692] NEWS, plugins/check_by_ssh.c:
	  Revert my previous change to "-S/--skip" in favour of the two
	  options "-E/--skip-stderr" and "-S/--skip-stdout". Both of them
	  support omitting the number of lines to skip, in which case all
	  output on the respective file descriptor is skipped. "--skip" is
	  kept as an alias for "--skip-stdout" for backwards compatibility
	  with recent releases.
	  
	  Also, print a message if no (non-skipped) stdout/stderr output is
	  available. This fixes a segfault if the remote command prints no
	  output.

2007-04-15 15:17  dermoth

	* [r1691] plugins/check_cluster.c:
	  Localization and help fixes (Thanks Benoit M.)

2007-04-15 09:03  dermoth

	* [r1690] plugins/check_cluster.c:
	  Cosmetic change

2007-04-15 08:56  dermoth

	* [r1689] contrib/check_cluster2.README:
	  More details about the changes

2007-04-15 08:50  dermoth

	* [r1688] NEWS, plugins/Makefile.am, plugins/check_cluster.c:
	  Add thresholds support for check_cluster + lots of
	  standardization. Add forgotten items to NEWS.

2007-04-15 06:44  dermoth

	* [r1687] BUGS, plugins/check_snmp.c:
	  Fix bug #1344584: Counter64 values not handled correctly

2007-04-14 15:07  dermoth

	* [r1686] BUGS:
	  Works for me

2007-04-14 03:09  hweiss

	* [r1685] BUGS, plugins/check_by_ssh.c:
	  Up to revision 1.35, the "-S" option skipped the specified number
	  of lines written to stderr. With revision 1.36 and newer, "-S"
	  skipped the specified number of lines written to stdout. Now,
	  "-S" skips the specified number of lines written to stderr; and
	  if the number specified via "-S" minus the number of lines
	  written to stderr is larger than 0, the difference is used as the
	  number of lines written to stdout to skip. Also, the "--help"
	  output was fixed. (Hector - 1675286)

2007-04-13 11:38  dermoth

	* [r1684] plugins, plugins/.cvsignore:
	  ... Some CVS magic too

2007-04-13 11:35  dermoth

	* [r1683] contrib/check_cluster2.README, plugins/Makefile.am,
	  plugins/check_cluster.c:
	  automake magic for check_cluster

2007-04-11 14:43  tonvoon

	* [r1682] doc/RELEASING:
	  Add news item to nagiosplugins.org

2007-04-11 12:08  tonvoon

	* [r1680] AUTHORS, BUGS, ChangeLog, NEWS, configure.in,
	  package.def:
	  1.4.8 release

2007-04-10 07:17  dermoth

	* [r1679] po/POTFILES.in, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  Add some check_ntp translations

2007-04-10 07:17  dermoth

	* [r1678] plugins/check_ntp.c:
	  - Fix possibility of printing scientific numbers in perfdata -
	  Use fperfdata function for perfdata formatting - Make the
	  printing part a bit more flexible (similar to check_disk)

2007-04-10 05:58  dermoth

	* [r1677] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  Hopefully this is correct. Need to make more changes so I'm
	  commiting these.

2007-04-04 20:08  dermoth

	* [r1676] plugins/check_ntp.c:
	  Fix for getting dispersion instead of jitter on older servers
	  (like xntpd on Solaris).

2007-04-03 17:19  hweiss

	* [r1675] plugins/check_ntp.c:
	  Fix the synchronization source selection on big-endian systems.

2007-04-03 01:31  dermoth

	* [r1674] plugins/check_ntp.c:
	  Temporary fix for jitter calculation

2007-04-02 12:39  hweiss

	* [r1673] plugins/check_ntp.c:
	  Don't rely on the assumption that the size of a READSTAT response
	  is a multiple of sizeof(ntp_assoc_status_pair).

2007-04-02 09:28  tonvoon

	* [r1672] lib/tests/Makefile.am:
	  Add libgnu.a as regex functions required

2007-04-02 07:32  dermoth

	* [r1671] plugins/check_ntp.c:
	  Fix byte order in verbose logging

2007-04-02 06:00  dermoth

	* [r1670] plugins/check_ntp.c:
	  Seems like we don't get any jitter sometimes. While this needs to
	  be fixed we should at least handle it gracefully.

2007-04-01 14:21  psychotrahe

	* [r1669] plugins/t/check_http.t:
	  check_http.t: - added internet_access variable to skip tests
	  where internet access is required. - added host_tcp_http2
	  variable for a webserver serving the string 'nagios' in index -
	  no tests are skipped if the new vars are not defined (existing
	  installations)

2007-04-01 11:17  psychotrahe

	* [r1668] lib/utils_disk.c:
	  utils_disk: fixed handling if check_disk -p is a device
	  (np_set_best_match())

2007-03-31 18:49  hweiss

	* [r1667] NEWS:
	  Various check_ntp fixes

2007-03-31 18:48  hweiss

	* [r1666] plugins/check_ntp.c:
	  Fix an out-of-bounds memcpy(3) and add a realloc(3) error check
	  in jitter_request().

2007-03-31 17:35  hweiss

	* [r1665] plugins/check_ntp.c:
	  Add a warning to the verbose output if jitter_request() found no
	  synchronization source.

2007-03-31 17:29  hweiss

	* [r1664] plugins/check_ntp.c:
	  Avoid division by zero.

2007-03-31 17:25  hweiss

	* [r1663] plugins/check_ntp.c:
	  Remove the '-O' option, as it's ignored.

2007-03-30 15:45  tonvoon

	* [r1662] m4/np_mysqlclient.m4:
	  Use AS_HELP_STRING instead of ACX_HELP_STRING

2007-03-30 14:08  tonvoon

	* [r1661] NEWS, configure.in, m4/np_mysqlclient.m4:
	  Fix AC_CHECK_LIB for mysql_init - add dependent libraries. mysql
	  detection separated into external m4 file

2007-03-30 09:00  psychotrahe

	* [r1660] lib/tests/test_disk.c, plugins/t/check_disk.t:
	  Test Cases for check_disk's -r, -R, -C and -g

2007-03-30 08:56  psychotrahe

	* [r1659] plugins/check_disk.c:
	  check_disk: minor fix for -C if bestmatch != -p

2007-03-30 08:53  psychotrahe

	* [r1658] lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c:
	  check_disk: added regex functionality -r and -R. see np-devel
	  mail (2007-02-10)

2007-03-30 08:52  psychotrahe

	* [r1657] lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c:
	  check_disk: added grouping functionality. see np-devel mail
	  (2007-02-10)

2007-03-30 08:48  psychotrahe

	* [r1656] lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c:
	  check_disk -C is more flexible now. See np-devel post
	  (2007-02-10)

2007-03-29 17:58  hweiss

	* [r1655] THANKS.in, plugins/check_mysql.c:
	  Fix argument processing (Felix Frank - 1690697)

2007-03-29 17:34  hweiss

	* [r1654] plugins-root/Makefile.am:
	  Set the "read" and "execute" bits only for "user" and "group" in
	  order to not overwrite "--without-world-permissions" for the root
	  plugins.

2007-03-29 10:32  tonvoon

	* [r1652] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  1.4.7 release

2007-03-29 10:25  tonvoon

	* [r1651] plugins/check_ntp.c:
	  Adding help text for jitter flags

2007-03-27 06:53  dermoth

	* [r1650] THANKS.in, plugins-root/check_icmp.c:
	  Fix bug #1494629 - check_icmp fails after some time on FreeBSD

2007-03-25 13:55  tonvoon

	* [r1649] NEWS, configure.in:
	  Reinstate --with-nagios-user/group and new
	  --without-group-permissions ./configure options

2007-03-22 17:54  hweiss

	* [r1646] THANKS.in, plugins/common.h:
	  Increase MAX_INPUT_BUFFER from 1k to 8k in order to increase I/O
	  performance (Stefan Meier)

2007-03-16 12:11  gonzai

	* [r1642] plugins-scripts/check_ifoperstatus.pl:
	  Fix bogus 'eq ( || )' constructions in check_ifoperstatus.pl.

2007-03-12 10:51  tonvoon

	* [r1639] NEWS, plugins/check_ping.c, plugins/t/check_ping.t:
	  check_ping's timeout interval is only +1 if ping command has a
	  timeout value. Tests updated to check for 100% packet loss
	  (always if ping has timeout), otherwise will check for "timed
	  out" string

2007-03-11 06:51  dermoth

	* [r1638] plugins-root/t/check_icmp.t:
	  Add tests for new check_icmp switch -m

2007-03-11 02:27  tonvoon

	* [r1637] plugins-root/t, plugins-root/t/check_icmp.t,
	  plugins/t/check_ping.t:
	  Converted check_ping.t to new-style testcases. Added test case
	  for check_icmp - requires sudo access

2007-03-11 01:57  tonvoon

	* [r1636] plugins/check_ping.c:
	  Fixed some help display. Removed -L from usage as deprecated
	  option

2007-03-08 09:09  dermoth

	* [r1635] NEWS, THANKS.in, plugins-root/check_icmp.c:
	  New switch to check_icmp to set the minimum required hosts for
	  success.

2007-03-08 06:12  dermoth

	* [r1634] config_test/child_test.c:
	  Ficing C++ style comments

2007-03-08 06:09  dermoth

	* [r1633] plugins-root/check_icmp.c:
	  Fixed C++ style comments, but I don't get why those lines were
	  originally commented out.

2007-03-06 22:45  tonvoon

	* [r1632] plugins/check_http.c:
	  Fix option handling (Nobuhiro Ban - 1657280)

2007-03-06 22:29  tonvoon

	* [r1631] plugins/check_smtp.c:
	  Fixed compile errors in check_smtp.c

2007-03-06 22:17  tonvoon

	* [r1630] NEWS, THANKS.in, plugins/check_smtp.c:
	  Fixed broken HELO cmd (Enrico Scholz - 1675279)

2007-03-06 17:29  tonvoon

	* [r1629] NEWS, configure.in, plugins/check_procs.c:
	  Use /usr/ucb/ps on Solaris in preference to pst3 (problems in
	  64bit mode)

2007-03-06 17:26  tonvoon

	* [r1628] plugins/t/check_disk.t:
	  Test failure if a filesystem which is a subset of another fails
	  the inode check (Matthias Elbe - 1660953)

2007-03-06 14:18  tonvoon

	* [r1627] NEWS, configure.in:
	  Detect if check_mysql compile will work at ./configure time, due
	  to some Redhat systems distributing mysql_config, but not the
	  include files

2007-03-06 11:03  tonvoon

	* [r1626] configure.in:
	  Clearer message when --with-nagios-user is used for ./configure

2007-03-06 10:48  tonvoon

	* [r1625] FAQ, INSTALLING, NEWS, README, plugins-root/Makefile.am:
	  Root plugins installed with world executable permissions. Removed
	  references to --with-nagios-user and --with-nagios-group in
	  README

2007-03-02 01:38  egalstad

	* [r1624] plugins/check_mrtgtraf.c:
	  Fix for broken check_mrtgtraf

2007-02-24 01:03  dermoth

	* [r1623] doc/makefile:
	  Fix the makefile ('[[' is bash-specific, 'rm -f' don't remove
	  directories)

2007-02-14 20:56  tonvoon

	* [r1622] NEWS, contrib/check_sybase:
	  check_sybase now maintained in NagiosExchange

2007-02-14 20:52  tonvoon

	* [r1621] plugins/check_disk.c:
	  Fixed typo in help for -M

2007-02-14 10:11  tonvoon

	* [r1620] plugins/check_tcp.c, plugins/t/check_tcp.t:
	  Documentation fix re: --escape flag. Fix of ./check_tcp test to
	  webservers to make it more standards compliant

2007-02-09 14:35  tonvoon

	* [r1619] NEWS, THANKS.in, po, po/.cvsignore, po/Makefile.in.in:
	  Fixed MKINSTALLDIRS problem on some systems - Lars Stavholm

2007-02-07 14:46  tonvoon

	* [r1614] lib/Makefile.config-opts, lib/parse_ini.c,
	  lib/tests/Makefile.config-opts, lib/tests/config-tiny.ini,
	  lib/tests/plugin.ini, lib/tests/test_ini.c:
	  Added test files to test the parse_ini.c routines. Requires
	  libtap

2007-02-07 14:06  hweiss

	* [r1613] plugins/check_swap.c:
	  Include <sys/param.h> before <sys/swap.h> in order to fix
	  compilation on OpenBSD (nsturm - 1653934)

2007-02-06 23:30  dermoth

	* [r1612] plugins/check_tcp.c:
	  Correct vim typo in comment block :P

2007-02-06 21:03  opensides

	* [r1611] plugins/check_disk.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_overcr.c,
	  plugins/check_smtp.c, plugins/check_tcp.c, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  correcting some translation problems

2007-02-06 19:33  seanius

	* [r1610] lib/parse_ini.c, lib/parse_ini.h:
	  initial version of ini file parsing routines in C

2007-02-06 18:34  opensides

	* [r1609] po/Makevars:
	  adding PACKAGE_BUGREPORT to fix Report-Msgid-Bugs-To:

2007-02-05 13:51  tonvoon

	* [r1608] AUTHORS, doc/RELEASING:
	  Update list of team members. More notes on new releases

2007-02-05 13:13  tonvoon

	* [r1606] BUGS, ChangeLog, NEWS, configure.in, package.def:
	  For 1.4.6 release

2007-02-02 09:10  dermoth

	* [r1605] plugins/check_snmp.c:
	  Fix parsing of multiple OIDs sets needmibs = TRUE

2007-02-01 06:53  dermoth

	* [r1604] plugins/check_tcp.c, plugins/t/check_jabber.t:
	  Fix progname being partly set to upper case Change formating of
	  invalid hostname output

2007-02-01 05:37  dermoth

	* [r1603] NEWS:
	  Adding NEWS entry for check_jabber

2007-02-01 05:33  dermoth

	* [r1602] plugins-scripts/check_log.sh:
	  Fix bug #1593073 Check_Log problem with log rotation

2007-01-31 22:50  tonvoon

	* [r1601] plugins/t/check_jabber.t:
	  Converted to new style object and Test::More testing. Skipped
	  jabber server tests if not defined

2007-01-31 06:18  dermoth

	* [r1600] plugins/t/check_jabber.t:
	  Add check_jabber test. Will ask for a jabber host (default should
	  be OK)

2007-01-31 04:47  dermoth

	* [r1599] plugins/check_tcp.c:
	  Fix Debian Bug #392610: check_jabber always return warning

2007-01-30 14:24  dermoth

	* [r1598] plugins/check_tcp.c:
	  Jail does not requires any arguments

2007-01-30 09:56  tonvoon

	* [r1597] config.rpath:
	  make dist failing without config.rpath in top level. File copied
	  from build-aux/

2007-01-30 05:01  dermoth

	* [r1596] plugins/check_tcp.c, plugins/t/check_tcp.t:
	  Fix reporting bug using expect, affecting (not fixing) Debian bug
	  #392610: check_jabber always return warning

2007-01-30 02:22  hweiss

	* [r1595] configure.in:
	  grep(1) "-q" isn't portable (e.g., it won't work on Solaris 8),
	  redirect output to /dev/null instead.

2007-01-29 14:14  dermoth

	* [r1594] plugins/check_disk.c, plugins/t/check_disk.t:
	  Revert 1643463 (reversed disk thresholds) keeping the thresholds
	  checks.

2007-01-29 12:13  hweiss

	* [r1593] configure.in:
	  Automake 1.10 says: "compiling `test_disk.c' with per-target
	  flags requires `AM_PROG_CC_C_O' in `configure.in'".

2007-01-29 10:06  tonvoon

	* [r1592] build-aux/config.rpath, config.rpath:
	  Move config.rpath into build-aux for automake 1.10

2007-01-28 22:00  hweiss

	* [r1591] INSTALLING:
	  Remove description of deprecated ./configure
	  --with-nagios-{user,group} options.

2007-01-28 21:46  hweiss

	* [r1590] plugins-root/check_dhcp.c, plugins/check_apt.c,
	  plugins/check_by_ssh.c, plugins/check_dig.c, plugins/check_dns.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_ntp.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_ups.c, plugins/check_users.c, plugins/negate.c,
	  plugins/urlize.c, plugins/utils.c, plugins/utils.h:
	  Don't try to print `optarg' (which will be a NULL pointer) if an
	  unknown command line option was used, as this leads to a segfault
	  on some systems. The unknown option will be printed by getopt(3)
	  anyway. So, simply call print_usage() and exit UNKNOWN via the
	  new usage5() instead.

2007-01-27 21:49  dermoth

	* [r1589] plugins/check_disk.c, plugins/t/check_disk.t:
	  Fix #1643463: Miscalculating thresholds check_disk

2007-01-27 17:49  hweiss

	* [r1588] lib/utils_base.c:
	  Change the variable names `true' and `false' (which are keywords
	  in C99) to `yes' and `no'. Fixes compilation when using SGI's
	  MIPSpro c99(1).

2007-01-27 17:42  hweiss

	* [r1587] plugins/common.h:
	  Include GNULib's "dirname.h" in order to pull in the base_name()
	  prototype, fixes compilation of check_procs using SGI's MIPSpro
	  C.

2007-01-27 16:56  hweiss

	* [r1586] ACKNOWLEDGEMENTS, NEWS:
	  Fix typos.

2007-01-27 16:51  hweiss

	* [r1585] NEWS:
	  Added "-o,--ssh-option=OPTION" which hands "-o OPTION" over to
	  ssh(1) and "-q,--quiet" which tells ssh(1) to suppress warnings
	  (Gerhard Lausser - 1472491)

2007-01-27 16:37  hweiss

	* [r1584] plugins-root/check_dhcp.c:
	  Include <sys/param.h> which is a prerequisite for <sys/sysctl.h>
	  on NetBSD and OpenBSD (at least).

2007-01-25 00:58  tonvoon

	* [r1583] Makefile.am, README, configure.in, doc/RELEASING:
	  Update references to NEWS instead of CHANGES. Fix compile of
	  libtap test programs

2007-01-25 00:26  tonvoon

	* [r1582] build-aux, build-aux/.cvsignore, build-aux/ltmain.sh,
	  config.guess, config.sub, configure.in, ltmain.sh:
	  Use build-aux directory. Removed unnecessary checks in
	  configure.in. Keeping libtool to link to libtap - can't find a
	  suitable replacement method

2007-01-24 23:18  tonvoon

	* [r1581] ACKNOWLEDGEMENTS, CHANGES, NEWS, config.rpath,
	  configure.in, doc/developer-guidelines.sgml, gl, gl/.cvsignore,
	  plugins/Makefile.am, plugins/check_procs.c, po/POTFILES.in:
	  Various cleanups in the syncing with gnulib

2007-01-24 22:47  tonvoon

	* [r1580] Makefile.am, NEWS, config.rpath, configure.in,
	  doc/developer-guidelines.sgml, gl, gl/Makefile.am, gl/alloca.c,
	  gl/alloca_.h, gl/asnprintf.c, gl/asprintf.c, gl/basename.c,
	  gl/c-strtod.c, gl/c-strtod.h, gl/cloexec.c, gl/cloexec.h,
	  gl/creat-safer.c, gl/dirname.c, gl/dirname.h, gl/dup-safer.c,
	  gl/error.c, gl/error.h, gl/exit.h, gl/exitfail.c, gl/exitfail.h,
	  gl/fcntl--.h, gl/fcntl-safer.h, gl/fd-safer.c, gl/fsusage.c,
	  gl/fsusage.h, gl/full-read.c, gl/full-read.h, gl/full-write.c,
	  gl/full-write.h, gl/gai_strerror.c, gl/getaddrinfo.c,
	  gl/getaddrinfo.h, gl/gethostname.c, gl/getloadavg.c, gl/getopt.c,
	  gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h, gl/gettext.h,
	  gl/inet_ntop.c, gl/inet_ntop.h, gl/intprops.h, gl/m4,
	  gl/m4/absolute-header.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	  gl/m4/c-strtod.m4, gl/m4/cloexec.m4, gl/m4/codeset.m4,
	  gl/m4/dirname.m4, gl/m4/dos.m4, gl/m4/double-slash-root.m4,
	  gl/m4/eoverflow.m4, gl/m4/error.m4, gl/m4/exitfail.m4,
	  gl/m4/extensions.m4, gl/m4/fcntl-safer.m4, gl/m4/fstypename.m4,
	  gl/m4/fsusage.m4, gl/m4/getaddrinfo.m4, gl/m4/gethostname.m4,
	  gl/m4/getloadavg.m4, gl/m4/getopt.m4, gl/m4/gettext.m4,
	  gl/m4/glibc2.m4, gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4,
	  gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	  gl/m4/gnulib-tool.m4, gl/m4/iconv.m4, gl/m4/inet_ntop.m4,
	  gl/m4/inline.m4, gl/m4/intdiv0.m4, gl/m4/intl.m4,
	  gl/m4/intldir.m4, gl/m4/intmax.m4, gl/m4/intmax_t.m4,
	  gl/m4/inttypes-pri.m4, gl/m4/inttypes_h.m4, gl/m4/lcmessage.m4,
	  gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	  gl/m4/lock.m4, gl/m4/longdouble.m4, gl/m4/longlong.m4,
	  gl/m4/ls-mntd-fs.m4, gl/m4/mbchar.m4, gl/m4/mbiter.m4,
	  gl/m4/mbrtowc.m4, gl/m4/memchr.m4, gl/m4/minmax.m4,
	  gl/m4/mountlist.m4, gl/m4/netinet_in_h.m4, gl/m4/nls.m4,
	  gl/m4/onceonly_2_57.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	  gl/m4/progtest.m4, gl/m4/regex.m4, gl/m4/safe-read.m4,
	  gl/m4/safe-write.m4, gl/m4/size_max.m4, gl/m4/snprintf.m4,
	  gl/m4/socklen.m4, gl/m4/sockpfaf.m4, gl/m4/ssize_t.m4,
	  gl/m4/stdbool.m4, gl/m4/stdint.m4, gl/m4/stdint_h.m4,
	  gl/m4/strcase.m4, gl/m4/strdup.m4, gl/m4/strndup.m4,
	  gl/m4/strnlen.m4, gl/m4/sys_socket_h.m4, gl/m4/uintmax_t.m4,
	  gl/m4/ulonglong.m4, gl/m4/unistd-safer.m4, gl/m4/unistd_h.m4,
	  gl/m4/vasnprintf.m4, gl/m4/vasprintf.m4, gl/m4/visibility.m4,
	  gl/m4/vsnprintf.m4, gl/m4/wchar.m4, gl/m4/wchar_t.m4,
	  gl/m4/wctype.m4, gl/m4/wcwidth.m4, gl/m4/wint_t.m4,
	  gl/m4/xalloc.m4, gl/m4/xsize.m4, gl/m4/xstrndup.m4, gl/malloc.c,
	  gl/mbchar.c, gl/mbchar.h, gl/mbuiter.h, gl/memchr.c, gl/minmax.h,
	  gl/mountlist.c, gl/mountlist.h, gl/open-safer.c, gl/pipe-safer.c,
	  gl/printf-args.c, gl/printf-args.h, gl/printf-parse.c,
	  gl/printf-parse.h, gl/regcomp.c, gl/regex.c, gl/regex.h,
	  gl/regex_internal.c, gl/regex_internal.h, gl/regexec.c,
	  gl/safe-read.c, gl/safe-read.h, gl/safe-write.c, gl/safe-write.h,
	  gl/size_max.h, gl/snprintf.c, gl/snprintf.h, gl/socket_.h,
	  gl/stdbool_.h, gl/stdint_.h, gl/strcase.h, gl/strcasecmp.c,
	  gl/strdup.c, gl/strdup.h, gl/stripslash.c, gl/strncasecmp.c,
	  gl/strndup.c, gl/strndup.h, gl/strnlen.c, gl/strnlen.h,
	  gl/strnlen1.c, gl/strnlen1.h, gl/unistd--.h, gl/unistd-safer.h,
	  gl/unistd_.h, gl/vasnprintf.c, gl/vasnprintf.h, gl/vasprintf.c,
	  gl/vasprintf.h, gl/vsnprintf.c, gl/vsnprintf.h, gl/wchar_.h,
	  gl/wctype_.h, gl/wcwidth.h, gl/xalloc-die.c, gl/xalloc.h,
	  gl/xmalloc.c, gl/xsize.h, gl/xstrndup.c, gl/xstrndup.h,
	  lib/Makefile.am, lib/alloca.c, lib/alloca_.h, lib/basename.c,
	  lib/c-strtod.c, lib/c-strtod.h, lib/c-strtold.c, lib/cloexec.c,
	  lib/cloexec.h, lib/creat-safer.c, lib/dirname.h, lib/dup-safer.c,
	  lib/error.c, lib/error.h, lib/exit.h, lib/exitfail.c,
	  lib/exitfail.h, lib/fcntl--.h, lib/fcntl-safer.h, lib/fd-safer.c,
	  lib/fsusage.c, lib/fsusage.h, lib/full-read.c, lib/full-read.h,
	  lib/full-write.c, lib/full-write.h, lib/getloadavg.c,
	  lib/getopt.c, lib/getopt1.c, lib/getopt_.h, lib/getopt_int.h,
	  lib/gettext.h, lib/intprops.h, lib/malloc.c, lib/mountlist.c,
	  lib/mountlist.h, lib/open-safer.c, lib/pipe-safer.c,
	  lib/realloc.c, lib/regcomp.c, lib/regex.c, lib/regex.h,
	  lib/regex_internal.c, lib/regex_internal.h, lib/regexec.c,
	  lib/safe-read.c, lib/safe-read.h, lib/safe-write.c,
	  lib/safe-write.h, lib/snprintf.c, lib/stdbool_.h, lib/strcase.h,
	  lib/strtod.c, lib/tests/Makefile.am, lib/unistd--.h,
	  lib/unistd-safer.h, lib/unlocked-io.h, lib/xalloc-die.c,
	  lib/xalloc.h, lib/xmalloc.c, lib/xstrdup.c, m4/Makefile.am.in,
	  m4/afs.m4, m4/alloca.m4, m4/basename.m4, m4/c-strtod.m4,
	  m4/codeset.m4, m4/dos.m4, m4/error.m4, m4/exitfail.m4,
	  m4/extensions.m4, m4/fcntl-safer.m4, m4/fstypename.m4,
	  m4/fsusage.m4, m4/getopt.m4, m4/gettext.m4, m4/glibc21.m4,
	  m4/iconv.m4, m4/inttypes-pri.m4, m4/inttypes.m4,
	  m4/inttypes_h.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	  m4/longdouble.m4, m4/longlong.m4, m4/ls-mntd-fs.m4,
	  m4/mountlist.m4, m4/nls.m4, m4/np_coreutils.m4, m4/np_curl.m4,
	  m4/onceonly_2_57.m4, m4/po.m4, m4/progtest.m4, m4/regex.m4,
	  m4/restrict.m4, m4/signed.m4, m4/stdbool.m4, m4/stdint_h.m4,
	  m4/uintmax_t.m4, m4/ulonglong.m4, m4/unistd-safer.m4,
	  m4/unlocked-io.m4, m4/wchar_t.m4, m4/wint_t.m4, m4/xalloc.m4,
	  plugins-root/Makefile.am, plugins/Makefile.am,
	  plugins/check_smtp.c, plugins/common.h, plugins/getaddrinfo.c,
	  plugins/getaddrinfo.h, plugins/gethostbyname.c,
	  plugins/gethostbyname.h, plugins/netutils.h, tools/setup,
	  tools/update_coreutils:
	  Sync with gnulib - lots of extraneous code removed in preference
	  to GNU code

2007-01-23 18:34  hweiss

	* [r1579] THANKS.in, plugins/check_ssh.c:
	  Support `check_ssh --hostname=ADDRESS' (but keep `--host=ADDRESS'
	  for backward compatibility) (Ville Mattila - 1642780)

2007-01-23 18:20  hweiss

	* [r1578] REQUIREMENTS:
	  Location updates

2007-01-23 17:20  hweiss

	* [r1577] plugins/check_tcp.c:
	  Add missing `break' to the switch-case block that handles the
	  `-m' option (Nobuhiro Ban - 1642682)

2007-01-23 16:42  hweiss

	* [r1576] THANKS.in, plugins/check_radius.c:
	  Initialize `data' to zero, fixes potential segfault (Nobuhiro Ban
	  - 1642658)

2007-01-23 14:39  hweiss

	* [r1575] lib/mountlist.c:
	  Add support for statvfs(2) which is needed in order to compile
	  the plugins on NetBSD 3.0 and newer. The current coreutils
	  release supports statvfs(2), so this patch won't be needed
	  anymore when updating the coreutils files.

2007-01-22 04:05  hweiss

	* [r1574] plugins/check_by_ssh.c:
	  Added "-o,--ssh-option=OPTION" which hands "-o OPTION" over to
	  ssh(1) and "-q,--quiet" which tells ssh(1) to suppress warnings
	  (Gerhard Lausser - 1472491)

2007-01-20 20:45  tonvoon

	* [r1573] doc/developer-guidelines.sgml:
	  Updated policy on contributed plugins

2007-01-20 20:06  tonvoon

	* [r1572] doc/LEAVERS, doc/NEW_STARTERS, doc/RELEASING:
	  Administrative notes

2007-01-20 10:59  seanius

	* [r1571] plugins/check_ntp.c:
	  compilation fixes for check_ntp.c: - check_ntp.c:290: warning:
	  overflow in implicit constant conversion fixed with an explicit
	  cast to int8_t. - check_ntp.c:544: warning: pointer of type
	  âvoid *â used in arithmetic fixed by casting to ptrdiff_t
	  before arithmetic and (void*) afterwards - in TVtoNTP64, cast
	  arithmetic result passed to R32 as uint64_t.

2007-01-20 07:18  dermoth

	* [r1570] plugins/check_http.c, plugins/check_ldap.c:
	  Fix bug #1632091: printf format string typos. Add some more
	  cosmetic changes.

2007-01-20 06:27  dermoth

	* [r1569] plugins-root/check_icmp.c:
	  Fix bug #1632078: critical threshold % incorrectly displayed by
	  check_icmp

2007-01-20 06:07  dermoth

	* [r1568] CHANGES, THANKS.in, plugins/netutils.c:
	  Fix bug #1632072 pointer error in plugins/netutils.c. Add
	  changelog entry for previous commit.

2007-01-17 05:28  dermoth

	* [r1566] THANKS.in, plugins/check_procs.c:
	  Fix bug #1630970 Fix for buffer overflow of check_procs procprog
	  string

2007-01-08 11:05  tonvoon

	* [r1565] CHANGES, THANKS.in, plugins/t/check_disk.t:
	  Added notes about check_disk perf data fix. Added test to check
	  perf data is same when mount points reversed

2007-01-07 07:14  dermoth

	* [r1564] plugins/check_disk.c:
	  Fix bug #1627970: check_disk performance output for more then one
	  partition

2007-01-06 06:41  dermoth

	* [r1563] plugins/check_ping.c:
	  Fix bug #1629008: check_ping fails to handle Packet filtered
	  error

2007-01-06 06:33  dermoth

	* [r1562] plugins/check_ping.c:
	  Revert last patch: it works but not really for the reason I
	  though.

2007-01-06 04:52  dermoth

	* [r1561] plugins/check_ping.c:
	  Fix the way check_ping calculate the maximum run time

2007-01-04 11:51  dermoth

	* [r1560] plugins/check_real.c:
	  Fix bug #1574863: check_real does not accept the '-v' option

2007-01-04 11:35  dermoth

	* [r1559] plugins/check_ping.c:
	  Fix bug #1592605: check_ping times out

2007-01-04 11:18  dermoth

	* [r1558] tools/README, tools/distclean:
	  Adding my distclean script

2006-12-23 18:59  dermoth

	* [r1557] plugins/t/check_snmp.t:
	  Regexps in check_snmp tests fails where they shouldn't.

2006-12-21 05:25  dermoth

	* [r1556] NPTest.pm:
	  - Fixing small error (wrong file name) in NPTest.pm
	  documentation.

2006-12-20 22:33  tonvoon

	* [r1555] CHANGES, THANKS.in, plugins/check_http.c,
	  plugins/t/check_http.t:
	  Removed unused timestamp variable (Matthias Eble) Fixed
	  redirection test. Added extra tests for funny syntax when
	  checking certificates, updated help for more common syntax

2006-12-20 19:25  tonvoon

	* [r1554] lib/utils_disk.c, lib/utils_disk.h, plugins/check_disk.c,
	  plugins/t/check_disk.t:
	  Fixed inode thresholds, regressed from previous release

2006-12-20 11:32  opensides

	* [r1553] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  updated the nagios-pulgins.pot files now that localization is
	  clean first pass at updating the french locale

2006-12-12 12:59  tonvoon

	* [r1549] plugins-scripts/t/utils.t:
	  Enhanced test for single letters in fqdn

2006-12-12 08:56  tonvoon

	* [r1548] plugins-scripts/utils.pm.in:
	  Allow single characters in fqdn (Dave Alden)

2006-12-07 22:38  tonvoon

	* [r1547] CHANGES, THANKS.in, configure.in:
	  Fixed HP/UX's swapinfo command for check_procs (Dick van den Burg
	  - 1573700)

2006-12-07 16:07  tonvoon

	* [r1546] THANKS.in, plugins/check_disk.c, plugins/check_swap.c,
	  plugins/common.h, plugins/netutils.h:
	  Fix coredump on 64bit Solaris. Also adds more error conditions
	  and moves swap specific includes out of common.h (Duncan Ferguson
	  - 1588031)

2006-12-06 20:34  tonvoon

	* [r1545] plugins/Makefile.am:
	  Move SSL libs to correct order per plugin

2006-12-06 17:36  tonvoon

	* [r1544] plugins/Makefile.am:
	  Only include -lssl for plugins that require it

2006-12-06 17:00  tonvoon

	* [r1543] configure.in:
	  Flag common compile error because of no ar on Solaris

2006-12-06 15:58  tonvoon

	* [r1542] Makefile.am:
	  Remove CVS files from distribution

2006-12-06 15:53  tonvoon

	* [r1541] doc/developer-guidelines.sgml:
	  Add libtool requirement for development

2006-11-09 11:44  tonvoon

	* [r1535] CHANGES, THANKS.in, plugins/check_ping.c,
	  plugins/netutils.c:
	  Reduced DNS lookups in check_ping and netutils.c in IPv6
	  configurations (Pawel Malachowski)

2006-11-03 15:40  tonvoon

	* [r1534] lib/Makefile.am, lib/alloca.c, lib/alloca_.h:
	  Add alloca files, required for *BSD

2006-11-01 21:15  tonvoon

	* [r1532] ChangeLog, configure.in, package.def:
	  For 1.4.5 release

2006-10-27 15:37  tonvoon

	* [r1531] plugins-scripts/t/utils.t, plugins-scripts/utils.pm.in:
	  More edge testcases. Allow anything if ends with a . as long as
	  correct characters

2006-10-26 21:32  tonvoon

	* [r1530] NPTest.pm:
	  New test variables default to "none", so no changes required to
	  tinderbox satelites

2006-10-26 21:10  tonvoon

	* [r1529] THANKS.in, plugins-scripts/check_oracle.sh:
	  Fixed error if dba_free_space has no free segments (Florian
	  Gleixner)

2006-10-26 21:02  tonvoon

	* [r1528] plugins-scripts/Makefile.am, plugins-scripts/t/utils.t,
	  plugins-scripts/utils.pm.in:
	  Fixed regression where hostnames with hyphens were rejected
	  (1581402 - Holger Weiss)

2006-10-26 20:56  tonvoon

	* [r1527] contrib/tarballs/check_traffic-0.90b.tar.gz:
	  Removing unnecessary tarball

2006-10-26 20:51  tonvoon

	* [r1526] THANKS.in, plugins/check_disk.c, plugins/check_http.c:
	  Remove C style comments (1583467 - Markus Baertschi)

2006-10-24 21:54  opensides

	* [r1525] plugins-root/check_icmp.c:
	  more fixes and removal of certain sentences not needed

2006-10-24 21:48  opensides

	* [r1524] plugins-root/check_icmp.c, plugins/check_nt.c:
	  last localization fixes for core plugins in c

2006-10-24 21:01  opensides

	* [r1523] plugins/check_nt.c:
	  next round of localization fixes

2006-10-24 09:48  tonvoon

	* [r1522] plugins-root/Makefile.am, plugins-root/check_icmp.c:
	  Fixed compile on non-glibc platforms

2006-10-24 08:34  tonvoon

	* [r1521] plugins/check_http.c:
	  Restored accidently regressed fix

2006-10-23 21:47  opensides

	* [r1520] plugins/check_http.c:
	  localization fixes

2006-10-23 00:02  opensides

	* [r1519] plugins-root/check_icmp.c:
	  first pass a making check icmp respecting nagiosplugins rules

2006-10-22 22:34  opensides

	* [r1518] plugins/check_nt.c:
	  latest localization fixes for tonight ;-)

2006-10-22 22:24  opensides

	* [r1517] plugins/check_ldap.c:
	  localization fixes

2006-10-22 22:14  opensides

	* [r1516] plugins-root/check_icmp.c:
	  putting default template for copyright and explanations

2006-10-22 22:07  opensides

	* [r1515] plugins-root/check_icmp.c:
	  revert mistake when commiting fixes

2006-10-22 22:03  opensides

	* [r1514] plugins-root/check_icmp.c, plugins/check_apt.c,
	  plugins/check_procs.c:
	  more localization fixes

2006-10-20 07:53  tonvoon

	* [r1513] plugins/check_snmp.c:
	  Reverting back accidently regressed code

2006-10-20 07:39  opensides

	* [r1512] plugins/check_mrtg.c:
	  more localization fixes

2006-10-20 06:24  opensides

	* [r1511] plugins-root/check_dhcp.c, plugins/check_apt.c:
	  localization updates

2006-10-19 23:56  opensides

	* [r1510] plugins/check_snmp.c:
	  adding missing check_snmp

2006-10-19 23:53  opensides

	* [r1509] plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_ssh.c, plugins/check_swap.c,
	  plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/urlize.c:
	  another round of localization cleaning

2006-10-19 20:04  tonvoon

	* [r1507] BUGS, ChangeLog, configure.in, package.def:
	  For 1.4.4 release

2006-10-19 19:52  tonvoon

	* [r1506] CHANGES:
	  Added info re: 1.4.4 in prep for release

2006-10-19 19:36  tonvoon

	* [r1505] THANKS.in, plugins/check_snmp.c:
	  Initialise strings for Fedora Core 5 (Henning Schmiedehausen)

2006-10-19 19:25  tonvoon

	* [r1504] THANKS.in, plugins/check_snmp.c:
	  Removed asprintf for perf data (Craig Orsinger, Robby Giffin -
	  1310495)

2006-10-19 19:13  tonvoon

	* [r1503] THANKS.in, plugins/check_snmp.c:
	  type variable not cleared in Sol 10 (Kyle Tucker)

2006-10-19 18:59  tonvoon

	* [r1502] THANKS.in, plugins/check_http.c, plugins/t/check_http.t:
	  Redirection error if other headers beginning with L (Aravind
	  Gottipati - 1562572)

2006-10-19 18:44  tonvoon

	* [r1501] THANKS.in, plugins-scripts/utils.pm.in:
	  Allow hostnames beginning with digits (O'Shaughnessy Evans -
	  1567390)

2006-10-19 11:56  tonvoon

	* [r1500] plugins/t/check_smtp.t:
	  Added tests for SMTP servers without TLS and with TLS

2006-10-19 00:25  opensides

	* [r1499] plugins/check_apt.c, plugins/check_by_ssh.c,
	  plugins/check_dig.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_ntp.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c:
	  first pass at cleaning localization for new release first pass at
	  making all the headre be the same licence, plugin, etc...

2006-10-18 12:12  tonvoon

	* [r1498] plugins/check_disk.c, plugins/t/check_disk.t:
	  Re-added perf data to check_disk

2006-10-18 12:05  tonvoon

	* [r1497] lib/tests/test_disk.c, lib/utils_disk.h:
	  Fix tests for exact matches when searching filesystems

2006-10-18 12:03  tonvoon

	* [r1496] lib/utils_base.c, lib/utils_base.h:
	  Cater for different errors when setting thresholds

2006-10-12 20:36  tonvoon

	* [r1493] plugins/check_smtp.c, plugins/t/check_smtp.t:
	  Resend EHLO after TLS negotiation as per RFC3207 (Holger Weiss -
	  1482832)

2006-10-12 14:22  tonvoon

	* [r1492] plugins/check_ntp.c:
	  Removed extraneous comma in perf data output

2006-10-12 14:14  tonvoon

	* [r1491] plugins/check_disk.c, plugins/t/check_disk.t:
	  Remove the "- free space" if status is OK

2006-10-12 13:58  tonvoon

	* [r1490] NPTest.pm, THANKS.in, plugins/check_disk.c,
	  plugins/t/check_disk.t:
	  Fixed output from -e in check_disk (Andreas Behal)

2006-10-02 12:09  tonvoon

	* [r1487] plugins/t/check_load.t:
	  Fix test failure on poseidon

2006-09-21 10:41  tonvoon

	* [r1480] THANKS.in, plugins/check_nwstat.c:
	  Added perfdata for most variables and new parameters: VMU, VMF,
	  VMP, NRMH, NRMP, NRMM, NRMS, NSS1 to NSS7 (Christian Mies)

2006-09-02 20:41  seanius

	* [r1474] lib/utils_base.h, plugins/utils.h:
	  - explicitly include utils_base.h from utils.h - put utils.h
	  inside of an #ifndef/#endif

2006-09-02 20:32  seanius

	* [r1473] plugins/check_tcp.c:
	  - fix for warning/critical timeouts in check_tcp.c, in which the
	  plugin would exit with a usage error if non-int timeouts were
	  passed. - change --warning-time/--critical-time to just
	  --warning/--critical, as it's what --help says.

2006-08-14 09:04  tonvoon

	* [r1469] THANKS.in, plugins/check_disk.c:
	  Fixed inode percent free output (Mike Emigh - 1531899)

2006-08-14 08:42  tonvoon

	* [r1468] plugins/t/check_ntp.t:
	  Fixed skip of no ntp test

2006-08-11 08:26  tonvoon

	* [r1467] plugins/check_ntp.c, plugins/t/check_ntp.t:
	  Catch no responses from any server (1538341 - nmdias)

2006-08-03 08:14  tonvoon

	* [r1465] tools/tinderbox_build:
	  Interpret the snapshot datestamp as GMT

2006-07-31 18:55  harpermann

	* [r1464] plugins/check_nt.c:
	  Bug: 694259 fix. After consulting with the target service
	  authors, we decided to keep the default port as 1248 and add a
	  note about other services sometimes using this port and
	  suggesting to change the port. Closing bug.

2006-07-31 14:09  tonvoon

	* [r1463] doc/developer-guidelines.sgml:
	  M4 requirement for developer platform

2006-07-29 01:43  tonvoon

	* [r1462] plugins-root/check_dhcp.c, plugins/common.h:
	  Fix two Solaris compile problems

2006-07-29 00:04  tonvoon

	* [r1461] po/POTFILES.in:
	  Remove reference to check_udp.c

2006-07-28 23:59  tonvoon

	* [r1460] configure.in, plugins-scripts/Makefile.am,
	  plugins/Makefile.am:
	  Cleanup references to old check_udp and INSTALL_OPTS. Error if
	  --with-nagios-user or --with-nagios-group specified for configure

2006-07-28 22:44  tonvoon

	* [r1459] CHANGES, plugins/Makefile.am, plugins/check_udp.c,
	  plugins/t/check_udp.t:
	  check_udp.c deprecated and check_udp now linked to check_tcp.
	  check_udp2 removed

2006-07-27 11:29  tonvoon

	* [r1458] doc/developer-guidelines.sgml:
	  Example ranges (Nathan Vonnahme)

2006-07-19 23:05  tonvoon

	* [r1457] THANKS.in, configure.in:
	  Stricter autoconf 2.60 rules (Lance Albertson - 1522900)

2006-07-19 22:56  tonvoon

	* [r1456] plugins/common.h:
	  Fix to add uintmax_t, for check_disk.c compile

2006-07-19 22:37  tonvoon

	* [r1455] plugins/common.h:
	  Fix for CHAR_MAX on Solaris 9

2006-07-14 09:47  tonvoon

	* [r1454] lib/Makefile.am, lib/utils_base.c:
	  Missing header files

2006-07-14 09:43  tonvoon

	* [r1453] plugins/check_disk.c:
	  Fix inode percents using coreutils' percentage calculation
	  technique

2006-07-13 23:58  tonvoon

	* [r1452] CHANGES, lib/tests/test_utils.c, lib/utils_base.c,
	  lib/utils_base.h, lib/utils_disk.c, lib/utils_disk.h,
	  plugins/check_disk.c, plugins/t/check_disk.t:
	  Major fixes to check_disk. Now should return same data as df

2006-07-13 12:50  tonvoon

	* [r1451] Makefile.am, configure.in, lib/Makefile.am, lib/tests,
	  lib/tests/.cvsignore, lib/tests/Makefile.am, lib/tests/README,
	  lib/tests/test_disk.c, lib/tests/test_disk.t,
	  lib/tests/test_utils.c, lib/tests/test_utils.t,
	  plugins/Makefile.am, plugins/check_disk.c, plugins/check_dns.c,
	  plugins/check_mysql.c, plugins/check_mysql_query.c,
	  plugins/tests/.cvsignore, plugins/tests/Makefile.am,
	  plugins/tests/README, plugins/tests/test_disk.c,
	  plugins/tests/test_disk.t, plugins/tests/test_utils.c,
	  plugins/tests/test_utils.t, plugins/utils.c, plugins/utils.h,
	  plugins/utils_disk.c, plugins/utils_disk.h:
	  Move new util_* functions to lib/

2006-07-13 08:54  tonvoon

	* [r1450] configure.in, lib/basename.c, lib/dirname.h,
	  m4/basename.m4, m4/dos.m4, m4/np_coreutils.m4,
	  plugins/check_procs.c, plugins/utils.c, plugins/utils.h:
	  Using coreutils' base_name function because of portability issues
	  with Tru64

2006-07-12 22:53  tonvoon

	* [r1449] plugins/check_disk.c, plugins/t/check_disk.t,
	  plugins/utils_disk.c, plugins/utils_disk.h:
	  Added -E option for exact match of filesystem. Restructured main
	  filesystem loop. Added extra tests for possible duplicate
	  filesystems.

2006-07-12 19:30  tonvoon

	* [r1448] plugins/check_disk.c, plugins/tests,
	  plugins/tests/.cvsignore, plugins/tests/test_disk.c,
	  plugins/utils_disk.c, plugins/utils_disk.h:
	  Moving parameter_list into utils_disk.h. Given list of mount
	  points, can now work out best match or exact match.

2006-07-12 12:15  tonvoon

	* [r1447] plugins/Makefile.am, plugins/check_disk.c,
	  plugins/tests/Makefile.am, plugins/tests/test_disk.c,
	  plugins/tests/test_disk.t, plugins/utils_disk.c,
	  plugins/utils_disk.h:
	  Moving check_disk functions into utils_disk.c and testing them

2006-07-11 12:38  tonvoon

	* [r1446] lib/creat-safer.c, lib/dup-safer.c, lib/fcntl--.h,
	  lib/fcntl-safer.h, lib/fd-safer.c, lib/open-safer.c,
	  lib/pipe-safer.c, lib/unistd--.h, lib/unistd-safer.h,
	  m4/fcntl-safer.m4, m4/np_coreutils.m4, m4/unistd-safer.m4:
	  Extra files from coreutils required for getloadavg.c to compile
	  on Tru64 (Ciro Iriarte - 1520331)

2006-07-10 08:44  tonvoon

	* [r1445] lib/Makefile.am:
	  Didn't add intprops.h into distribution correctly

2006-07-07 06:36  harpermann

	* [r1444] plugins/urlize.c:
	  Added check for two arguments. Was segfaulting if no or one arg.
	  Now returns help.

2006-07-05 13:45  tonvoon

	* [r1443] plugins-scripts/check_mailq.pl:
	  Fixed checking of return codes from external mailq programs

2006-07-05 08:55  tonvoon

	* [r1442] tools/tinderbox_build:
	  Add instructions for manually sending Tinderbox build logs

2006-07-05 08:26  tonvoon

	* [r1441] lib/Makefile.am, lib/intprops.h:
	  Missing intprops.h for Tru64 (Ciro Iriarte - 1517379)

2006-07-04 09:47  tonvoon

	* [r1440] THANKS.in, m4/alloca.m4, m4/np_coreutils.m4:
	  Added alloca.h check and fixed locale.h, wchar.h (Ari Pollak -
	  1516578)

2006-07-03 08:03  tonvoon

	* [r1439] plugins/check_dig.c:
	  Fixed -p getopt call (Allan Bennett - 1511650)

2006-07-03 07:55  tonvoon

	* [r1438] THANKS.in, lib/c-strtod.c, lib/c-strtod.h,
	  lib/c-strtold.c, m4/c-strtod.m4, m4/np_coreutils.m4,
	  plugins/Makefile.am:
	  Fixed compile on Tru64 5.1b (Ciro Iriarte - 1515435)

2006-06-21 11:05  opensides

	* [r1437] plugins/check_snmp.c, plugins/check_ssh.c:
	  cleaning help and usage

2006-06-21 09:49  opensides

	* [r1436] po/LINGUAS:
	  fixing bug id #1509699

2006-06-20 11:17  opensides

	* [r1435] plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c:
	  cleaning help and usage + license

2006-06-18 19:36  opensides

	* [r1434] plugins/check_disk.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/gethostbyname.c, plugins/gethostbyname.h,
	  plugins/negate.c, plugins/netutils.c, plugins/popen.c,
	  plugins/runcmd.c, plugins/sslutils.c, plugins/urlize.c,
	  plugins/utils.c:
	  updating help and usage and license

2006-06-17 12:28  opensides

	* [r1433] plugins/check_hpjd.c, plugins/check_nt.c,
	  plugins/check_ntp.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c:
	  cleaning up help and usage

2006-06-15 12:52  opensides

	* [r1432] plugins/check_ldap.c, plugins/check_load.c,
	  plugins/check_mrtg.c, plugins/check_mysql.c,
	  plugins/check_mysql_query.c, plugins/check_nagios.c:
	  cleaning help and usage

2006-06-15 10:16  opensides

	* [r1430] plugins/check_ide_smart.c:
	  cleaning help and usage

2006-06-14 21:27  opensides

	* [r1427] plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c:
	  updating the help and usage for localization

2006-06-14 19:15  tonvoon

	* [r1426] INSTALLING, doc/developer-guidelines.sgml:
	  Updated requirements for development platform

2006-06-14 18:48  opensides

	* [r1425] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c:
	  starting the BIG locale update ;-)

2006-06-07 14:28  seanius

	* [r1418] contrib/check_linux_raid.pl:
	  some gratuitous whitespace changes, and a fix to the "recovery ="
	  detection logic in check_linux_raid.pl

2006-06-07 14:23  seanius

	* [r1417] plugins-scripts/utils.pm.in:
	  removed stale references to PATH_TO_NTPFOO, as it's no longer
	  used.

2006-06-07 07:59  tonvoon

	* [r1416] plugins-root/Makefile.am:
	  Do not install setuid programs unless run as root

2006-06-07 07:18  tonvoon

	* [r1415] plugins-root/Makefile.am, tools/setup:
	  Fixed two build problems re: libtool and pst3

2006-06-06 16:48  seanius

	* [r1414] plugins/check_pgsql.c:
	  modify the is_pg_dbname() function to allow databases with '-' in
	  their name. reference: sf tracker #1500752

2006-06-03 23:06  seanius

	* [r1413] configure.in:
	  removed the -R for openssl, as it should be figured out
	  automatically by libtool and also controlled via the
	  --enable-rpath/--disable-rpath configure options. furthermore
	  keeping it in forces the rpath option on in spite of what's
	  passed on the configure line.

2006-06-01 22:30  seanius

	* [r1412] contrib/check_linux_raid.pl:
	  gave some TLC to check_linux_raid

2006-05-30 09:55  tonvoon

	* [r1411] configure.in:
	  Default to search path for mysql_config

2006-05-30 09:39  tonvoon

	* [r1410] THANKS.in:
	  For reporting check_radius compile problem

2006-05-30 09:19  tonvoon

	* [r1409] ., .cvsignore, config.guess, config.sub,
	  doc/developer-guidelines.sgml, ltmain.sh:
	  Added libtool files, at version 1.5.22, into CVS

2006-05-25 17:40  egalstad

	* [r1408] plugins-root/check_dhcp.c:
	  Applied patch for responses from helpers/relays, cleaned up
	  different coding styles for consistency

2006-05-25 16:59  tonvoon

	* [r1407] lib/regex.o:
	  Removed unnecessary file

2006-05-25 16:58  tonvoon

	* [r1406] configure.in, lib/Makefile.am, plugins/common.h:
	  Gettext fixes to sync with coreutils

2006-05-25 16:53  egalstad

	* [r1405] plugins-root/check_dhcp.c:
	  Fixed short interface name length, UNKNOWN return code (patches
	  from tracker)

2006-05-25 15:34  tonvoon

	* [r1404] plugins/check_http.c, plugins/t/check_http.t:
	  Option to invert results from a regexp pattern match

2006-05-25 12:33  tonvoon

	* [r1403] configure.in, lib, lib/.cvsignore, lib/regcomp.c,
	  lib/regex.c, lib/regex.h, lib/regex.o, lib/regex_internal.c,
	  lib/regex_internal.h, lib/regexec.c, lib/strcase.h, m4,
	  m4/.cvsignore, m4/np_coreutils.m4, m4/regex.m4, m4/restrict.m4,
	  plugins/check_apt.c, plugins/check_http.c, plugins/check_smtp.c,
	  plugins/check_snmp.c:
	  Use coreutils' regexp libraries, so regexp always available now

2006-05-25 12:13  tonvoon

	* [r1402] m4/ls-mntd-fs.m4:
	  Sync with coreutils 5.96

2006-05-24 12:48  tonvoon

	* [r1401] THANKS.in, configure.in:
	  Fix for mysql 3.x (Jeremy Reed, Michael Tiernan - 1491936)

2006-05-24 09:23  tonvoon

	* [r1400] doc/developer-guidelines.sgml:
	  Reminder of no inline variable declarations

2006-05-24 09:05  tonvoon

	* [r1399] plugins/check_snmp.c:
	  Variables need to be declared at top of code for better
	  portability (Gerhard Lausser)

2006-05-19 21:41  tonvoon

	* [r1398] configure.in, doc/developer-guidelines.sgml:
	  Requirement of automake 1.8.3, as coreutils needs it

2006-05-19 21:30  tonvoon

	* [r1397] ., .cvsignore, config.rpath, mkinstalldirs, po,
	  po/.cvsignore, po/remove-potcdate.sin:
	  Adding more required files from gettext

2006-05-18 23:17  tonvoon

	* [r1396] tools/setup:
	  Bug in Makefile.am creation

2006-05-18 23:09  tonvoon

	* [r1395] ., .cvsignore, ABOUT-NLS, m4/Makefile.am,
	  m4/Makefile.am.in, po, po/.cvsignore, po/Makefile.in.in,
	  tools/setup:
	  Fixes from coreutils sync: some files now required and removed
	  generateable files

2006-05-18 22:05  tonvoon

	* [r1394] ., .cvsignore, Makefile.am, configure.in,
	  doc/developer-guidelines.sgml, lib/Makefile.am, lib/cloexec.c,
	  lib/cloexec.h, lib/error.c, lib/error.h, lib/exit.h,
	  lib/exitfail.c, lib/exitfail.h, lib/fsusage.c, lib/fsusage.h,
	  lib/full-read.c, lib/full-read.h, lib/full-write.c,
	  lib/full-write.h, lib/getloadavg.c, lib/getopt.c, lib/getopt.h,
	  lib/getopt1.c, lib/getopt_.h, lib/getopt_int.h, lib/gettext.h,
	  lib/malloc.c, lib/mountlist.c, lib/mountlist.h, lib/realloc.c,
	  lib/safe-read.c, lib/safe-read.h, lib/safe-write.c,
	  lib/safe-write.h, lib/stdbool_.h, lib/strtod.c,
	  lib/unlocked-io.h, lib/xalloc-die.c, lib/xalloc.h, lib/xmalloc.c,
	  m4, m4/.cvsignore, m4/Makefile.am, m4/afs.m4, m4/codeset.m4,
	  m4/error.m4, m4/exitfail.m4, m4/extensions.m4, m4/fstypename.m4,
	  m4/fsusage.m4, m4/getopt.m4, m4/gettext.m4, m4/glibc21.m4,
	  m4/iconv.m4, m4/intdiv0.m4, m4/inttypes-pri.m4, m4/inttypes.m4,
	  m4/inttypes_h.m4, m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4,
	  m4/lib-link.m4, m4/lib-prefix.m4, m4/longdouble.m4,
	  m4/longlong.m4, m4/ls-mntd-fs.m4, m4/malloc.m4, m4/mountlist.m4,
	  m4/nls.m4, m4/np_coreutils.m4, m4/onceonly.m4,
	  m4/onceonly_2_57.m4, m4/po.m4, m4/progtest.m4, m4/realloc.m4,
	  m4/signed.m4, m4/stdbool.m4, m4/stdint_h.m4, m4/uintmax_t.m4,
	  m4/ulonglong.m4, m4/unlocked-io.m4, m4/wchar_t.m4, m4/wint_t.m4,
	  m4/xalloc.m4, plugins, plugins-root, plugins-root/.cvsignore,
	  plugins-root/check_dhcp.c, plugins/.cvsignore,
	  plugins/check_disk.c, plugins/common.h, plugins/tests,
	  plugins/tests/.cvsignore, po, po/.cvsignore, tools/setup:
	  Synchronise with coreutils 2.95. Gettext now synced with
	  coreutils, so no longer development platform requirement

2006-05-17 10:10  tonvoon

	* [r1393] configure.in:
	  Fix for loading SSL libraries at runtime

2006-05-17 08:56  tonvoon

	* [r1392] configure.in, plugins-root/Makefile.am:
	  Fix compile problems on Solaris for pst3 and ssl libs

2006-05-15 13:20  tonvoon

	* [r1391] CHANGES, contrib/check_disk_snmp.pl:
	  check_disk_snmp.pl removed. Notice added to CHANGES

2006-05-15 13:07  tonvoon

	* [r1390] tools/sfsnapshot:
	  Changed snapshot generator due to cvs changes on SF

2006-05-03 14:12  tonvoon

	* [r1389] doc/LEAVERS:
	  Leavers process documented

2006-05-02 08:30  tonvoon

	* [r1388] plugins/check_disk.c:
	  Inode thresholds not always being initialised (James Fidell -
	  1476457)

2006-05-02 08:21  tonvoon

	* [r1387] CHANGES:
	  New check_ntp and check_apt plugins by Sean

2006-05-01 21:52  seanius

	* [r1386] configure.in, plugins-scripts/Makefile.am,
	  plugins/Makefile.am, plugins/check_ntp.c, plugins/common.h,
	  plugins/runcmd.c:
	  - check_ntp: - now roughly feature-complete. - various bugfixes,
	  esp. offset calculation. - enhanced the asynchronous offset
	  polling to set requests that haven't recieved a response in >= 1
	  second to stale and retransmit them, which results in much better
	  performance on unreliable networks. - we only spend timeout/2
	  seconds polling offsets, and if we don't get everything by that
	  point we work with what we have and set status to
	  warning/critical depending on how much data we have. - set the
	  same defaults as the perl script. - commit changes to
	  configure.in to support automatic building of check_apt (if
	  apt-get is installed and regex libraries available) and check_ntp
	  (unconditionally), now defaulting to check_ntp.c instead of the
	  perl script. if this is an issue we can back out the commit of
	  course. an eye should be kept on check_ntp building and running
	  correctly in different environments, esp. 64-bit and big-endian
	  platforms, and those with more "esoteric" API's (do any of the
	  platforms not have poll()?). - similar changes to Makefile.am's.
	  - common.h: add statement to include sys/poll.h - runcmd.c: exit
	  STATE_UNKNOWN if execve() fails.

2006-04-28 15:52  tonvoon

	* [r1385] configure.in:
	  Remove stupid error where pst3 was always compiled

2006-04-28 08:45  tonvoon

	* [r1384] configure.in, plugins-root/Makefile.am:
	  Added pst3 into distribution (Jason Kau - 1476451)

2006-04-27 13:25  tonvoon

	* [r1383] configure.in, plugins/check_procs.c,
	  plugins/tests/test_utils.c, plugins/utils.c, plugins/utils.h:
	  Internal version of basename if one not found in system

2006-04-19 09:33  tonvoon

	* [r1382] plugins/t/check_nagios.t:
	  Fix check_nagios tests on MacOSX 10.4

2006-04-19 03:47  sghosh

	* [r1380] ChangeLog:
	  ChangeLog update - release pending

2006-04-19 03:42  sghosh

	* [r1379] configure.in, package.def:
	  version update - release pending

2006-04-17 21:08  opensides

	* [r1378] po/fr.po:
	  Final commit of fr.po

2006-04-17 13:54  opensides

	* [r1377] po/fr.po:
	  another big chunk of fr.po
	  
	  Still 20 to go ;)

2006-04-16 14:24  opensides

	* [r1376] po/fr.po:
	  big revision of po file for 1.4.3

2006-04-15 10:46  opensides

	* [r1375] po/fr.po:
	  second part of fr.po updating

2006-04-14 22:44  opensides

	* [r1374] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  updated pot file sarted updating fr.po for nagios 1.4.3

2006-04-12 10:00  seanius

	* [r1373] plugins/check_ntp.c:
	  the offset_requests are now parallelized. still stuff needs to be
	  done (conveniently marked with XXX), but on well behaving
	  networks the plugin should behave more or less identical to
	  check_ntp.pl now.

2006-04-12 06:33  seanius

	* [r1372] plugins/check_ntp.c:
	  added a currently unused but "good for reference" version of
	  offset_request which attempts to behave more like ntpdate, but
	  this doesn't yet and the code isn't actually used yet.

2006-04-11 23:24  seanius

	* [r1371] plugins/check_ntp.c:
	  another big code-commit to check_ntp. jitter calculations now
	  work, and the program is becoming much closer on the
	  packet-for-packet level to how check_ntp.pl behaves. i'll send an
	  email in the morning :)

2006-04-06 10:08  tonvoon

	* [r1370] THANKS.in, plugins/utils.c:
	  Stop coredump on Solaris if arg not specified (Jason Kau -
	  1465288)

2006-04-05 08:11  tonvoon

	* [r1369] CHANGES:
	  Notice added re: check_udp in next release

2006-04-05 08:06  tonvoon

	* [r1368] plugins/check_procs.c:
	  Use pid_t for pids (1463853)

2006-04-05 07:58  tonvoon

	* [r1367] plugins/check_http.c, plugins/t/check_http.t:
	  Allow multiple -k parameters (Gerd Mueller - 1457726)

2006-04-05 06:58  seanius

	* [r1366] plugins/check_apt.c:
	  finally??? cvs works again???? let me dig up my week-old cvs
	  commit message.....
	  
	  i'm becoming very happy with check_apt now :) - now has support
	  for an externally (configure.in) path to apt-get, though i still
	  have that in #ifdefs for the time being. - support for defining
	  what packages are "critical updates", via the already-existing
	  security regexp or overridable on the cmdline - allow overriding
	  of apt-get cmdline options - introduce a "no upgrade" in case
	  someone just wants to check that they can download the package
	  lists with -u but not check for upgrades. might need to change
	  the name of this option to prevent confusion. - improved -h
	  documentation

2006-03-29 16:33  tonvoon

	* [r1365] THANKS.in, plugins/check_tcp.c,
	  plugins/tests/test_utils.c, plugins/utils.c, plugins/utils.h:
	  New function to for escaped strings from command line for
	  send/quit. Adapted from Sebastian Wiesinger's patch (1292404)

2006-03-29 15:30  tonvoon

	* [r1364] NPTest.pm:
	  Will die if signal received from a testCmd

2006-03-29 14:37  tonvoon

	* [r1363] plugins/t/check_udp.t:
	  Allow 1 second delay in check_udp timeout

2006-03-29 08:18  tonvoon

	* [r1362] plugins/t/check_http.t:
	  Fix possible timeout issue on hostname_invalid

2006-03-29 08:13  tonvoon

	* [r1361] plugins/t/check_dns.t:
	  Fix test if response time is one second

2006-03-29 08:01  seanius

	* [r1360] plugins/check_apt.c:
	  now support for detecting critical/security updates, which sets
	  the return code to STATE_CRITICAL instead of just STATE_WARNING
	  as it was previously doing.

2006-03-27 08:39  tonvoon

	* [r1359] plugins/t/check_udp.t:
	  Set timeout within nc, rather than the test script

2006-03-27 08:19  tonvoon

	* [r1358] plugins/check_disk.c:
	  Fixed bug with malloc of wrong size

2006-03-24 17:26  tonvoon

	* [r1357] plugins/t/check_dns.t:
	  Fixing defaults to work

2006-03-24 16:49  tonvoon

	* [r1356] CHANGES:
	  Reintroduced --with-mysql configure option. Note about SSL
	  cleanup

2006-03-24 16:25  tonvoon

	* [r1355] plugins/check_http.c:
	  -C now implies -S/--ssl as well

2006-03-24 16:13  tonvoon

	* [r1354] plugins/t/check_hpjd.t, plugins/t/check_http.t:
	  Tests converted to new style

2006-03-24 16:12  tonvoon

	* [r1353] plugins/check_tcp.c, plugins/t/check_udp.t:
	  udp checks require and send and receive option. Tests updated so
	  if nc is available, will check send and receive working correctly

2006-03-23 22:58  seanius

	* [r1352] plugins/check_apt.c:
	  - addition of include/exclude option for package names in
	  check_apt, using POSIX regexp support. - various commenting and
	  tidying of code/logic/output. - still haven't committed the
	  Makefile.am/configure.in stuff.

2006-03-23 17:16  tonvoon

	* [r1351] NPTest.pm, plugins/check_disk.c, plugins/t/check_disk.t:
	  check_disk now errors if a specified directory does not exist (cf
	  df /foo)

2006-03-23 16:06  tonvoon

	* [r1350] plugins/t/check_disk.t:
	  Some versions of Test::More do not like the m#foo# syntax

2006-03-23 12:01  tonvoon

	* [r1349] NPTest.pm, plugins/check_disk.c, plugins/t/check_disk.t:
	  Incorrect output when checking non-existent disk (John Rouillard
	  - 1326050)

2006-03-23 00:01  seanius

	* [r1348] plugins/check_apt.c:
	  more work on check_apt. more graceful error handling and
	  information reporting, a couple new cmdline options. still not
	  quite ready for prime-time, maybe tomorrow :)

2006-03-22 17:32  tonvoon

	* [r1347] REQUIREMENTS, configure.in:
	  Reinstated --with-mysql option

2006-03-22 16:45  tonvoon

	* [r1346] plugins/check_dns.c, plugins/t/check_dns.t:
	  Added warning and critical response times (John Rouillard -
	  1343159)

2006-03-22 15:45  tonvoon

	* [r1345] plugins/t/check_pop.t:
	  Convert to new style tests

2006-03-22 15:45  tonvoon

	* [r1344] THANKS.in, plugins/check_tcp.c:
	  Options to change line ends for -s and -q (John Rouillard -
	  1346104)

2006-03-22 14:32  tonvoon

	* [r1343] plugins-scripts/check_log.sh:
	  Remove PATH restriction

2006-03-22 14:17  tonvoon

	* [r1342] plugins/check_dns.c, plugins/t/check_dns.t:
	  New style tests. Cleanup of presentation of help. Added '' around
	  -a checks

2006-03-22 13:18  tonvoon

	* [r1341] plugins/check_by_ssh.c:
	  Typo (Thomas Guettler - 1433447)

2006-03-22 12:59  tonvoon

	* [r1340] plugins-scripts/check_log.sh,
	  plugins-scripts/utils.sh.in:
	  Remove hardlink to /bin/sed. Leave to PATH (Abs - 1391483)

2006-03-22 00:00  seanius

	* [r1339] plugins/check_apt.c:
	  initial version of a check_apt plugin... not editing
	  configure/Makefile.am's until i'm happier with it (better output,
	  better ways to define warning vs. critical thresholds... etc).

2006-03-21 14:20  tonvoon

	* [r1338] THANKS.in, configure.in:
	  Stop check_dns from compiling if nslookup does not exist (Sakari
	  Lehtonen - 1412721)

2006-03-21 13:42  tonvoon

	* [r1337] plugins/t/check_load.t:
	  Updated to new Test::More method for testing

2006-03-21 13:32  tonvoon

	* [r1336] configure.in:
	  Fix for mysql 3.x

2006-03-21 13:31  tonvoon

	* [r1335] plugins/check_tcp.c:
	  Return CRITICAL if hostname invalid, as per guidelines

2006-03-21 12:56  tonvoon

	* [r1334] tools/setup:
	  Patch to workaround SFnot having libtool installed

2006-03-21 11:42  tonvoon

	* [r1333] CHANGES, REQUIREMENTS, THANKS.in, configure.in,
	  plugins/Makefile.am, plugins/tests/Makefile.am:
	  mysql discovery based on mysql_config (Johan Fischer - 1359414)

2006-03-20 22:06  seanius

	* [r1332] plugins/check_ntp.c:
	  - shuffling some code around to keep things tidy. - now average
	  the result of 4 queries just as ntpdate does - put things in
	  place for jitter calculation

2006-03-20 17:18  seanius

	* [r1331] plugins/check_ntp.c:
	  ipv6 support for c-version of check_ntp

2006-03-18 19:00  seanius

	* [r1330] plugins/check_ntp.c:
	  initial version of the pure-c check_ntp implementation. jitter
	  not yet implemented, and a couple other misc things to do, so i
	  haven't yet patched Makefile.am

2006-03-18 14:47  seanius

	* [r1329] plugins/check_http.c:
	  return-logic related fix for cert checking, thanks to emmet
	  hogan.

2006-03-17 14:08  tonvoon

	* [r1328] plugins/tests/test_utils.t:
	  Better error message re: tap library

2006-03-17 14:07  tonvoon

	* [r1327] REQUIREMENTS, configure.in, plugins/Makefile.am,
	  plugins/check_mysql.c, plugins/check_mysql_query.c,
	  plugins/t/check_mysql.t:
	  mysql detection cleanup: fixes runtime linking, autodetection of
	  main locations, detection of lib64 and different layouts

2006-03-17 10:20  tonvoon

	* [r1326] doc/developer-guidelines.sgml:
	  Added requirement for developer system to have gnu libtool

2006-03-16 17:31  tonvoon

	* [r1325] configure.in, plugins/tests/Makefile.am, tools/setup:
	  Using libtool to get runpath for tap library

2006-03-15 19:54  tonvoon

	* [r1324] THANKS.in, plugins/check_mysql.c,
	  plugins/t/check_mysql.t:
	  Alert on amount of time a slave is behind (Steven Kreuzer)

2006-03-13 17:59  seanius

	* [r1323] plugins/check_swap.c:
	  fix for (tracker id 1420741) "check_swap: incorrect totals for
	  multiple partitions (BSD)" thanks to scott thompson

2006-03-13 11:08  tonvoon

	* [r1322] plugins/check_ping.c:
	  Change warning message if there is stderr output. This catches a
	  problem where time was shifting backwards on a linux VMware guest
	  during the ping

2006-03-07 10:33  tonvoon

	* [r1321] plugins/t/check_http.t:
	  Added tests for two external websites with certificates

2006-03-07 10:23  tonvoon

	* [r1320] plugins/t/check_http.t:
	  Tests re-written in new object format

2006-02-24 17:03  tonvoon

	* [r1319] doc/developer-guidelines.sgml:
	  Updated doc as tap library is now automatically discovered

2006-02-24 16:41  tonvoon

	* [r1318] configure.in, plugins/tests/Makefile.am:
	  Use the installed tap library instead of requesting a compiled
	  object

2006-02-17 09:08  tonvoon

	* [r1317] THANKS.in, plugins/popen.c:
	  SIGALRM could be received before child_process is created (Jason
	  Crawford)

2006-02-17 06:24  seanius

	* [r1316] plugins/check_procs.c:
	  set LC_NUMERIC to POSIX in check_procs.c

2006-02-01 13:23  tonvoon

	* [r1315] plugins/t/check_mysql_query.t:
	  If a mysql server has anonymous login, tests will always fail

2006-02-01 11:53  tonvoon

	* [r1314] plugins/tests/Makefile.am:
	  Need to distribute perl test file

2006-01-31 16:48  tonvoon

	* [r1313] CHANGES:
	  check_mysql_query included

2006-01-31 16:47  tonvoon

	* [r1312] REQUIREMENTS:
	  Note on MacOSX difference in mysql package

2006-01-31 16:45  tonvoon

	* [r1311] configure.in, plugins/Makefile.am:
	  Clean compile of check_mysql_query on MacOSX

2006-01-31 15:40  tonvoon

	* [r1310] NPTest.pm:
	  Sort ordering of tests

2006-01-31 14:52  tonvoon

	* [r1309] configure.in, plugins, plugins/.cvsignore,
	  plugins/Makefile.am, plugins/check_mysql_query.c,
	  plugins/t/check_mysql_query.t, plugins/utils.h:
	  Adding check_mysql_query, using new ranges and threshold checking

2006-01-31 14:37  tonvoon

	* [r1308] plugins/t/check_mysql.t:
	  Extra explanation in tests

2006-01-31 14:36  tonvoon

	* [r1307] plugins/tests/test_utils.c:
	  Fixed invalid free

2006-01-31 10:06  tonvoon

	* [r1306] doc/developer-guidelines.sgml:
	  Updated instructions on using libtap as configure option changed

2006-01-31 10:05  tonvoon

	* [r1305] configure.in:
	  Changed configure option to --with-libtap-srcdir because requires
	  tap.h as well as tap.o

2006-01-30 22:24  tonvoon

	* [r1304] doc/developer-guidelines.sgml,
	  plugins/tests/test_utils.c, plugins/utils.c, plugins/utils.h:
	  Clearly defined thresholds & ranges in docs. Added get_status
	  routine. Added set_thresholds routine. Tests enhanced to check
	  new routines

2006-01-30 16:10  tonvoon

	* [r1303] configure.in, doc/developer-guidelines.sgml,
	  plugins/Makefile.am, plugins/tests, plugins/tests/.cvsignore,
	  plugins/tests/Makefile.am, plugins/tests/README,
	  plugins/tests/check_disk, plugins/tests/check_dns,
	  plugins/tests/check_ftp, plugins/tests/check_hpjd,
	  plugins/tests/check_http, plugins/tests/check_load,
	  plugins/tests/check_ping, plugins/tests/check_procs,
	  plugins/tests/check_swap, plugins/tests/check_users,
	  plugins/tests/check_vsz, plugins/tests/test_utils.c,
	  plugins/tests/test_utils.t, plugins/utils.c, plugins/utils.h:
	  Added libtap tests for utils.c library functions. Removed
	  redundant test files

2006-01-21 21:46  tonvoon

	* [r1302] tools/sfsnapshot:
	  Have to use own id for cvs checkout. Change compile server
	  because old one not working consistently

2005-12-19 09:25  tonvoon

	* [r1301] NPTest.pm:
	  Break out of testing if a new parameter is required

2005-12-16 18:41  harpermann

	* [r1300] contrib/check_log2.pl:
	  Added ability to output critical on error. Fixed open so it
	  properly fails if the log file open throws an error, turned on -w
	  in the perl call, fixed warnings

2005-12-15 17:06  tonvoon

	* [r1299] NPTest.pm, plugins/check_mysql.c,
	  plugins/t/check_mysql.t:
	  Display errors with slave queries correctly. Added extra tests
	  for slaves

2005-12-15 15:19  tonvoon

	* [r1298] NPTest.pm, doc/developer-guidelines.sgml,
	  plugins/t/check_disk.t:
	  New 3 parameter version of getTestParameters. Updated
	  check_disk.t to reflect. Added notes re: testing in developer
	  guidelines.

2005-12-15 15:17  tonvoon

	* [r1297] plugins-scripts/check_file_age.pl,
	  plugins-scripts/t/check_file_age.t:
	  Allow directories and links to be tested by check_file_age.
	  Sanitise output. Added tests

2005-12-07 19:32  harpermann

	* [r1296] plugins/urlize.c:
	  Nagiosplug bug 1266977. Added code to insert the closing </A>
	  after the plugin output but before the performance output.

2005-12-07 15:10  tonvoon

	* [r1295] THANKS.in, plugins/common.h:
	  No floorf on Solaris 9 (Jon Vandegrift - 1374705)

2005-12-02 22:28  tonvoon

	* [r1294] THANKS.in, doc/developer-guidelines.sgml,
	  plugins/check_nagios.c,
	  plugins/t/check_nagios.nagios1.status.log,
	  plugins/t/check_nagios.nagios2.status.dat,
	  plugins/t/check_nagios.t:
	  Support for Nagios 1 and Nagios 2 status files (Gerhard Lausser -
	  1296242)

2005-12-02 22:25  tonvoon

	* [r1293] plugins/t, plugins/t/.cvsignore:
	  Ignore temporary files created for tests

2005-12-01 01:05  tonvoon

	* [r1292] config_test/Makefile, config_test/run_tests,
	  configure.in:
	  Run longer test on redhat for spopen/pthread problem. Allow
	  enable/disable of pthread fix via configure option

2005-11-30 00:49  harpermann

	* [r1291] plugins-scripts/check_ntp.pl:
	  Nagiosplug bug # 1251096 check_ntp wasn't properly handing a bad
	  exit status from the external programs it calls (ntpdate and
	  ntpq), so jitter wasn't set. Added check of $? on close and
	  proper error output if status from the sub program call
	  completion is non-zero. This includes "host not found".

2005-11-29 23:21  harpermann

	* [r1290] contrib/check_email_loop.pl:
	  UNKNOWN exit status was returning status of "-1", changed to "3"

2005-11-29 23:19  harpermann

	* [r1289] contrib/check_email_loop.pl:
	  Bug: 1355304 Added patch for ePN and perl warnings. Fixed some
	  text and a warning about type comparison.

2005-11-18 12:56  tonvoon

	* [r1288] tools/sfsnapshot:
	  Create a permanent link to HEAD snapshot

2005-11-18 11:56  tonvoon

	* [r1287] doc/developer-guidelines.sgml:
	  Updated with more detailed description of UNKNOWN states

2005-11-16 17:26  tonvoon

	* [r1286] plugins/check_disk.c:
	  Fixed some compile errors with new translations. Also
	  reintroduced formatting after discussion with Benoit

2005-11-15 16:26  tonvoon

	* [r1285] plugins/t/check_disk.t:
	  Updated tests to minimise false positives. Breaking down so more
	  obvious what the tests are doing

2005-11-14 14:43  tonvoon

	* [r1284] doc/developer-guidelines.sgml:
	  Added section re: translations

2005-11-14 01:18  opensides

	* [r1283] plugins/check_http.c:
	  localization cleaning ... last commit before sleeping

2005-11-14 00:51  opensides

	* [r1282] plugins/check_dig.c, plugins/check_disk.c,
	  plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c:
	  start of the cleaning of the localization

2005-11-12 23:48  tonvoon

	* [r1281] THANKS.in, plugins/t/check_disk.t:
	  Updated check_disk tests to use Test::More (Serhan Kiymaz)

2005-11-09 17:27  tonvoon

	* [r1280] plugins/t/check_mysql.t:
	  Using Test::More

2005-11-09 16:40  tonvoon

	* [r1279] NPTest.pm, plugins/t/check_imap.t,
	  plugins/t/check_swap.t:
	  Added new NPTest->testCmd which returns objects back for testing
	  at the test script level. Updated check_swap and check_imap to
	  this new format

2005-11-09 16:37  tonvoon

	* [r1278] plugins/check_swap.c:
	  Problem where absolute thresholds not working on /proc/meminfo
	  systems. Suffixed all variables with the unit of measurement

2005-11-09 16:34  tonvoon

	* [r1277] configure.in:
	  Typo with predetermined values

2005-11-09 14:10  tonvoon

	* [r1276] doc/developer-guidelines.sgml:
	  Added copyright/license info required in submissions

2005-11-09 09:31  tonvoon

	* [r1275] doc/NEW_STARTERS, doc/developer-guidelines.sgml:
	  Updated dev guidelines to link to NagiosExchange. Removed project
	  admin notes from guidelines into separate file

2005-11-07 12:46  seanius

	* [r1274] configure.in:
	  incorporated patch from Elan Ruusamäe (ahmake) to override
	  program autodetection (see Feature Requests-1341528). i would not
	  call this quite complete just yet (i'll explain more in the
	  tracker), but should be functional and useful enough to commit
	  now, in any case.

2005-11-04 09:38  tonvoon

	* [r1273] THANKS.in, plugins/check_tcp.c, plugins/t/check_imap.t:
	  Fixed --mismatch option for check_tcp. Added tests into
	  check_imap (Rick Fey - 1339134)

2005-11-03 15:21  tonvoon

	* [r1272] Makefile.am, tools/tinderbox_build:
	  Adding new tinderbox build script

2005-11-03 15:13  tonvoon

	* [r1271] plugins/t/check_disk.t, plugins/t/check_procs.t:
	  Invalid mount point doesn't make sense because most df
	  implementations would work out the actual mount point. And fixed
	  typo in check_procs.t

2005-11-03 15:04  tonvoon

	* [r1270] NPTest.pm, plugins/t/check_http.t,
	  plugins/t/check_time.t:
	  Fixing some test failures

2005-11-02 08:59  seanius

	* [r1269] plugins/check_disk.c:
	  #995761: patch from ben o'hara to include inode calculations in
	  check_disk.c.
	  
	  previous commit also had a patch for smtp auth support, but i
	  accidentally sent a blank commit message.

2005-11-02 08:47  seanius

	* [r1268] plugins/check_smtp.c:
	  check_smtp.c

2005-10-31 20:03  seanius

	* [r1267] configure.in, plugins/check_game.c, plugins/check_http.c,
	  plugins/check_nagios.c, plugins/check_snmp.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/common.h,
	  plugins/netutils.c, plugins/netutils.h, plugins/sslutils.c:
	  code cleanups, largely resulting from turning on -Wall. mostly
	  unused variables and explicit casting issues, but there were a
	  couple gotchas in there too.

2005-10-30 22:45  seanius

	* [r1266] plugins/Makefile.am:
	  turned on -Wall in plugins/Makefile.am via AM_CFLAGS. shouldn't
	  keep our heads in the sand for potential errors, after all :)

2005-10-30 18:05  seanius

	* [r1265] plugins/check_tcp.c:
	  another fix from alex: check for '/' in the server_address before
	  trying to resolve it via is_host().

2005-10-30 10:25  seanius

	* [r1264] plugins/check_tcp.c:
	  fixes for some bugs found in my merging of the tcp socket patch

2005-10-29 15:38  seanius

	* [r1263] plugins-scripts/check_log.sh:
	  check_log fixes from Ade Rixon

2005-10-29 12:46  seanius

	* [r1262] plugins/Makefile.am:
	  patch from nsturm: Makefile.am should have been checking for
	  check_ldap instead of check_ldaps. the result was that
	  check_ldaps was not being created during the build process.

2005-10-25 10:38  seanius

	* [r1261] COPYING, configure.in, plugins/Makefile.am,
	  plugins/check_tcp.c, plugins/netutils.c, plugins/netutils.h,
	  plugins/utils.h, po/de.po, po/fr.po:
	  - added code to allow check_tcp (via np_net_connect) work with
	  local unix sockets. some testing would be welcome. based on idea
	  from Alex Samorukov. - also introduced a check_clamd behavior in
	  check_tcp.

2005-10-24 11:10  seanius

	* [r1260] plugins/Makefile.am, plugins/check_by_ssh.c,
	  plugins/check_dig.c, plugins/check_dns.c, plugins/check_game.c,
	  plugins/check_nagios.c, plugins/netutils.c, plugins/runcmd.c,
	  plugins/runcmd.h, plugins/utils.c, plugins/utils.h:
	  initial merging of ae's np_runcmd code into selected plugins.

2005-10-23 12:01  seanius

	* [r1259] configure.in:
	  whoops, missed this one, same as last commit

2005-10-23 11:59  seanius

	* [r1258] plugins/Makefile.am, plugins/netutils.c,
	  plugins/sslutils.c:
	  - compartmentalized ssl code into seperate sslutils.c -
	  ssl-related cleanups in configure.in, and now openssl/gnutls
	  options automatically disable each other.

2005-10-19 20:22  seanius

	* [r1257] plugins/check_http.c, plugins/check_smtp.c,
	  plugins/check_tcp.c, plugins/netutils.c, plugins/netutils.h:
	  all plugins now using centralized ssl functions in netutils.c

2005-10-19 13:05  seanius

	* [r1256] plugins/check_http.c:
	  endif was a few lines off of where it should be

2005-10-19 12:59  seanius

	* [r1255] configure.in, plugins-root/Makefile.am,
	  plugins/Makefile.am, plugins/check_http.c, plugins/check_smtp.c,
	  plugins/check_tcp.c, plugins/common.h, plugins/netutils.c,
	  plugins/netutils.h:
	  - initial attempt at consolidating ssl-related code into
	  netutils.{c,h} - added some #ifdefs to common.h and netutils.h to
	  prevent multiple inclusions (as netlibs now includes common.h) -
	  all ssl plugins (tcp/http/smtp) compile cleanly against gnutls,
	  though certificate checking still needs to be done. - modified
	  configure script so you can also explicitly say "without-gnutls"
	  too (otherwise if you disable openssl you have no way of
	  disabling gnutls too)

2005-10-18 22:35  seanius

	* [r1254] configure.in, plugins/check_tcp.c:
	  initial "experimental" support for gnutls. by default openssl is
	  still used if available, and gnutls is only used if openssl is
	  not available or explicitly disabled (--without-openssl).
	  currently the only plugin i've verified to work is check_tcp, but
	  i had to disable cert checking.

2005-10-18 09:26  tonvoon

	* [r1253] README:
	  Added license information to README with exemption for use of
	  OpenSSL

2005-10-13 11:51  tonvoon

	* [r1252] configure.in:
	  Run spopen tests for Redhat ES SMP (Hans Engelen)

2005-10-13 10:22  seanius

	* [r1251] po/de.po:
	  debian bts #313960: - grammatical german fixes. i'm taking the
	  reporter's word for it :)

2005-10-13 10:20  seanius

	* [r1250] plugins-scripts/check_ntp.pl:
	  debian bts #268044: - use a "less beastly" regex for parsing ntpq
	  output. probably need some more widespread testing on this one.

2005-10-13 10:18  seanius

	* [r1249] plugins/check_disk.c:
	  debian bts #296278: - it seems that when check_disk uses the "df"
	  routines and is told to check a non-mountpoint, it would check
	  the filesystem on which the directory was mounted (i.e. /var/log
	  -> /var if no /var/log mount). the system-call routines now do
	  this too. might need a bit more widespread testing, but looks
	  good for me and i did it without modifying any of the
	  system-call-specific codeblocks.

2005-10-13 10:16  seanius

	* [r1248] plugins/check_game.c:
	  debian bts #307905: - someone changed the cmdline syntax of check
	  game without also updating the usage/help function ;p

2005-10-13 10:14  seanius

	* [r1247] plugins-scripts/check_disk_smb.pl:
	  debian bts #300701: - check_smb fix for freespace threshold
	  parsing from the cmdline options.

2005-10-13 10:11  seanius

	* [r1246] plugins/check_smtp.c:
	  multiple fixes in check_smtp from debian (bts #285554): - fix for
	  double free via SSL_CTX_free. looks like the previous author knew
	  this was a problem but didn't care enough to fix it ;p. - use
	  defines instead of const chars for SMTP strings. - default to
	  send our fqdn (via gethostbyname lookup on gethostname) in the
	  HELO string, as this is an RFC/SMTP requirement. overridable via
	  cmdline. - use EHLO instead of HELO if using STARTTLS, as it is
	  not SMTP but ESMTP. - verify the server supports STARTTLS before
	  initializing it. - always send QUIT before disconnecting when
	  possible.

2005-10-13 09:58  seanius

	* [r1245] plugins/check_mrtg.c:
	  was this plugin even working? i don't think the if/else logic was
	  doing what was intended.

2005-10-13 09:55  seanius

	* [r1244] plugins/check_mysql.c:
	  check mysql now reads [client] defaults from my.cnf (debian bug
	  #278817)

2005-10-06 12:16  seanius

	* [r1243] plugins/check_ups.c:
	  fix for misreporting temperature in perfdata output for check_ups
	  (debian bts id: #316534)

2005-10-06 12:12  seanius

	* [r1242] configure.in, plugins-root/Makefile.am:
	  whoops. now using automake conditionals to prevent attempted
	  compiles of pst3 on non solaris systems.

2005-09-25 16:34  seanius

	* [r1241] plugins-root/Makefile.am:
	  added rules to Makefile.am for pst3

2005-09-24 20:01  seanius

	* [r1240] configure.in:
	  a final change to hardcode the path for where plugins are
	  installed. it's a very, very ugly hack... if anyone can think of
	  a better way to do it, i'm all ears.

2005-09-22 12:10  seanius

	* [r1239] configure.in:
	  use test instead of '[ ... ]' in configure.in. the
	  check_procs/pst3 situation is still not quite fixed.

2005-09-22 09:43  seanius

	* [r1238] THANKS.in, configure.in, plugins-root/pst3.c:
	  first version of bob ingraham's pst3 to allow checking for longer
	  cmdline names than otherwise possible, by querying solaris kmem
	  directly (ps forcibly truncates). added requisite configure.in
	  voodoo and updated THANKS.in.

2005-09-22 08:10  tonvoon

	* [r1237] po/POTFILES.in:
	  Mark moving of check_dhcp and check_icmp for translation

2005-09-21 13:07  tonvoon

	* [r1236] AUTHORS, THANKS.in:
	  Updated with contributors and new team member

2005-09-21 13:04  tonvoon

	* [r1235] plugins/check_nwstat.c:
	  Reopen connections for each query (1296296 - David Sullivan)

2005-09-21 10:09  tonvoon

	* [r1234] plugins/check_dhcp.c, plugins/check_icmp.c:
	  Moved into plugins-root/

2005-09-21 10:06  tonvoon

	* [r1233] ACKNOWLEDGEMENTS, CHANGES, Makefile.am, README,
	  configure.in, plugins-root, plugins-root/.cvsignore,
	  plugins-root/Makefile.am, plugins-root/check_dhcp.c,
	  plugins-root/check_icmp.c, plugins/Makefile.am:
	  Separation of root setuid plugins into plugins-root/

2005-09-20 16:11  tonvoon

	* [r1232] configure.in:
	  Incorrect assignment of procppid in configure.in (1296497 -
	  Pascal Larisch)

2005-09-20 11:34  tonvoon

	* [r1231] configure.in, plugins/t/check_procs.t:
	  Support for Tru64 for check_procs + additional test cases

2005-09-19 14:18  tonvoon

	* [r1230] doc/RELEASING:
	  Note to update version number before creating ChangeLog

2005-09-19 13:51  tonvoon

	* [r1228] configure.in, package.def:
	  For 1.4.2 release

2005-09-19 13:48  tonvoon

	* [r1227] ChangeLog:
	  Updated for 1.4.2 release

2005-09-19 13:46  tonvoon

	* [r1226] doc/RELEASING:
	  Reminders for news item and tag format

2005-09-19 13:42  tonvoon

	* [r1225] BUGS:
	  Updated BUGS for 1.4.2 release

2005-09-19 10:58  tonvoon

	* [r1224] THANKS.in:
	  More contributors

2005-09-15 08:39  tonvoon

	* [r1223] plugins/t/check_ping.t:
	  Added test to make sure hostname has to be specified

2005-09-15 08:27  tonvoon

	* [r1222] plugins/check_procs.c, plugins/check_swap.c:
	  - Cleanup minor compile errors on Irix

2005-09-14 14:40  tonvoon

	* [r1221] plugins/check_ping.c:
	  Using common message

2005-09-14 14:36  tonvoon

	* [r1220] plugins/check_ping.c:
	  Required hostname not flagging as an error

2005-09-14 12:40  tonvoon

	* [r1219] plugins/Makefile.am:
	  Some makes do not like blank lines after "\". Fixed check_ldaps
	  to only generate if check_ldap was created (Chester Hosey)

2005-09-14 09:53  tonvoon

	* [r1218] plugins/check_load.c:
	  Fix to parsing of uptime (Ronald Tin - 1254656)

2005-09-14 09:49  tonvoon

	* [r1217] configure.in:
	  - Removing typos

2005-09-13 15:48  tonvoon

	* [r1216] plugins/check_ping.c:
	  More diagnostic messages from check_ping

2005-09-12 11:20  seanius

	* [r1215] plugins/check_ping.c:
	  re-add a call to setlocale(LC_ALL, "") in check_ping.c

2005-09-12 10:37  tonvoon

	* [r1214] THANKS.in:
	  For help in fixing Red Hat problem with ECHILD and waitpid

2005-09-12 10:31  tonvoon

	* [r1213] Makefile.am, config_test, config_test/Makefile,
	  config_test/child_test.c, config_test/run_tests, configure.in,
	  plugins/popen.c:
	  ECHILD error at waitpid on Red Hat systems (Peter Pramberger and
	  Sascha Runschke - 1250191)

2005-08-30 22:11  tonvoon

	* [r1212] plugins-scripts/subst.in:
	  Better comments for what the substitutions are doing

2005-08-01 21:30  tonvoon

	* [r1210] doc/BRANCHING:
	  Move notes on branching away from RELEASING

2005-08-01 21:28  tonvoon

	* [r1209] BUGS, ChangeLog, REQUIREMENTS, configure.in, package.def:
	  For 1.4.1 release

2005-07-25 14:17  illumino

	* [r1208] NPTest.pm:
	  Change the environment variable NPTESTCACHE to NPTEST_CACHE for
	  consistancy

2005-07-25 01:47  illumino

	* [r1207] Helper.pm, Makefile.am, NPTest.pm, configure.in,
	  plugins-scripts/t/check_rpc.t, plugins/t/check_disk.t,
	  plugins/t/check_dns.t, plugins/t/check_fping.t,
	  plugins/t/check_ftp.t, plugins/t/check_hpjd.t,
	  plugins/t/check_http.t, plugins/t/check_imap.t,
	  plugins/t/check_load.t, plugins/t/check_mysql.t,
	  plugins/t/check_ping.t, plugins/t/check_pop.t,
	  plugins/t/check_procs.t, plugins/t/check_smtp.t,
	  plugins/t/check_snmp.t, plugins/t/check_swap.t,
	  plugins/t/check_tcp.t, plugins/t/check_time.t,
	  plugins/t/check_udp.t, plugins/t/check_users.t,
	  plugins/t/check_vsz.t, test.pl.in:
	  [1185704] New Testing Infrastructure. Complete rewrite of the
	  original testing infrastructure and all test cases (to use the
	  new infrastructure) See NPTest.pm and issue 1185704 for more
	  details.

2005-07-20 22:39  tonvoon

	* [r1206] THANKS.in:
	  More contributors

2005-07-20 22:38  tonvoon

	* [r1205] plugins/check_ping.c:
	  Fix parsing for netkit-ping and iputils-ping (Christian G Warden)

2005-07-11 22:15  tonvoon

	* [r1204] plugins/check_nwstat.c:
	  Miscelleneous bug fixes (Gerd Mueller - 1235879)

2005-07-09 04:44  tonvoon

	* [r1203] BRANCHES:
	  Changed format (already!) for awk simplicity

2005-07-09 04:03  tonvoon

	* [r1202] BRANCHES:
	  Master file to describe the current branches in CVS. Will be used
	  by sfsnapshot to create the snapshot tarballs

2005-07-06 22:21  tonvoon

	* [r1201] configure.in:
	  Removed ",", causing problems with MacOSX compile

2005-07-06 22:10  tonvoon

	* [r1200] plugins/check_swap.c:
	  Updated help file to remove swap -s reference (Sivakumar
	  Nellurandi)

2005-07-06 21:00  tonvoon

	* [r1199] AUTHORS, THANKS.in:
	  Sean Finney moved to main list of plugin developers

2005-07-04 09:52  opensides

	* [r1198] contrib/tarballs/check_traffic-0.90b.tar.gz:
	  replace the version of check_traffic who was missing the plugin
	  by a good one

2005-06-29 04:11  seanius

	* [r1197] plugins/runcmd.c, plugins/runcmd.h:
	  initial versions of the runcmd framework by andreas

2005-06-29 01:04  seanius

	* [r1196] plugins/check_swap.c:
	  divide by 0 fix for check_swap

2005-06-28 02:26  seanius

	* [r1195] plugins/check_load.c:
	  set LC_NUMERIC to POSIX in check_load (1164325)

2005-06-28 00:26  seanius

	* [r1194] configure.in, plugins/Makefile.am, plugins/check_swap.c:
	  scanf parsing fix for check_swap from tracker id 1123292. now use
	  floor(3) to round down floating point numbers. requires -lm on
	  many systems, so support for testing for this was added to the
	  configure.in and automake template

2005-06-27 13:07  seanius

	* [r1193] plugins/check_hpjd.c:
	  fixes from richard brodie (tracker id 1216576)

2005-06-26 16:27  seanius

	* [r1192] contrib/check_dl_size.pl, contrib/check_ftpget.pl,
	  contrib/check_logins.c, contrib/check_mysql.c,
	  contrib/check_mysql.pl, contrib/check_mysqlslave.pl,
	  contrib/check_nwstat.pl, contrib/check_pop3.pl,
	  contrib/check_procl.sh, contrib/check_procr.sh:
	  spring cleaning of contrib directory from andreas

2005-06-26 16:18  seanius

	* [r1191] contrib/tarballs/berger-ping.tar.gz,
	  contrib/tarballs/check_memory.tgz,
	  contrib/tarballs/check_spread.tar,
	  contrib/tarballs/radius.tar.gz:
	  removal of obsolete tarballs

2005-06-26 01:23  seanius

	* [r1190] plugins/check_swap.c:
	  "asprintf madness" fix from andreas' patch to np-d, minus the
	  comments.

2005-06-05 17:43  seanius

	* [r1189] plugins/check_tcp.c:
	  check_tcp code cleanup from andreas plus fix to andreas' patch
	  from sean

2005-06-03 13:53  seanius

	* [r1188] plugins/check_procs.c:
	  gcc 2.x fixes from edward

2005-06-01 19:41  sghosh

	* [r1187] plugins/check_snmp.c:
	  only load mibs if needed or specified - patch 1212395

2005-05-28 01:21  seanius

	* [r1186] plugins/check_load.c:
	  bugfixes to check_load thanks to andreas

2005-05-26 02:13  seanius

	* [r1185] plugins/check_mysql.c:
	  fix for check_msyql so that it doesn't use column numbers but the
	  names instead for determining slave status. thanks to james
	  kingston.

2005-05-25 17:42  sghosh

	* [r1183] plugins/check_time.c:
	  64bit sys support - 1185713

2005-05-25 15:40  sghosh

	* [r1182] plugins/check_snmp.c:
	  support for getnext - 1106430

2005-05-25 14:25  sghosh

	* [r1181] plugins/check_ping.c:
	  RH9 pattern

2005-05-25 14:05  sghosh

	* [r1180] plugins-scripts/check_ntp.pl:
	  perfdata patch - 1172539

2005-05-25 03:37  sghosh

	* [r1179] plugins-scripts/check_ntp.pl:
	  new option for zero offset - 1159317

2005-05-25 03:23  sghosh

	* [r1178] plugins/check_snmp.c:
	  v2c support - 1155754

2005-05-25 00:43  seanius

	* [r1177] configure.in, plugins/check_nagios.c,
	  plugins/check_procs.c:
	  fixes for check_procs: - added support for printing the pid in
	  all the ps outputs - don't use the proc name to ignore self, use
	  the pid vs getpid(). - initialize procetime to null string
	  otherwise -vvv can have funny results

2005-05-25 00:30  seanius

	* [r1176] plugins/check_tcp.c, plugins/netutils.c,
	  plugins/netutils.h:
	  bah, my_connect is taken by mysql. now calling it np_net_connect.

2005-05-24 22:33  sghosh

	* [r1175] plugins-scripts/check_ntp.pl:
	  patched bug id 1200030 - regex update

2005-05-24 22:10  sghosh

	* [r1174] plugins-scripts/check_ntp.pl:
	  patched bug id 1204636

2005-05-24 20:25  seanius

	* [r1173] plugins/check_tcp.c, plugins/netutils.c,
	  plugins/netutils.h:
	  optimizations and cleanup from andreas

2005-05-23 05:09  seanius

	* [r1172] nagios-plugins.spec.in:
	  build fix

2005-05-03 02:00  seanius

	* [r1171] plugins/check_ping.c:
	  setlocale(LC_ALL, "") should be setlocale(LC_NUMERIC, "C") to
	  properly parse the output of ping.

2005-05-03 01:52  seanius

	* [r1170] plugins/check_tcp.c:
	  if check_tcp was called with -e but not -s, it would hang in a
	  call to my_recv. the fix committed here adds on more piece of
	  logic to the check to see if more data needs to be read, avoiding
	  the deadlock call. a better fix would be to not use these
	  "voodoo" heuristics and instead use poll() or select(), but
	  that's quite a bit more complicated.

2005-05-01 20:12  seanius

	* [r1169] plugins/popen.c, plugins/popen.h:
	  better error checking in spopen signal handler (see 1107524)

2005-05-01 19:50  seanius

	* [r1168] configure.in:
	  provide a --with-perl option

2005-04-29 00:27  stanleyhopcroft

	* [r1167] contrib/check_sybase:
	  check_sybase 0.7 from Simon Bellman. Thx

2005-04-19 00:16  seanius

	* [r1166] plugins-scripts/check_ntp.pl:
	  regexp fix for check_ntp

2005-04-19 00:09  seanius

	* [r1165] configure.in:
	  check for the -w flag for ping6 as well as ping

2005-04-17 22:22  seanius

	* [r1164] plugins-scripts/check_disk_smb.pl:
	  also change the --help output to reflect that check_disk_smb
	  defaults to empty passwords

2005-04-16 06:09  seanius

	* [r1163] plugins-scripts/check_disk_smb.pl:
	  patch to check_disk_smb to allow empty passwords

2005-04-14 04:13  seanius

	* [r1162] plugins-scripts/check_mailq.pl:
	  check_mailq fix, don't be case sensitive matching
	  /^\s+Total\sRequests:\s(\d+)$/

2005-04-14 04:07  seanius

	* [r1161] plugins-scripts/check_ntp.pl:
	  typographical fix in check_ntp

2005-04-11 18:02  seanius

	* [r1160] plugins/check_ssh.c:
	  properly call close() on the ssh connection before exiting.

2005-04-11 03:07  seanius

	* [r1159] configure.in, plugins/check_tcp.c:
	  this should add support for check_ssmtp, based on the 1.3.x patch
	  in 1155562, but fixed to follow how things are done in 1.4 (using
	  strdup instead of asprintf) and patching configure.in instead of
	  configure.

2005-04-07 04:33  seanius

	* [r1158] plugins/check_smtp.c:
	  in honor of joining up, my first bugfix. this should resolve
	  1174070.
	  
	  note i don't have an exchange server to test this against, but it
	  does what the requester mentioned (slightly cleaner than the
	  patch attached in the tracker).
	  
	  it does, however, still work against my own postfix server :)
	  
	  sean

2005-04-05 21:26  harpermann

	* [r1157] plugins/check_snmp.c:
	  This is a first cut at adding performance data to check_snmp. I
	  wasn't sure how to handle UOM so only values that return SNMP
	  type Counter32: are labled with "c". All other values have a
	  blank UOM. I also left off warn, crit, max and min values in the
	  performance data until we come up with a way to handle them.

2005-04-04 18:25  tonvoon

	* [r1156] THANKS.in:
	  More contributors

2005-04-04 18:24  tonvoon

	* [r1155] plugins/check_smtp.c:
	  Fix static buffer (Nikolay Sturm)

2005-03-18 03:14  mattkent

	* [r1154] plugins/check_mysql.c:
	  Replication check support for 4.1.x from Gerrit Beine

2005-03-08 06:19  tonvoon

	* [r1149] plugins-scripts/check_ntp.pl:
	  Added OS info for offset issue

2005-03-04 22:20  tonvoon

	* [r1148] plugins-scripts/check_ntp.pl:
	  Ignore extra check on offset 0.00000 (John Warburton - 1150777)

2005-03-04 21:58  tonvoon

	* [r1146] plugins/check_disk.c, plugins/check_smtp.c,
	  plugins/check_ups.c:
	  Fixed // comments (Steve Greenland - 1143836)

2005-03-04 21:50  tonvoon

	* [r1145] plugins-scripts/check_ntp.pl:
	  Support for IPv6 (Merijn Evertse - 1119917)

2005-03-04 21:04  tonvoon

	* [r1144] configure.in, package.def:
	  Changed to next version number

2005-03-04 21:03  tonvoon

	* [r1143] doc/RELEASING:
	  Notes on branching

2005-03-04 20:43  tonvoon

	* [r1141] CHANGES:
	  Missed check_disk addition to 1.4

2005-02-11 11:49  stanleyhopcroft

	* [r1140] plugins/Makefile.am:
	  Fix for check_icmp build on Solaris from Andreas Ericsson
	  <ae@op5.se>

2005-02-04 00:44  tonvoon

	* [r1138] configure.in:
	  For 1.4 release

2005-02-04 00:43  tonvoon

	* [r1137] ChangeLog:
	  Updated for 1.4 release

2005-02-04 00:29  tonvoon

	* [r1136] BUGS:
	  New file to note known bugs for major releases

2005-02-04 00:28  tonvoon

	* [r1135] CHANGES:
	  Reordering of items with most important announcements first

2005-02-04 00:27  stanleyhopcroft

	* [r1134] contrib/check_oracle_tbs:
	  New version (1.1) from John Koyle

2005-02-04 00:26  tonvoon

	* [r1133] Makefile.am:
	  BUGS file addition to release

2005-02-04 00:26  tonvoon

	* [r1132] README:
	  Cleanup and addition of reference to BUGS file

2005-02-04 00:25  tonvoon

	* [r1131] doc/RELEASING:
	  Updated with corrections. Added note to update BUGS file

2005-02-03 23:52  tonvoon

	* [r1130] THANKS.in:
	  Patch against check_log

2005-02-03 23:51  tonvoon

	* [r1129] plugins-scripts/check_log.sh:
	  Check for log file readability

2005-02-02 09:47  stanleyhopcroft

	* [r1128] contrib/check_email_loop.pl:
	  Add debug option from John Rouillard

2005-02-02 06:42  stanleyhopcroft

	* [r1127] plugins/check_ide_smart.c:
	  try again to stop looping

2005-02-02 05:44  stanleyhopcroft

	* [r1126] plugins/check_ide_smart.c:
	  restructure main() to stop looping on -n

2005-02-01 12:43  stanleyhopcroft

	* [r1125] contrib/check_traceroute-pure_perl.pl:
	  Thank you to Myke Place for check_traceroute-pure_perl.pl

2005-02-01 12:42  stanleyhopcroft

	* [r1124] THANKS.in:
	  Thank you for contributed plugins

2005-02-01 12:30  stanleyhopcroft

	* [r1123] plugins/Makefile.am:
	  check_icmp added to libexec_PROGRAMS

2005-02-01 12:25  stanleyhopcroft

	* [r1122] CHANGES:
	  check_icmp no longer regarded as volatile; built by default

2005-02-01 12:23  stanleyhopcroft

	* [r1121] plugins/linux.h:
	  plugins/linux.h, vestigeal header required for prior versions of
	  check_icmp, no longer required.

2005-02-01 07:35  stanleyhopcroft

	* [r1120] CHANGES:
	  Amendments for check_icmp

2005-02-01 07:34  stanleyhopcroft

	* [r1119] plugins/Makefile.am:
	  hacks to partly support check_icmp.c (1.0).

2005-02-01 07:33  stanleyhopcroft

	* [r1118] plugins/check_icmp.c:
	  Revised check_icmp (1.0) from A Ericsson.

2005-02-01 04:20  stanleyhopcroft

	* [r1117] contrib/check_asterisk.pl, contrib/check_email_loop.pl,
	  contrib/check_http-with-client-certificate.c,
	  contrib/tarballs/check_traffic-0.91b.tar.gz:
	  New or revised plugin in /contrib

2005-01-28 22:42  stanleyhopcroft

	* [r1116] contrib/check_sybase:
	  New version of Simon Bellwoods check_sybase (0.4). Thank you.

2005-01-27 10:34  stanleyhopcroft

	* [r1115] contrib/check_traceroute.pl:
	  Jon Meek's check_traceroute for Mon hacked by YT for Nagios. Prob
	  pretty weak

2005-01-27 10:32  stanleyhopcroft

	* [r1114] contrib/check_smart.pl:
	  Candidate successor to /plugins/check_ide_smart.c. Now in
	  /contrib. NB there is another new plugin with sim function

2005-01-27 04:54  stanleyhopcroft

	* [r1113] contrib/check_fan_cpq_present,
	  contrib/check_fan_fsc_present, contrib/check_mysqlslave.pl,
	  contrib/check_temp_cpq, contrib/check_temp_fsc:
	  New /contrib plugin

2005-01-27 04:46  stanleyhopcroft

	* [r1112] contrib/check_arping.pl, contrib/check_cpqarray.c,
	  contrib/check_frontpage, contrib/check_logins.c,
	  contrib/check_oracle_tbs, contrib/check_pcpmetric.py,
	  contrib/check_pfstate:
	  New /contrib plugin

2005-01-27 02:27  stanleyhopcroft

	* [r1111] CHANGES, THANKS.in, contrib/README.TXT, po/de.po,
	  po/fr.po:
	  1 New /contrib plugins 2 Revised check_dhcp.c status in CHANGES

2005-01-27 01:38  harpermann

	* [r1110] plugins/Makefile.am:
	  Added check_dhcp bask into libexec_PROGRAMS after talking with
	  Stanley.

2005-01-26 21:39  tonvoon

	* [r1109] THANKS.in:
	  More contributors

2005-01-26 21:21  tonvoon

	* [r1108] plugins/check_dig.c:
	  Convert tabs to spaces from dig's answer section (Randy O'Meara -
	  1107651)

2005-01-26 20:53  tonvoon

	* [r1107] REQUIREMENTS:
	  Add recommendation for check_procs on Mandrake systems (Paulo
	  Fessel - 1106849)

2005-01-25 22:15  stanleyhopcroft

	* [r1106] plugins/check_ide_smart.c:
	  Display usage if no argv (Reuben Farrelly)

2005-01-25 18:11  harpermann

	* [r1105] plugins/check_dhcp.c:
	  Tracker:1109261 This was an alignment problem on Solaris. Linux
	  kernel fixes alignment so this was not seen there. Memcpy takes
	  care of proper alignment. Tested on RHEL V3 U3, RHEL V4, FreeBSD
	  4.10 (Thanks Stanley!) and Solaris 9 with the GNU env.

2005-01-25 12:43  stanleyhopcroft

	* [r1104] plugins/check_ide_smart.c:
	  Trivial text changes (print_help, commentary & -n option)

2005-01-25 09:20  stanleyhopcroft

	* [r1103] contrib/check_dhcp.c,
	  contrib/tarballs/check_icmp-0.8.tar.gz:
	  moved to /plugins (core plugin)

2005-01-25 09:19  stanleyhopcroft

	* [r1102] contrib/tarballs/check_cit.tgz:
	  replaced by contrib/check_ica* (esp check_ica_metaframe_pub_apps)

2005-01-25 09:15  stanleyhopcroft

	* [r1101] contrib/check_citrix:
	  Replaced by the check_ica* pair of plugins (mainly
	  check_ica_metaframe_pub_apps)

2005-01-25 09:12  stanleyhopcroft

	* [r1100] contrib/packet_utils.pm:
	  packet creation and dumping hacks used by check_ica* and
	  check_lotus

2005-01-25 09:09  stanleyhopcroft

	* [r1099] contrib/check_ica_master_browser.pl:
	  New plugin - checks that ICA master browser is what it should be
	  (important for firewalled dialup)

2005-01-25 09:07  stanleyhopcroft

	* [r1098] contrib/check_ica_metaframe_pub_apps.pl:
	  Replacement (structured name mainly) for check_citrix: check of
	  ICA browse service

2005-01-25 09:05  stanleyhopcroft

	* [r1097] contrib/check_ica_program_neigbourhood.pl:
	  New plugin to check Citrix Metaframe XP "Program Neighbourhood"

2005-01-25 09:04  stanleyhopcroft

	* [r1096] contrib/check_lotus.pl:
	  New plugin to check responsiveness of Louts Notes (v5 at least)
	  servers

2005-01-24 23:17  stanleyhopcroft

	* [r1095] plugins/Makefile.am:
	  Removed check_dhcp and check_icmp from libexec_PROGRAMS (ie dont
	  build by defaut)

2005-01-24 23:15  stanleyhopcroft

	* [r1094] CHANGES:
	  Notes about check_dhcp and check_icmp (no longer built by
	  default, use at own peril, volatile)

2005-01-21 09:24  stanleyhopcroft

	* [r1093] configure.in:
	  Set arch specifc preprocessor symbols in config.h. TEMPORARY hack
	  for check_dhcp.c [on FreeBSD 4: /check_dhcp -i fxp0 -> DHCP ok:
	  Received 1 DHCPOFFER(s), max lease time = 259200 sec.

2005-01-21 01:03  harpermann

	* [r1092] plugins/check_snmp.c:
	  Tracker 1106378 fixed - The -t (timeout) arg was not handled
	  correctly when passed to the snmpget command. Added -e --retries
	  for the correct retries value to snmpcmd.

2005-01-21 00:01  tonvoon

	* [r1091] doc/developer-guidelines.sgml:
	  Changing copyright to the Nagios Plugins Development Team, rather
	  than individual names. Also, clarified use of ACKNOWLEDGEMENTS,
	  THANKS.in and AUTHORS

2005-01-20 23:40  harpermann

	* [r1090] plugins/check_http.c:
	  Changed long argument --minmax to --pagesize and updated help and
	  usage

2005-01-20 23:39  tonvoon

	* [r1089] AUTHORS, Makefile.am, THANKS.in:
	  The AUTHORS file now used for the plugin team, with THANKS.in as
	  the contributors list.

2005-01-20 23:37  harpermann

	* [r1088] CHANGES:
	  Added comment about check_http --pagesize and added max value to
	  page size check

2005-01-20 23:25  tonvoon

	* [r1087] AUTHORS:
	  Added Sean for bug reports

2005-01-20 22:50  harpermann

	* [r1086] plugins/check_http.c:
	  Tracker 1099682 fix. Now getting the page size from
	  Content-Length in the header. Added max value to the -m switch so
	  can do "-m min:max". Retained "-m min" convention. Renamed long
	  arg name to --minmax

2005-01-19 23:39  harpermann

	* [r1085] plugins/check_nt.c:
	  In the CHECK_COUNTER block, there were several strcats writing to
	  unallocated memory. Changed to asprintf. We're not freeing since
	  plugin run is short.

2005-01-19 21:14  tonvoon

	* [r1084] plugins/check_swap.c:
	  Fixed parsing of AIX lsps command (1093522)

2005-01-14 14:39  tonvoon

	* [r1083] AUTHORS:
	  More contributors

2005-01-14 10:59  tonvoon

	* [r1081] configure.in:
	  Fixed ssl configure problems on Solaris (Bug 1096091)

2005-01-13 18:24  tonvoon

	* [r1080] configure.in, plugins/check_swap.c:
	  Use floats for holding memory values to avoid different types on
	  different OSes. Seems to have a problem with the perf data for
	  check_swap on Sol 2.6, but not critical

2005-01-05 21:32  tonvoon

	* [r1079] configure.in, package.def:
	  Update version number to next release

2005-01-04 00:16  opensides

	* [r1078] plugins/check_ide_smart.c:
	  still trying to fix #1094326

2005-01-03 01:37  opensides

	* [r1077] plugins/check_ide_smart.c:
	  more fixes for #1094326

2005-01-03 00:59  opensides

	* [r1076] plugins-scripts/check_mailq.pl:
	  fixes for #1094324

2005-01-02 14:00  opensides

	* [r1075] plugins/check_ide_smart.c:
	  fixing bug #1094326
	  
	  still need to check the makefile for check_ide_smart.c

2005-01-01 16:15  tonvoon

	* [r1074] plugins/check_smtp.c:
	  Removed old terminate function (Bug 1093491)

2004-12-30 17:17  tonvoon

	* [r1072] ChangeLog:
	  Updated with r1_4-beta1 details

2004-12-30 14:23  tonvoon

	* [r1071] CHANGES:
	  Note some syntax changes to check_disk

2004-12-30 14:22  tonvoon

	* [r1070] doc/RELEASING:
	  Update package files for version

2004-12-30 14:21  tonvoon

	* [r1069] AUTHORS:
	  For help with ps on FreeBSD 4

2004-12-30 14:19  tonvoon

	* [r1068] configure.in:
	  Get ps command for FreeBSD 4 (Tomasz Pilat)

2004-12-30 00:41  opensides

	* [r1067] plugins/check_dhcp.c, plugins/check_dns.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_swap.c,
	  plugins/check_tcp.c, po/de.po, po/fr.po, po/nagios-plugins.pot:
	  more internationalization fixes internationalization freeze for
	  beta1

2004-12-28 23:40  opensides

	* [r1066] AUTHORS, po/fr.po:
	  more internationalization

2004-12-28 23:18  opensides

	* [r1065] plugins/Makefile.am, plugins/check_smtp.c, po/fr.po:
	  starttls support for check_smtp #1041576

2004-12-28 22:34  opensides

	* [r1064] AUTHORS, plugins/check_ping.c:
	  String match in check_ping for Solaris 10 #1091043

2004-12-28 20:40  tonvoon

	* [r1063] configure.in:
	  sys/param.h needed for sys/swap.h on openbsd 3.6 (Julien Touche)

2004-12-27 22:44  opensides

	* [r1062] po/fr.po:
	  more internationalization

2004-12-25 23:17  opensides

	* [r1061] plugins/check_dig.c, plugins/check_disk.c,
	  plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_icmp.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/netutils.c,
	  plugins/popen.c, plugins/popen.h, plugins/urlize.c,
	  plugins/utils.c, po/de.po, po/fr.po, po/nagios-plugins.pot:
	  various fixes for localization

2004-12-25 16:18  opensides

	* [r1060] po/de.po, po/fr.po, po/nagios-plugins.pot:
	  new version of po files and pot file

2004-12-25 12:25  opensides

	* [r1059] package.def, po/POTFILES.in:
	  change realase name on package.def adding check_dhcp.c to
	  potfiles.in

2004-12-25 12:09  opensides

	* [r1058] plugins/check_by_ssh.c, plugins/check_dhcp.c:
	  internationalization of check_dhcp internationalization fixes of
	  check_ssh

2004-12-24 18:06  opensides

	* [r1057] plugins/check_icmp.c, po/POTFILES.in, po/fr.po:
	  first pass at adapting to plugin guidelines and start of
	  localization

2004-12-23 18:54  opensides

	* [r1056] plugins/check_http.c, po/fr.po:
	  internationalization fixes

2004-12-23 16:47  mwirtgen

	* [r1055] po/de.po:
	  german translations 391 to go

2004-12-23 09:30  tonvoon

	* [r1054] ACKNOWLEDGEMENTS, configure.in, m4/np_curl.m4,
	  plugins/Makefile.am:
	  Another attempt at fixing check_http compile on Redhat EL3. Fixed
	  check_icmp compile (Lynne Lawrence - 1087171) - still some code
	  changes to check_icmp outstanding. Fixed compile of check_dhcp
	  (complaining about socklen_t). Added acknowledgements for
	  Coreutils and curl

2004-12-22 23:02  harpermann

	* [r1053] plugins/check_nt.c:
	  Added check for "%" in COUNTER <description>. If it exists,
	  <description> is used as an arg to asprintf. If it doesn't exist,
	  <description> is used as a label. If the formatting is wrong, the
	  program will segv.

2004-12-22 07:24  tonvoon

	* [r1052] lib/Makefile.am, lib/stdbool_.h:
	  File required from coreutils

2004-12-21 22:52  tonvoon

	* [r1051] configure.in, plugins/Makefile.am:
	  Revert back to previous openssl checks (the ones from curl kept
	  having problems with later Redhat versions)

2004-12-21 22:36  tonvoon

	* [r1050] m4/stdbool.m4:
	  Another m4 from coreutils

2004-12-21 15:45  tonvoon

	* [r1049] AUTHORS:
	  For their bug reports

2004-12-21 09:32  tonvoon

	* [r1047] lib/Makefile.am, m4/Makefile.am, m4/np_coreutils.m4:
	  Fixed compile problem on Sol2.6 with stdbool.h

2004-12-21 08:56  stanleyhopcroft

	* [r1046] plugins/check_dhcp.c:
	  Commentary changes only: cite origin of copied code with
	  reference to ACK file

2004-12-21 08:55  stanleyhopcroft

	* [r1045] ACKNOWLEDGEMENTS:
	  ACK file contains the details of the authors of code copied by
	  the plugins

2004-12-21 05:00  mattkent

	* [r1044] plugins/check_dns.c:
	  Add another error string match from Pasi Tiittanen

2004-12-20 22:20  tonvoon

	* [r1043] plugins/check_nagios.c:
	  Corrected help for expiry units. Restored functionality of
	  searching for process arguments

2004-12-20 22:01  tonvoon

	* [r1042] plugins/check_nagios.c:
	  Updating help text to reflect using shortname instead of full
	  path for command

2004-12-20 21:38  tonvoon

	* [r1041] configure.in:
	  - stupid typo

2004-12-20 21:26  tonvoon

	* [r1040] configure.in:
	  Fix compile errors when looking for openssl

2004-12-20 09:04  stanleyhopcroft

	* [r1039] COPYING, plugins/check_dhcp.c, po/de.po, po/fr.po:
	  Compilation fixes for check_dhcp.c HP-UX 11. Still fails on HP-UX
	  10. Unknown if check_dhcp works on UX.

2004-12-18 18:28  mwirtgen

	* [r1038] po/de.po:
	  Initial commit on german translation - 428 to go

2004-12-17 18:14  tonvoon

	* [r1037] configure.in:
	  Support for FreeBSD 5.2.1 and 5.3 in check_procs

2004-12-15 23:12  tonvoon

	* [r1036] configure.in:
	  Bump version to next release

2004-12-15 23:11  tonvoon

	* [r1035] doc/developer-guidelines.sgml:
	  Mistake in automake version - back to 1.8

2004-12-15 23:10  tonvoon

	* [r1034] doc/RELEASING:
	  Clarified notes

2004-12-15 21:56  tonvoon

	* [r1032] ChangeLog:
	  Updated for r1_4_0-alpha3

2004-12-15 21:27  tonvoon

	* [r1031] doc/developer-guidelines.sgml:
	  Updated requirements for GNU tools

2004-12-15 21:01  tonvoon

	* [r1030] m4/Makefile.am:
	  Makefile for m4 files

2004-12-15 20:54  tonvoon

	* [r1029] Makefile.am, configure.in, plugins/Makefile.am,
	  tools/setup:
	  Support for coreutils lib. Configure tests via m4 scripts from
	  coreutils

2004-12-15 20:51  tonvoon

	* [r1028] m4, m4/Makefile.am.in, m4/afs.m4, m4/codeset.m4,
	  m4/error.m4, m4/exitfail.m4, m4/extensions.m4, m4/fstypename.m4,
	  m4/fsusage.m4, m4/getopt.m4, m4/gettext.m4, m4/glibc21.m4,
	  m4/iconv.m4, m4/intdiv0.m4, m4/inttypes-pri.m4, m4/inttypes.m4,
	  m4/inttypes_h.m4, m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4,
	  m4/lib-link.m4, m4/lib-prefix.m4, m4/ls-mntd-fs.m4, m4/malloc.m4,
	  m4/mountlist.m4, m4/np_coreutils.m4, m4/onceonly.m4,
	  m4/progtest.m4, m4/realloc.m4, m4/stdint_h.m4, m4/uintmax_t.m4,
	  m4/ulonglong.m4, m4/unlocked-io.m4, m4/xalloc.m4:
	  Moving m4 files from lib/

2004-12-15 20:47  tonvoon

	* [r1027] lib/Makefile.am, lib/afs.m4, lib/error.m4,
	  lib/exitfail.m4, lib/fstypename.m4, lib/fsusage.m4,
	  lib/full-read.c, lib/full-write.c, lib/full-write.h,
	  lib/getopt.m4, lib/ls-mntd-fs.m4, lib/onceonly.m4,
	  lib/safe-read.c, lib/safe-read.h, lib/safe-write.c,
	  lib/safe-write.h, lib/unlocked-io.m4, lib/xalloc.m4:
	  Moving m4 files into m4/. Added extra coreutils files required
	  from autoconf tests. Updated Makefile.am to have nagiosplug lib
	  and a separate coreutils lib

2004-12-15 00:10  opensides

	* [r1026] po/de.po, po/fr.po:
	  fr.po work in progress still 88 to translate ;-)

2004-12-11 06:25  mattkent

	* [r1025] plugins/check_tcp.c:
	  Patch from Ollie Cook to define return code when expected value
	  not received (#1082275). Also included another change from Ollie
	  Cook to do stricter matching of expected values from the
	  beginning of the line. When a user defines an expected string
	  this is changed to the old style strstr matching.

2004-12-10 21:18  tonvoon

	* [r1024] plugins/check_ldap.c:
	  Fixed compile warning

2004-12-10 06:10  mattkent

	* [r1023] plugins/Makefile.am:
	  Compile broken - fixing link flags.

2004-12-10 05:57  mattkent

	* [r1022] plugins/check_dns.c:
	  Error catching improvements from Ollie Cook

2004-12-10 05:54  mattkent

	* [r1021] plugins/check_pgsql.c:
	  Fixing broken compile

2004-12-10 05:39  mattkent

	* [r1020] AUTHORS:
	  More contributers

2004-12-10 00:54  stanleyhopcroft

	* [r1019] plugins/Makefile.am:
	  Changes to link flags for check_dhcp.c

2004-12-10 00:52  stanleyhopcroft

	* [r1018] plugins/check_dhcp.c:
	  Extensive changes to get MAC address from Solaris via DLPI

2004-12-10 00:20  tonvoon

	* [r1017] plugins/check_dns.c, plugins/check_procs.c:
	  Reverting back ngettext calls

2004-12-10 00:13  tonvoon

	* [r1016] plugins/common.h:
	  Fix includes for gettext

2004-12-09 22:33  tonvoon

	* [r1015] configure.in:
	  Include $libsuff for systems that define this (based on advice
	  from Daniel Stenberg)

2004-12-08 23:14  tonvoon

	* [r1014] configure.in:
	  Removed redundant check and make export LD_LIBRARY_PATH more sh
	  friendly

2004-12-08 00:36  opensides

	* [r1013] configure.in, plugins/Makefile.am,
	  plugins/check_by_ssh.c, plugins/check_game.c,
	  plugins/check_http.c, plugins/check_ide_smart.c,
	  plugins/check_ldap.c, plugins/check_snmp.c, plugins/check_tcp.c:
	  patch 1028033
	  
	  minor internationalization fixes

2004-12-08 00:22  tonvoon

	* [r1012] configure.in:
	  Fixed output info for openssl and LD_LIBRARY_PATH for subsequent
	  compiles (otherwise get ld.so.1: ./conftest: fatal:
	  libssl.so.0.9.7: open failed)

2004-12-07 06:51  tonvoon

	* [r1011] configure.in, plugins/Makefile.am:
	  Better SSL checking (inspired by curl 7.12.2's configure.ac)

2004-12-07 03:13  mattkent

	* [r1010] plugins-scripts/check_ifoperstatus.pl:
	  Option to check for admin down (#1012191) from Raúl Pedroche.

2004-12-07 02:45  stanleyhopcroft

	* [r1009] plugins/Makefile.am:
	  Correct dependencies for check_dhcp.c.

2004-12-07 02:33  stanleyhopcroft

	* [r1008] plugins/Makefile.am, plugins/check_dhcp.c:
	  New plugin: check_dhcp.c. Attempt to port to non Linux platform.

2004-12-06 18:49  opensides

	* [r1007] po/fr.po:
	  new version of fr.po

2004-12-05 22:07  mattkent

	* [r1006] plugins/check_snmp.c:
	  Fix for -s string matching (#756567, Tony Missana)

2004-12-05 12:59  opensides

	* [r1005] plugins/check_nt.c, po/fr.po, po/nagios-plugins.pot:
	  cleaned fr.po nagios-plugins.pot

2004-12-05 00:54  opensides

	* [r1004] plugins/check_http.c, plugins/check_icmp.c,
	  plugins/check_nwstat.c, plugins/check_ping.c,
	  plugins/check_smtp.c, plugins/check_swap.c, plugins/utils.h:
	  fix patch 998291 fix patch 1078934 expect check_ssh fix and
	  check_nt perfdata should stay on one word like in nagios

2004-12-04 12:34  opensides

	* [r1003] po/nagios-plugins.pot:
	  new version of pot file

2004-12-04 12:31  opensides

	* [r1002] plugins/check_by_ssh.c, plugins/check_dns.c,
	  po/POTFILES.in:
	  various internationalization fixes

2004-12-04 12:12  opensides

	* [r1001] plugins/Makefile.am, plugins/check_by_ssh.c,
	  plugins/check_dig.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ide_smart.c,
	  plugins/check_mrtg.c, plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, po/POTFILES.in:
	  internationalization fixes bugfixes

2004-12-04 10:57  opensides

	* [r1000] plugins/check_dns.c, plugins/check_hpjd.c:
	  check_dns needs a space between 'time' and the hostname
	  check_hpjd needs a parenthesis removed in print_usage()

2004-12-04 00:23  opensides

	* [r999] plugins/check_swap.c:
	  Bug Fix [ 1024735 ] check_swap providing inaccurate swap
	  information on Sol6

2004-12-03 23:55  opensides

	* [r998] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c:
	  reverting my changes from !=TRUE to == ERROR, that's not good ;-(
	  sorry

2004-12-03 23:23  opensides

	* [r997] plugins/check_tcp.c, po/de.po, po/fr.po,
	  po/nagios-plugins.pot:
	  check_tcp parenthesis bug, header fix for po files

2004-12-03 23:02  opensides

	* [r996] plugins/check_dig.c, plugins/check_disk.c,
	  plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ldap.c,
	  plugins/check_mrtg.c, plugins/check_mrtgtraf.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_swap.c,
	  plugins/check_tcp.c, plugins/check_time.c, plugins/check_udp.c,
	  plugins/check_ups.c:
	  print_help and print_usage() cleanup
	  
	  other misc cleanups

2004-12-03 21:56  stanleyhopcroft

	* [r995] plugins/check_tcp.c:
	  1041571: -D option processing corrected (Eric Chen). Changed
	  process_arguments() to return TRUE. Dont know why this was
	  necessary.

2004-12-03 20:28  opensides

	* [r994] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/urlize.c:
	  remove UT_HLP_VRS from print_usage this was not a good idea ;-)

2004-12-03 19:20  opensides

	* [r993] plugins/utils.c:
	  removing support fonction removing warranty from print_revision

2004-12-03 17:48  opensides

	* [r992] ROADMAP, package.def, plugins/negate.c, plugins/utils.h:
	  some minor fixes

2004-12-03 17:15  opensides

	* [r991] plugins/check_load.c, plugins/check_ssh.c:
	  correcting parenthesis error

2004-12-03 16:56  opensides

	* [r990] AUTHORS, plugins/check_load.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/urlize.c:
	  fixes for internationalization

2004-12-03 11:45  opensides

	* [r989] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c:
	  internationalization fixes and help fixes

2004-12-03 09:19  opensides

	* [r988] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_http.c, plugins/check_nwstat.c,
	  plugins/check_pgsql.c, plugins/check_ping.c, plugins/check_udp.c,
	  po, po/.cvsignore:
	  Localization fixes

2004-12-03 08:45  opensides

	* [r987] plugins/check_ide-smart.c, plugins/check_pgsql.c:
	  correcting copyright and remaning int result = STATE_UNKNOWN;

2004-12-03 04:37  mattkent

	* [r986] plugins/check_nagios.c:
	  Affected by elapsed time patch.

2004-12-03 04:16  mattkent

	* [r985] AUTHORS:
	  Another contributer.

2004-12-03 04:10  mattkent

	* [r984] configure.in, plugins/check_procs.c:
	  Patch from Russell Miller which adds elapsed time as a metric.
	  Only for linux so far. (991359)

2004-12-03 02:21  mattkent

	* [r983] plugins/check_ldap.c:
	  Fix typo breaking compile.

2004-12-03 00:55  opensides

	* [r982] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_ide-smart.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/urlize.c:
	  bump copyright year initialize result to STATE_UNKNOW in place of
	  STATE_OK

2004-12-02 21:23  opensides

	* [r981] plugins/check_dns.c, plugins/check_ldap.c,
	  plugins/check_procs.c:
	  --disable-nls throws an error on check_dns, check_procs and
	  check_ldap without this patch.

2004-12-02 21:03  stanleyhopcroft

	* [r980] plugins/check_tcp.c:
	  Tracker 1041571: appended :D to getopt_long() args (for cert
	  expiry check). Eric Chen.

2004-12-02 16:51  opensides

	* [r979] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/popen.c,
	  plugins/utils.c:
	  More internationalization work new usage4 function to permit
	  localisation of think like check_ssh: xxxxx

2004-12-02 14:54  opensides

	* [r978] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c:
	  return of process_arguments() is TRUE not OK !

2004-12-02 14:35  opensides

	* [r977] plugins/check_http.c:
	  return of process_arguments() is TRUE not OK !

2004-12-02 08:45  stanleyhopcroft

	* [r976] plugins/Makefile.am:
	  Add check_icmp plugin

2004-12-02 08:44  stanleyhopcroft

	* [r975] plugins/check_icmp.c:
	  check_icmp plugin from A Ericsson

2004-12-02 08:44  stanleyhopcroft

	* [r974] plugins/linux.h:
	  For check_icmp plugin from A Ericsson

2004-12-02 04:48  mattkent

	* [r973] command.cfg.in:
	  Fix typo.

2004-12-02 04:36  mattkent

	* [r972] AUTHORS, REQUIREMENTS, command.cfg.in,
	  plugins/check_ups.c:
	  Patch from Arnaud Quette to bring support to NUT 2.0 plus couple
	  improvements and fixes (1038413 which includes 1032009, 815785).

2004-12-02 01:11  opensides

	* [r971] plugins/check_dns.c, plugins/check_game.c,
	  plugins/check_http.c, plugins/check_ide-smart.c,
	  plugins/check_load.c, plugins/check_mrtgtraf.c,
	  plugins/check_mysql.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/negate.c, plugins/popen.c:
	  changed Error: by CRITICAL - more localization fixes

2004-12-02 00:30  opensides

	* [r970] contrib/check_rbl.c:
	  adapted for localization

2004-12-01 23:54  opensides

	* [r969] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/common.h, plugins/getaddrinfo.c,
	  plugins/getaddrinfo.h, plugins/gethostbyname.c,
	  plugins/gethostbyname.h, plugins/negate.c, plugins/netutils.c,
	  plugins/netutils.h, plugins/popen.c, plugins/urlize.c,
	  plugins/utils.c, plugins/utils.h:
	  standardize localization string standardize unknow arguments

2004-12-01 22:02  tonvoon

	* [r968] doc/RELEASING:
	  Notes on releasing

2004-12-01 21:55  tonvoon

	* [r967] configure.in:
	  Next version number

2004-12-01 21:01  tonvoon

	* [r965] ChangeLog:
	  Updated for r1_4_0-alpha2

2004-12-01 20:43  tonvoon

	* [r964] tools/devmode:
	  eval not working - instructions now in comments

2004-12-01 20:09  tonvoon

	* [r963] plugins-scripts/check_oracle.sh:
	  Fixed pmon process checking from a change I made earlier

2004-12-01 19:33  opensides

	* [r962] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_ssh.c:
	  first pass at standardization of messages for the localization

2004-12-01 08:41  stanleyhopcroft

	* [r961] configure.in:
	  Bryan Loniewski contributed check_jabber plugin (SSL/check_tcp);
	  Eric Chen check_nntps plugin + SSL certficate expiry check [added
	  -D option to check_tcp]

2004-12-01 08:28  stanleyhopcroft

	* [r960] plugins/netutils.c:
	  1075725: patch to my_connect() to deal with SEGV if connect fails

2004-12-01 08:26  stanleyhopcroft

	* [r959] plugins/check_tcp.c:
	  1041571 & 664615: check_tcp with cert check + nntps, simap,
	  jabber

2004-12-01 03:50  mattkent

	* [r958] contrib/check_nmap.py:
	  Small fix from David Rippel (996800) for newer versions of nmap

2004-12-01 03:26  mattkent

	* [r957] plugins-scripts/check_oracle.sh:
	  Perf data and other improvements by Florian Gleixner (1027787)

2004-11-30 07:40  opensides

	* [r956] po/fr.po:
	  more french translations

2004-11-30 00:25  tonvoon

	* [r955] plugins/check_ide-smart.c:
	  Capitalized some error messages

2004-11-30 00:24  tonvoon

	* [r954] plugins/urlize.c:
	  Updated output to UNKNOWN

2004-11-30 00:21  opensides

	* [r953] po/fr.po:
	  translating fr.po new part

2004-11-29 23:52  tonvoon

	* [r952] lib/Makefile.am, lib/exitfail.m4, lib/getopt.m4:
	  Extra files required from coreutils

2004-11-29 23:46  tonvoon

	* [r951] SUPPORT:
	  Cleanup and statement re: contrib plugins

2004-11-29 22:42  tonvoon

	* [r950] configure.in:
	  Patches for configure on *BSD (Julien Touche)

2004-11-29 05:07  stanleyhopcroft

	* [r949] contrib/README.TXT, contrib/rblcheck-dns,
	  contrib/rblcheck-web, contrib/tarballs/check_icmp-0.8.tar.gz:
	  *** empty log message ***

2004-11-29 04:49  mattkent

	* [r948] contrib/check_linux_raid.pl:
	  Better error checking (820806)

2004-11-29 00:56  opensides

	* [r947] po/fr.po:
	  second version of french .po still 300 ;-) to translate

2004-11-28 22:57  opensides

	* [r946] po/fr.po:
	  first new translation of fr.po

2004-11-27 21:00  mattkent

	* [r945] plugins/check_ssh.c:
	  Add remote version check (1030269, Daniel Gullin)

2004-11-26 08:54  stanleyhopcroft

	* [r944] AUTHORS:
	  New plugin/bugfix: tracker 1070929. check_hpjdres

2004-11-25 05:09  mattkent

	* [r943] plugins/check_disk.c:
	  From old test harness code, make ./check_disk -w 0 -c 0 / valid
	  parameters again

2004-11-25 05:06  mattkent

	* [r942] plugins/t/check_dns.t, plugins/t/check_http.t,
	  plugins/t/check_load.t, plugins/t/check_mysql.t, test.pl.in:
	  Updating test harness

2004-11-25 04:49  stanleyhopcroft

	* [r941] contrib/README.TXT:
	  Removed reference to non existent tar balls (Hopcroft plugins)

2004-11-25 04:46  stanleyhopcroft

	* [r940] contrib/check_wins.pl:
	  Non functional tidy ups to check_wins

2004-11-25 04:30  stanleyhopcroft

	* [r939] contrib/check_hw.sh:
	  Added /contrib/check_hw.sh by Rok Debevc

2004-11-25 04:28  stanleyhopcroft

	* [r938] contrib/check_sybase:
	  Added /contrib/check_sybase by Simon Bellwood

2004-11-25 03:01  stanleyhopcroft

	* [r937] contrib/check_hprsc.pl:
	  update check_hprsc.pl for Net-SNMP versions >=4

2004-11-24 21:34  tonvoon

	* [r936] tools/sfsnapshot:
	  Removing build directory after creating distribution

2004-11-24 21:19  tonvoon

	* [r935] doc/makefile:
	  Added clean

2004-11-24 06:36  stanleyhopcroft

	* [r933] plugins/check_hpjd.c:
	  add -OQa to command_line in check_hpjd.c. Correct
	  nagiosplug-Bugs-889948, 846329

2004-11-24 04:35  mattkent

	* [r932] plugins/check_nwstat.c:
	  Attempting to fix a reported segfault (1055054)

2004-11-24 04:25  mattkent

	* [r931] plugins/check_http.c:
	  Added support for sending port in host header (913633)

2004-11-24 00:46  tonvoon

	* [r930] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/negate.c, plugins/urlize.c:
	  Making messages more consistent

2004-11-23 23:53  tonvoon

	* [r929] plugins/check_by_ssh.c, plugins/check_dns.c,
	  plugins/check_hpjd.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_swap.c,
	  plugins/check_time.c:
	  Standardising translation texts

2004-11-23 23:35  tonvoon

	* [r928] doc/developer-guidelines.sgml:
	  Guidelines on translated text (Yves Mettier, Simon Bellwood,
	  Andreas Ericsson)

2004-11-23 22:49  tonvoon

	* [r927] doc/developer-guidelines.sgml:
	  Adding notes on developer and translator access in SF

2004-11-23 06:06  mattkent

	* [r926] AUTHORS:
	  More contributers.

2004-11-23 05:49  mattkent

	* [r925] plugins/check_disk.c:
	  Fix integer warning and critical options. Take values from
	  current unit instead of always KB.

2004-11-23 00:06  stanleyhopcroft

	* [r924] doc/developer-guidelines.sgml:
	  trivial changes to Perl plugin section.

2004-11-22 22:44  tonvoon

	* [r923] AUTHORS:
	  More contributors

2004-11-22 22:30  tonvoon

	* [r922] plugins/check_nt.c:
	  Fixed some messages that should not be translated (Benoit
	  Mortier)

2004-11-21 05:24  mattkent

	* [r920] plugins/check_mysql.c:
	  Patch from Nathan Shafer to add replication slave check (1006777)

2004-11-20 22:56  mattkent

	* [r919] AUTHORS:
	  Oops, forgot one.

2004-11-20 22:46  mattkent

	* [r918] AUTHORS:
	  More contributers.

2004-11-20 22:43  mattkent

	* [r917] contrib/check_linux_raid.pl:
	  Fix always reading status from the last line (1045506)

2004-11-20 22:28  mattkent

	* [r916] plugins/check_ping.c:
	  New output format reported by pumuckel1980 (946857)

2004-11-20 21:36  mattkent

	* [r915] plugins/check_http.c:
	  Bit of cleanup, fix verbose output.

2004-11-20 07:04  tonvoon

	* [r914] configure.in:
	  Fixed va_copy problem on AIX by copying samba's configure.in

2004-11-19 15:58  tonvoon

	* [r913] CODING:
	  Added perl coding guidelines, from Programming Perl book (Andreas
	  Ericsson)

2004-11-19 14:28  tonvoon

	* [r912] lib/getloadavg.m4:
	  I think getloadavg.m4 is no longer required (as autoconf has
	  built-in function)

2004-11-19 14:24  tonvoon

	* [r911] lib/Makefile.am:
	  Removed getloadavg.m4 (built-in function in autoconf) and added
	  cloexec.[hc] for getloadavg.c

2004-11-19 14:23  tonvoon

	* [r910] lib/cloexec.c, lib/cloexec.h:
	  Files required for getloadavg.c

2004-11-19 03:59  mattkent

	* [r909] plugins-scripts/check_ntp.pl:
	  Fix incorrectly labelled units in output (1025905, Jason Martin)

2004-11-19 03:44  mattkent

	* [r908] plugins/check_procs.c:
	  Enabling timeout flag (1010097, Jason Martin)

2004-11-19 02:53  mattkent

	* [r907] plugins/check_http.c:
	  Make -L notice ssl use to output a proper href (1035234, Abid
	  Rasheed)

2004-11-19 02:39  mattkent

	* [r906] plugins/check_smtp.c:
	  Change unit from 'us' to 's' to match other core plugins for
	  simplicity.

2004-11-19 00:21  tonvoon

	* [r905] AUTHORS:
	  - More great contributors...

2004-11-19 00:12  tonvoon

	* [r904] plugins/check_http.c:
	  Options for User Agent string and extra headers (Ibere Tizio)

2004-11-18 22:48  tonvoon

	* [r903] configure.in:
	  Remove unnecessary CPPFLAGS for openssl (Lutz Behnke - 686476)

2004-11-18 22:42  tonvoon

	* [r902] plugins/check_tcp.c:
	  Enhance SSL initialization problems (Phil Dibowitz - 1055120)

2004-11-18 05:36  mattkent

	* [r901] plugins/check_smtp.c:
	  Go critical on no route to host instead of warning (934025)

2004-11-18 00:27  tonvoon

	* [r900] tools/setup:
	  Use copy of tools for consistency if building on different
	  platforms from shared source

2004-11-17 23:35  tonvoon

	* [r899] plugins/check_tcp.c:
	  Ignore output from tcp port (949070 - Jan-Piet Mens)

2004-11-17 23:22  tonvoon

	* [r898] plugins/check_http.c:
	  --no-body and --max-age options (949521 - Jamie Zawinski)

2004-11-17 22:19  tonvoon

	* [r897] doc/developer-guidelines.sgml:
	  Added section on using Sourceforge, mainly for administrators

2004-11-12 00:51  tonvoon

	* [r896] tools/update_coreutils:
	  Tool to pull newer coreutil libs into nagiosplug's lib directory

2004-11-12 00:49  tonvoon

	* [r895] lib/Makefile.am, lib/error.c, lib/error.h, lib/error.m4,
	  lib/exit.h, lib/exitfail.c, lib/exitfail.h, lib/fsusage.c,
	  lib/fsusage.h, lib/fsusage.m4, lib/full-read.h, lib/getloadavg.c,
	  lib/getopt.c, lib/getopt.h, lib/getopt1.c, lib/gettext.h,
	  lib/ls-mntd-fs.m4, lib/malloc.c, lib/mountlist.c,
	  lib/mountlist.h, lib/onceonly.m4, lib/realloc.c, lib/snprintf.c,
	  lib/strtod.c, lib/unlocked-io.h, lib/unlocked-io.m4,
	  lib/xalloc.h, lib/xalloc.m4, lib/xmalloc.c, lib/xstrdup.c,
	  plugins/check_disk.c, po/de.po, po/fr.po:
	  Update to using coreutils 5.2.1 libraries and snprintf.c from
	  samba 3.0.8

2004-09-07 20:27  tonvoon

	* [r894] doc/developer-guidelines.sgml:
	  Clarity based on comments by Ben Clewett

2004-08-23 21:59  tonvoon

	* [r893] AUTHORS:
	  For patch to check_nt

2004-08-23 21:58  tonvoon

	* [r892] plugins/check_nt.c:
	  Restore divisor for memory size reported by Windows. Also,
	  implements warning and critical levels for performance counters.
	  (Paulo Afonso Graner Fessel)

2004-08-23 21:18  tonvoon

	* [r891] configure.in, plugins/check_swap.c, plugins/common.h:
	  Using swapctl for Solaris, Tru64 and *BSD (Sean Finney)

2004-08-19 19:05  tonvoon

	* [r890] configure.in, plugins/check_swap.c, plugins/common.h:
	  Patch for tru64 using swapctl calls (Sean Finney)

2004-08-18 21:32  tonvoon

	* [r889] AUTHORS:
	  Another day's work...

2004-08-18 21:25  tonvoon

	* [r888] plugins/check_dig.c:
	  Checks different record types and checks against an expected
	  address (Bill Kunkel)

2004-08-18 20:36  tonvoon

	* [r887] configure.in:
	  Support for check_swap on NetBSD/OpenBSD (Sean Finney)

2004-08-18 20:25  tonvoon

	* [r886] plugins-scripts/check_oracle.sh:
	  More specific test for sid (Paul Allen)

2004-08-18 20:21  tonvoon

	* [r885] plugins/check_disk.c:
	  Fixed perfdata so that shows amount used (Garry Cook)

2004-08-18 19:51  tonvoon

	* [r884] plugins-scripts/check_ifstatus.pl:
	  Perfdata corrected (Garry Cook)

2004-08-18 19:46  tonvoon

	* [r883] plugins-scripts/check_oracle.sh:
	  Fix for similar dataabase sids (Carole Verdon)

2004-08-18 19:41  tonvoon

	* [r882] AUTHORS:
	  Gary Cook for perfdata for check_nt

2004-08-18 19:40  tonvoon

	* [r881] plugins/check_nt.c:
	  Perfdata added (Gary Cook)

2004-06-26 16:39  tonvoon

	* [r880] tools/sfsnapshot:
	  Change of compile server and cleanups

2004-06-26 05:13  tonvoon

	* [r879] tools/sfsnapshot:
	  Remove need to alter configure.in. Using different compile farms
	  for SF to do the compiling

2004-05-24 14:22  tonvoon

	* [r878] AUTHORS:
	  Ben Clewett

2004-05-24 14:21  tonvoon

	* [r877] lib/Makefile.am:
	  Missed getloadavg.c (Ben Clewett)

2004-05-20 06:09  egalstad

	* [r876] contrib/check_dhcp.c:
	  DHCP bug fix

2004-05-10 10:25  tonvoon

	* [r875] configure.in:
	  Set EXTRAS with check_swap if ac_cv_have_swap is set

2004-04-30 11:12  tonvoon

	* [r874] configure.in:
	  ps -el for HP-UX

2004-04-29 15:08  tonvoon

	* [r873] configure.in:
	  Bug in ps -el for AIX 4.1

2004-04-29 11:13  tonvoon

	* [r872] AUTHORS:
	  Sven for HP-UX requirements

2004-04-29 11:12  tonvoon

	* [r871] REQUIREMENTS:
	  HP-UX requirements (Sven Schaffranneck)

2004-04-19 13:14  sghosh

	* [r870] AUTHORS, contrib/check_nagios_db_pg.pl:
	  Postgres backend monitor

2004-04-19 13:10  sghosh

	* [r869] AUTHORS, plugins-scripts/check_mssql.pl:
	  check_mssql.pl

2004-04-19 13:08  sghosh

	* [r868] README:
	  Win32 plugin repository

2004-04-08 11:05  tonvoon

	* [r867] AUTHORS:
	  Torsten Werner for check_racle patches

2004-04-08 11:05  tonvoon

	* [r866] plugins-scripts/check_oracle.sh:
	  Cleaner calls to awk and support if Oracle has different national
	  language settings (Torsten Werner)

2004-04-06 16:02  tonvoon

	* [r864] configure.in, plugins/check_procs.c:
	  Fixed weird scanf bug on Solaris

2004-04-02 19:37  kdebisschop

	* [r863] plugins/check_by_ssh.c:
	  add example invocation to help

2004-03-31 23:01  tonvoon

	* [r862] AUTHORS:
	  Howard Wilkinson

2004-03-31 22:53  tonvoon

	* [r861] plugins/check_nt.c:
	  Command line argument bug (Howard Wilkinson)

2004-03-31 22:48  tonvoon

	* [r860] plugins/netutils.c:
	  Set default state (Howard Wilkinson)

2004-03-31 19:20  tonvoon

	* [r859] doc/developer-guidelines.sgml:
	  Update author list

2004-03-23 06:35  kdebisschop

	* [r858] plugins/check_fping.c:
	  check was supposed to be agains ms - got munged wfixeg the
	  perfdata output to be in seconds

2004-03-22 07:22  tonvoon

	* [r856] AUTHORS:
	  Joe Rhett for getopt bug

2004-03-22 07:19  tonvoon

	* [r855] plugins/check_http.c:
	  Option --url not mapped (Joe Rhett)

2004-03-18 20:58  tonvoon

	* [r854] AUTHORS:
	  More help for patches

2004-03-18 20:50  tonvoon

	* [r853] plugins/check_disk.c:
	  Typo in check_disk units (Matthew Kent - 909281)

2004-03-18 20:40  tonvoon

	* [r852] configure.in:
	  Mysql include path not added correctly (Arnold Cavazos - 912974)

2004-03-18 20:31  tonvoon

	* [r851] plugins/check_radius.c:
	  Option to fill in NAS-identifier to Emulate pam_radius behaviour
	  (Alexander Kulak)

2004-03-17 20:38  tonvoon

	* [r850] doc/developer-guidelines.sgml:
	  Copyright information for patches

2004-03-14 04:09  kdebisschop

	* [r849] plugins/check_ldap.c, plugins/check_load.c,
	  plugins/check_mrtgtraf.c, plugins/check_pgsql.c,
	  plugins/check_smtp.c, plugins/check_tcp.c, plugins/check_ups.c:
	  use fperfdata

2004-03-14 03:37  kdebisschop

	* [r848] plugins/check_fping.c:
	  use fperfdata

2004-03-12 03:40  egalstad

	* [r847] contrib/check_cluster2.c:
	  New cluster plugin for Nagios 2.x

2004-03-11 15:33  tonvoon

	* [r846] CHANGES:
	  check_procs difference

2004-03-11 15:17  tonvoon

	* [r845] plugins/check_nagios.c:
	  Incorporate check_proc changes into check_nagios. ps handling
	  probably should be moved into utils.c in future

2004-03-08 21:03  tonvoon

	* [r844] configure.in:
	  Require ngettext

2004-03-08 21:01  tonvoon

	* [r843] doc/developer-guidelines.sgml:
	  Information on plugin output format

2004-03-04 05:08  kdebisschop

	* [r842] plugins/check_dig.c, plugins/check_dns.c,
	  plugins/check_game.c:
	  use float for time in perf data

2004-03-03 12:33  kdebisschop

	* [r841] plugins/check_http.c, plugins/utils.c:
	  begin writing some perfdata as float

2004-03-03 04:24  kdebisschop

	* [r840] contrib/check_pop3.pl:
	  fix loop and \r\n (Jason Burnett -
	  http://sourceforge.net/tracker/index.php?func=detail&aid=895677&group_id=29880&atid=397599)

2004-03-03 03:48  kdebisschop

	* [r839] plugins/check_disk.c:
	  check_disk was getting blocks instead of bytes (Michael Musikhin
	  -
	  http://sourceforge.net/tracker/index.php?func=detail&aid=900215&group_id=29880&atid=397599)

2004-03-02 17:44  kdebisschop

	* [r838] pkg/fedora/requires, pkg/redhat, pkg/redhat/requires:
	  attempt to prune requires

2004-03-02 06:17  kdebisschop

	* [r837] Makefile.am, nagios-plugins.spec.in, pkg/fedora,
	  pkg/fedora/requires:
	  make specfile into a template which can generate a generic spec
	  plus specs suitable for various repositories

2004-03-02 06:13  kdebisschop

	* [r836] configure.in:
	  prpare for alpha2

2004-03-02 05:25  kdebisschop

	* [r835] plugins/check_http.c:
	  relax check for -w/-c to accept floats (bug report from Warrick
	  FitzGerald)

2004-03-02 05:01  kdebisschop

	* [r834] AUTHORS, plugins/check_swap.c:
	  fix div by zero error when swaptotal is zero (Flo Gleixner)

2004-03-01 12:27  kdebisschop

	* [r833] plugins/check_tcp.c, plugins/netutils.c:
	  check_tcp was returning uninitialized string with user-defined
	  refused outcome

2004-03-01 06:15  kdebisschop

	* [r832] plugins/check_smtp.c:
	  allow regex for ecpect checks

2004-02-29 04:09  kdebisschop

	* [r831] plugins/check_nwstat.c, plugins/netutils.c,
	  plugins/netutils.h:
	  was making up to 34 separate tcp connections - now we open one
	  and reuse

2004-02-28 07:27  kdebisschop

	* [r830] plugins/check_snmp.c:
	  checks for warn in check_num() mistakenly referred to crit limits

2004-02-28 06:51  kdebisschop

	* [r829] plugins/check_smtp.c:
	  minor doco update to reflect handling of repeated caoomand
	  strings

2004-02-28 06:48  kdebisschop

	* [r828] plugins/check_smtp.c:
	  work in progress to accept multiple command/expect pairs

2004-02-28 04:54  kdebisschop

	* [r827] plugins/check_swap.c:
	  update to work with Linux 2.6 /proc/meminfo format

2004-02-25 08:51  kdebisschop

	* [r826] AUTHORS, plugins/check_dns.c:
	  check server for authoritative status (from Jon Hallet)

2004-02-25 08:12  kdebisschop

	* [r825] plugins/check_swap.c:
	  change some datatypes to llu for very large swaps

2004-02-25 07:49  kdebisschop

	* [r824] configure.in, plugins/check_ping.c:
	  pass timeout to ping if supported with -w parameter (linux)

2004-02-21 05:37  kdebisschop

	* [r823] plugins/check_by_ssh.c:
	  add option to ignore a specified number of lines on stderr (to
	  suppress a login banner)

2004-02-21 03:44  kdebisschop

	* [r821] AUTHORS:
	  Add Jason Martin for report of missing $opt_C for 'use vars' in
	  check_breeze

2004-02-21 03:42  kdebisschop

	* [r820] plugins-scripts/check_breeze.pl:
	  add opt_C to 'usr vars'

2004-02-20 19:35  tonvoon

	* [r819] plugins/check_http.c:
	  - Missed out getopt for -T

2004-02-20 05:25  kdebisschop

	* [r818] contrib/check_dhcp.c, plugins/check_snmp.c,
	  plugins/negate.c, plugins/netutils.c, plugins/urlize.c:
	  spell fix "received"

2004-02-20 05:21  kdebisschop

	* [r817] plugins/utils.c, plugins/utils.h:
	  add perfdata function for floats to complement ints, also spell
	  fix "received"

2004-02-20 05:19  kdebisschop

	* [r816] AUTHORS:
	  add Ralph Rye for report of check_procs segfault on AIX/WebSphere
	  and proof-of-concept patch

2004-02-20 05:04  kdebisschop

	* [r815] plugins/check_procs.c:
	  handle case where line from ps output exceed MAX_INPUT_BUFFER

2004-02-20 03:37  tonvoon

	* [r814] AUTHORS:
	  Shaun Wills for patch to check_http

2004-02-20 03:21  tonvoon

	* [r813] plugins/check_http.c:
	  Added Content-type when POSTing (Shawn Wills)

2004-02-20 03:00  tonvoon

	* [r812] plugins/check_procs.c:
	  - compiler warning removed (but usage2 messages badly broken)

2004-02-20 02:58  tonvoon

	* [r811] AUTHORS:
	  Matt Pounsett for bug report

2004-02-20 02:09  tonvoon

	* [r810] plugins/check_dns.c:
	  Different text to scan for if multiple addresses

2004-02-20 01:05  tonvoon

	* [r809] plugins/check_swap.c:
	  Corrected usage message (Matt Pounsett)

2004-02-19 13:24  tonvoon

	* [r808] AUTHORS:
	  Michael Musikhin for check_disk patch

2004-02-19 13:23  tonvoon

	* [r807] plugins/check_disk.c:
	  Uninitialised variables for -X (Bug 900091 - Michael Musikhin)

2004-02-18 14:57  kdebisschop

	* [r806] configure.in:
	  version bump (old)

2004-02-18 14:56  kdebisschop

	* [r805] acinclude.m4, lib/afs.m4, lib/fstypename.m4,
	  lib/fsusage.m4:
	  underquoted defines cause warning on FC2

2004-02-18 02:11  tonvoon

	* [r804] AUTHORS:
	  Johannes Herlitz for patch to check_dns

2004-02-18 02:09  tonvoon

	* [r803] plugins/check_dns.c:
	  Output message includes the query_address, as inspired by
	  Johannes Herlitz. Also cleanup of comments and handles multi-line
	  nslookup output (MacOSX 10.3)

2004-02-17 13:24  tonvoon

	* [r802] AUTHORS:
	  David Alden for check_snmp_procs.pl

2004-02-17 13:23  tonvoon

	* [r801] contrib/check_snmp_procs.pl:
	  Checks remote processes via SNMP (David Alden)

2004-02-09 08:32  tonvoon

	* [r800] AUTHORS:
	  Patrick McCormick

2004-02-09 08:27  tonvoon

	* [r799] plugins/check_ping.c:
	  Fix for check_ping old-style argument handling (Patrick McCormick
	  - 892211)

2004-01-28 11:42  tonvoon

	* [r798] plugins/check_dummy.c:
	  Print optional text

2004-01-21 12:50  kdebisschop

	* [r797] AUTHORS:
	  credit David Croft (patch check_tcp formultibyte malloc bug in
	  server_expect)

2004-01-21 12:49  kdebisschop

	* [r796] plugins/check_tcp.c:
	  =fix segfault on malloc of server_expect for multibyte chars
	  (David Croft)

2004-01-18 20:07  sghosh

	* [r795] contrib/check_snmp_printer.pl:
	  plugin to check printer status via snmp, includes page count as
	  perfdata; perl plugin

2003-12-24 08:51  tonvoon

	* [r794] AUTHORS:
	  Bug reporter

2003-12-24 08:51  tonvoon

	* [r793] plugins/check_swap.c:
	  Fixed help doc on use of % (854817 - Gunnar Hellekson)

2003-12-18 09:24  tonvoon

	* [r792] README:
	  Reference to CHANGES file

2003-12-18 09:19  tonvoon

	* [r791] Makefile.am:
	  Add CHANGES file to distribution

2003-12-18 09:15  tonvoon

	* [r790] CHANGES:
	  List major changes between releases

2003-12-11 10:00  tonvoon

	* [r789] AUTHORS:
	  For patch to check_http

2003-12-11 10:00  tonvoon

	* [r788] plugins/check_http.c:
	  Relative redirects not followed correctly (854131 - John Sivak)

2003-12-05 18:12  tonvoon

	* [r787] AUTHORS:
	  Ben Whaley for reported Solaris 8 /usr/ucb/ps problem in
	  configure.in

2003-12-05 18:08  tonvoon

	* [r786] configure.in:
	  Not correctly working out ps command if /usr/ucb before /usr/bin
	  in PATH for Solaris (reported by Ben Whaley)

2003-12-05 16:45  tonvoon

	* [r785] AUTHORS:
	  Patch to my_connect

2003-12-05 16:42  tonvoon

	* [r784] plugins/netutils.c, plugins/netutils.h:
	  Fix clash of namespace for my_connect with mysql (854339 - Ian
	  Holsman)

2003-12-02 15:27  tonvoon

	* [r783] plugins/check_disk.c:
	  Default thresholds not defined for lists in -x parameter (raised
	  by Matt Garrett)

2003-12-01 02:47  kdebisschop

	* [r782] po/de.po, po/fr.po:
	  commit changes caused by upstream code mods

2003-12-01 02:46  kdebisschop

	* [r781] plugins/check_procs.c:
	  use usage2 function

2003-12-01 02:38  kdebisschop

	* [r780] nagios-plugins.spec.in:
	  add THANKS to %doc

2003-11-28 14:18  tonvoon

	* [r779] plugins/check_procs.c:
	  Fixed listing of failed processes

2003-11-24 14:56  tonvoon

	* [r778] AUTHORS:
	  For patches

2003-11-24 14:53  tonvoon

	* [r777] plugins/check_hpjd.c:
	  Bug from code-clean (Antony Simmonds - 846311)

2003-11-21 07:53  kdebisschop

	* [r776] README:
	  update auotmake/autoconf versions

2003-11-21 07:52  kdebisschop

	* [r775] doc/developer-guidelines.sgml:
	  update developer names

2003-11-21 07:34  kdebisschop

	* [r774] INSTALLING:
	  our policy now is to use most recent versions of GNU tool chain

2003-11-19 06:24  kdebisschop

	* [r773] plugins/check_time.c:
	  add perfdata

2003-11-19 06:00  kdebisschop

	* [r772] plugins/check_smtp.c:
	  use perfdata() to return perfoamnace data in stanadrd format

2003-11-17 11:45  kdebisschop

	* [r771] plugins/check_ups.c:
	  bugfix - each supported option was overwriting the previous
	  perfdata

2003-11-17 07:19  kdebisschop

	* [r770] plugins/check_ups.c:
	  add perfdata

2003-11-17 06:37  kdebisschop

	* [r769] plugins/check_pgsql.c:
	  add perfdata

2003-11-12 06:05  kdebisschop

	* [r768] plugins/check_snmp.c:
	  clean up compiler warnings

2003-11-12 05:53  kdebisschop

	* [r767] plugins/check_mrtg.c, plugins/check_nt.c:
	  clean up compiler warnings

2003-11-12 05:41  kdebisschop

	* [r766] plugins/check_mrtgtraf.c, plugins/check_swap.c:
	  clean up compiler warnings

2003-11-12 05:29  kdebisschop

	* [r765] plugins/check_mrtgtraf.c:
	  add perfdata

2003-11-12 05:28  kdebisschop

	* [r764] plugins/check_dig.c:
	  remove overflow checks of strtod - HUGE_VALF requires C99; also
	  remove equality checks on warn/crit interval which are no doubles

2003-11-11 10:43  tonvoon

	* [r763] plugins/check_tcp.c:
	  Added perfdata

2003-11-11 10:34  tonvoon

	* [r762] plugins/check_users.c:
	  Added perfdata

2003-11-11 10:27  tonvoon

	* [r761] plugins/check_swap.c:
	  Added perfdata

2003-11-11 10:19  tonvoon

	* [r760] plugins/check_swap.c:
	  Fixed if only absolute warn/crit set

2003-11-10 11:15  tonvoon

	* [r759] plugins/utils.h:
	  - typo fixes

2003-11-05 22:59  sghosh

	* [r758] plugins-scripts/check_ifoperstatus.pl,
	  plugins-scripts/check_ifstatus.pl:
	  added plugin timeout options

2003-10-31 04:22  kdebisschop

	* [r757] plugins/check_nt.c:
	  provide an error message

2003-10-31 04:21  kdebisschop

	* [r756] plugins/check_hpjd.c:
	  line indentation

2003-10-31 04:20  kdebisschop

	* [r755] plugins/check_load.c:
	  add perfdata

2003-10-31 04:19  kdebisschop

	* [r754] plugins/check_mrtg.c:
	  add perf data fix bug where stale data message would get
	  overwritten

2003-10-24 13:28  tonvoon

	* [r753] plugins/common.h:
	  Ignore __attribute__ for non-GNU compilers

2003-10-24 09:37  tonvoon

	* [r752] plugins/Makefile.am:
	  Moved config.h to toplevel

2003-10-23 10:24  tonvoon

	* [r751] lib/Makefile.am:
	  Need to include intl/ for systems without libintl.h

2003-10-21 16:16  tonvoon

	* [r750] AUTHORS:
	  Matt Garrett for bug reports

2003-10-21 15:56  tonvoon

	* [r749] plugins-scripts/check_file_age.pl:
	  - Fixed file name (Matt Garrett)

2003-10-20 14:03  tonvoon

	* [r748] configure.in, lib/fsusage.c, lib/mountlist.c:
	  Fix for config.h at top level. Required for intl/

2003-10-15 19:27  tonvoon

	* [r747] tools/mail_error:
	  Need to export PATH for sfsnapshot to get correct GNU toolchain

2003-10-14 03:15  sghosh

	* [r746] plugins-scripts/check_ifoperstatus.pl:
	  snmpv3 patches

2003-10-14 03:14  sghosh

	* [r745] plugins-scripts/check_ifstatus.pl:
	  more snmpv3 patches

2003-10-14 02:40  sghosh

	* [r744] plugins-scripts/check_ntp.pl:
	  Bug 773588: added check to warn on matching # candidates only

2003-10-14 02:15  sghosh

	* [r743] plugins-scripts/check_ifstatus.pl:
	  Added -M for maxmsgsize (v1/v2c) Added v3 support

2003-09-30 13:54  tonvoon

	* [r742] plugins/check_swap.c:
	  Fixed logic problem if HAVE_SWAP, but not on AIX or Solaris.
	  Removed unnecessary ifdefs for help page. Better indentation for
	  ifdefs

2003-09-29 10:02  tonvoon

	* [r741] lib/Makefile.am:
	  Missed GNU files for AIX 5.1

2003-09-17 19:16  tonvoon

	* [r740] AUTHORS:
	  Added authors of obsolete contrib plugins

2003-09-17 19:07  tonvoon

	* [r739] contrib/maser-oracle.pl:
	  Obsolete from main check_oracle

2003-09-17 19:05  tonvoon

	* [r738] contrib/aix/check_crit_dsk, contrib/aix/check_dsk,
	  contrib/aix/check_ping:
	  Plugins obsolete from main check_disk and check_ping

2003-09-17 16:33  tonvoon

	* [r737] lib/strtod.c:
	  Required if strtod not GNU compilant

2003-09-17 16:31  tonvoon

	* [r736] configure.in, lib/Makefile.am, lib/error.c, lib/error.h,
	  lib/error.m4, lib/malloc.c, lib/realloc.c, lib/unlocked-io.h,
	  lib/xalloc.h, lib/xmalloc.c:
	  Support to compile on AIX

2003-09-17 16:15  tonvoon

	* [r735] plugins/check_load.c:
	  - typo

2003-09-17 09:31  tonvoon

	* [r734] configure.in, plugins/check_swap.c:
	  Support for check_swap in AIX (tested on 5.1)

2003-09-17 09:25  tonvoon

	* [r733] tools/setup:
	  Hide error message if docbook not available

2003-09-16 21:58  tonvoon

	* [r732] doc/developer-guidelines.sgml:
	  Added in threshold range format and updated autoconf to 2.54 for
	  a problem on Darwin)

2003-09-16 14:14  tonvoon

	* [r731] configure.in, plugins/Makefile.am, plugins/check_procs.c:
	  Support for AIX ps command and cleanup of configure's ps checks

2003-09-16 12:32  tonvoon

	* [r730] AUTHORS, plugins/common.h:
	  AIX problem with enum TRUE and FALSE (Ludse Verhoeven)

2003-09-16 11:36  kdebisschop

	* [r729] tools/sfsnapshot:
	  here-doc format was not correct

2003-09-16 05:45  kdebisschop

	* [r728] plugins/check_ldap.c:
	  milisecond timing and perfdata, fix NULL pointer error in
	  validate_arguments

2003-09-15 15:49  tonvoon

	* [r727] AUTHORS:
	  Contributors to the perfdata discussion

2003-09-15 15:28  tonvoon

	* [r726] AUTHORS, plugins-scripts/check_mailq.pl:
	  Added Exim support (768445 - Eric Bollengier)

2003-09-15 14:57  tonvoon

	* [r725] AUTHORS, plugins/check_nt.c:
	  Option to verify check_nt version (799098 - Steve Hanselman)

2003-09-15 14:30  tonvoon

	* [r724] AUTHORS:
	  Jason Burnett for check_disk_smb patch

2003-09-15 14:26  tonvoon

	* [r723] plugins-scripts/check_disk_smb.pl:
	  Optionally specify port for smbclient to use (781227 - Jason
	  Burnett)

2003-09-15 05:03  kdebisschop

	* [r722] plugins/check_http.c:
	  make status code extensible (thanks to Chris Wilson
	  <chris@netservers.co.uk>)

2003-09-12 11:53  kdebisschop

	* [r721] AUTHORS:
	  two new additions

2003-09-12 11:38  kdebisschop

	* [r719] plugins/check_ping.c:
	  new output format reported by Patrick Allen
	  <p.allen@brandblue.co.uk>

2003-09-11 11:50  kdebisschop

	* [r718] plugins/check_http.c:
	  use prefdata function for size too

2003-09-11 08:02  kdebisschop

	* [r717] plugins/check_http.c:
	  use prefdata function

2003-09-11 08:02  kdebisschop

	* [r716] configure.in, plugins/check_swap.c:
	  last changes to configure broke check_swap on RHLinux. Restore
	  /proc/meminfo check and make check_swap ifdefs safer

2003-09-04 06:43  kdebisschop

	* [r715] Makefile.am:
	  change so make-dist works in subdirs

2003-09-03 19:37  tonvoon

	* [r714] configure.in:
	  Remove df checks and ignore swap checks if no swap commands found

2003-09-03 19:32  tonvoon

	* [r713] doc/developer-guidelines.sgml:
	  No named credits in source code

2003-09-03 10:32  tonvoon

	* [r712] configure.in:
	  Fixed substitution for Tru64's ps format

2003-09-03 06:01  kdebisschop

	* [r711] plugins/check_dig.c:
	  allow warn/crit times to be floating point

2003-09-03 06:00  kdebisschop

	* [r710] configure.in, plugins/common.h:
	  include math.h if needed for HUGE_VAL

2003-09-02 15:04  tonvoon

	* [r709] plugins/check_procs.c:
	  Solaris requires asprintf checks for null variables

2003-09-01 20:07  tonvoon

	* [r708] Makefile.am:
	  Report duplicates in AUTHORS file

2003-09-01 19:43  tonvoon

	* [r707] doc/developer-guidelines.sgml:
	  Add contributor's name into CVS comments

2003-08-31 05:24  tonvoon

	* [r706] ., .cvsignore, AUTHORS, Makefile.am, THANKS.in:
	  Updated AUTHORS to include all contributors listed in comments in
	  code and CVS for plugins and plugins-scripts. Still need to do SF

2003-08-31 05:13  tonvoon

	* [r705] doc/developer-guidelines.sgml:
	  Updated perf data standard for warn before crit

2003-08-28 11:56  kdebisschop

	* [r704] plugins/check_game.c:
	  add perf data

2003-08-28 03:53  kdebisschop

	* [r703] plugins/check_dns.c:
	  add perf data

2003-08-28 03:53  kdebisschop

	* [r702] plugins/utils.c:
	  use single quotes per guideline, also quote when SPC or = are
	  found

2003-08-28 03:22  kdebisschop

	* [r701] plugins/check_disk.c:
	  add perf data

2003-08-28 03:21  kdebisschop

	* [r700] plugins/utils.c:
	  suppress quotes in perf data when not needed (some plugins need
	  the space to keep below line length limit

2003-08-28 03:20  kdebisschop

	* [r699] plugins/utils.h:
	  add min() macro to complement max()

2003-08-26 11:08  kdebisschop

	* [r698] plugins/check_dig.c:
	  print perfdata

2003-08-26 10:51  kdebisschop

	* [r697] plugins/check_fping.c:
	  print perfdata

2003-08-26 10:44  kdebisschop

	* [r696] plugins/utils.c, plugins/utils.h:
	  function to make perfdata output

2003-08-23 15:07  kdebisschop

	* [r695] plugins/check_http.c:
	  - found and fixed memory allocation error in rewritten redir()
	  function

2003-08-23 13:59  kdebisschop

	* [r694] plugins/check_http.c:
	  - hacked interim fix to segfault on redirect - for tesing only

2003-08-23 13:58  kdebisschop

	* [r693] plugins/check_dig.c:
	  - fix various format errors with newly added perf data

2003-08-22 23:49  kdebisschop

	* [r692] plugins/check_dig.c:
	  - forgot to declare struct timeval tv for hires timing

2003-08-22 06:55  kdebisschop

	* [r691] plugins/check_dig.c:
	  - add perf data for time

2003-08-22 06:22  kdebisschop

	* [r690] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mysql.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/negate.c, plugins/urlize.c:
	  - bindtextdomain for gettext, a few other smale cleanups here and
	  there

2003-08-22 04:43  kdebisschop

	* [r689] plugins/check_http.c:
	  * bugfix: snprintf of timestamp truncated '\0'

2003-08-21 18:00  kdebisschop

	* [r688] plugins/check_http.c:
	  * Check redirections for infinte loops and limit depth of
	  recursion

2003-08-20 09:54  tonvoon

	* [r687] plugins/check_time.c:
	  Optionally use udp instead of tcp (Bradley Baetz - 751646)

2003-08-20 08:31  tonvoon

	* [r686] contrib/check_wins.pl:
	  Changed netsaint to nagios in use lib

2003-08-19 11:41  kdebisschop

	* [r685] plugins/check_http.c:
	  *BUGFIX: LWS is not required betwwen "Location:" header field
	  name and field value

2003-08-19 11:19  kdebisschop

	* [r684] plugins/check_http.c:
	  *add missing status numbers from RFC 2616 (HTTP1.1)

2003-08-18 11:05  kdebisschop

	* [r683] plugins/check_ping.c:
	  move error scans to a new separate routine and scan both stderr
	  and stdio

2003-08-11 19:50  tonvoon

	* [r682] doc/developer-guidelines.sgml:
	  Performance data guidelines added

2003-08-11 19:43  tonvoon

	* [r681] tools/sfsnapshot:
	  Fixed building snapshots - cvs update ignores new directories.
	  Also do not need to run make

2003-08-10 12:56  kdebisschop

	* [r680] plugins/utils.c:
	  config.h is redundant (common.h includes it)

2003-08-10 12:48  kdebisschop

	* [r679] plugins/check_dns.c, plugins/check_smtp.c:
	  perf data in integer microseconds

2003-08-10 12:12  kdebisschop

	* [r678] po/POTFILES.in, po/de.po, po/fr.po:
	  first pass at NLS markup done

2003-08-10 12:11  kdebisschop

	* [r677] plugins-scripts/check_rpc.pl:
	  proposed fix for LANG issue

2003-08-10 06:53  kdebisschop

	* [r676] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/popen.c,
	  plugins/urlize.c:
	  the last round of pedantic compiler warnings

2003-08-09 13:37  kdebisschop

	* [r675] tools/devmode:
	  a little shell script to make it a little easier to produce
	  pedantic compiler warnings

2003-08-09 13:36  kdebisschop

	* [r674] plugins/check_smtp.c, plugins/check_ssh.c,
	  plugins/check_tcp.c, plugins/check_time.c, plugins/check_udp.c,
	  plugins/check_ups.c, plugins/check_users.c:
	  more pedantic compiler warnings

2003-08-09 06:51  undrgrid

	* [r673] plugins/common.h, po/de.po, po/fr.po:
	  Code clean-up

2003-08-09 06:01  kdebisschop

	* [r672] plugins/check_dig.c, plugins/check_http.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_real.c, plugins/utils.c,
	  plugins/utils.h:
	  more pedantic compiler warns

2003-08-09 04:19  kdebisschop

	* [r671] plugins/check_http.c:
	  more pedantic compiler warns, change to microsecond output for
	  perf data, add size to perf data

2003-08-09 04:12  kdebisschop

	* [r670] plugins/utils.c, plugins/utils.h:
	  add function for elapsed tim ein microseconds

2003-08-09 00:56  kdebisschop

	* [r669] plugins/check_http.c:
	  more pedantic compiler warnings

2003-08-09 00:41  kdebisschop

	* [r668] plugins/check_disk.c, plugins/check_dummy.c,
	  plugins/popen.c, plugins/utils.c, plugins/utils.h:
	  more pedantic compiler warnings

2003-08-08 20:31  kdebisschop

	* [r667] lib/Makefile.am:
	  include getloadvag.m4 in distrib

2003-08-08 16:49  kdebisschop

	* [r666] plugins/check_disk.c, plugins/netutils.c,
	  plugins/netutils.h:
	  cleanups from pedantic complier warnings

2003-08-08 16:48  kdebisschop

	* [r665] plugins/check_nt.c:
	  change if/elseif block to case, general streamline

2003-08-08 12:14  kdebisschop

	* [r664] plugins/check_disk.c:
	  fix a variety of compiler warnings about qualifier discards and
	  other pedantic stuff

2003-08-08 05:09  kdebisschop

	* [r663] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_snmp.c, plugins/utils.c,
	  plugins/utils.h:
	  fix a variety of compiler warnings about qualifier discards and
	  other pedantic stuff

2003-08-08 04:33  kdebisschop

	* [r662] plugins/check_by_ssh.c, plugins/check_disk.c,
	  plugins/check_nt.c, plugins/netutils.c, plugins/netutils.h,
	  plugins/popen.h, plugins/utils.h:
	  fix a variety of compiler warnings about qualifier discards and
	  other pedantic stuff

2003-08-08 03:51  kdebisschop

	* [r661] plugins/check_nt.c, plugins/check_smtp.c:
	  markup for translation

2003-08-07 23:17  kdebisschop

	* [r660] plugins/check_real.c:
	  markup for translation

2003-08-07 12:36  kdebisschop

	* [r659] plugins/check_procs.c:
	  markup for translation

2003-08-07 12:09  kdebisschop

	* [r658] plugins/check_load.c:
	  reorder for consistency, restore prototypes for print_foo, nest
	  #ifdef to avoid pedantic traditional c warn

2003-08-07 12:00  kdebisschop

	* [r657] plugins/check_snmp.c:
	  reorder for consistency (no code changes)

2003-08-07 11:51  kdebisschop

	* [r656] plugins/check_by_ssh.c, plugins/check_disk.c,
	  plugins/check_dns.c, plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_http.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_nagios.c,
	  plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_snmp.c, plugins/check_swap.c,
	  plugins/check_tcp.c, plugins/check_time.c, plugins/negate.c,
	  plugins/netutils.c, plugins/popen.c, plugins/utils.c,
	  plugins/utils.h:
	  replace "terminate" with "die" for shorter name and better
	  readability

2003-08-07 11:49  kdebisschop

	* [r655] plugins/check_ping.c:
	  cleanup for better readability

2003-08-07 09:51  kdebisschop

	* [r654] plugins/check_ping.c:
	  markup for translation

2003-08-07 01:23  kdebisschop

	* [r653] tools/sfsnapshot:
	  make must be run before make dist to creat language files

2003-08-06 20:53  tonvoon

	* [r652] doc/developer-guidelines.sgml:
	  Added in that Nagios plugins are written to GNU standards

2003-08-06 14:26  kdebisschop

	* [r651] lib, lib/.cvsignore:
	  ignore ulonglong.m4

2003-08-06 12:13  kdebisschop

	* [r650] plugins/check_overcr.c:
	  markup for translation, move send_buffer assignment to
	  process_args so process_tcp_request can be moved outside the
	  conditional, replace if/esleif with switch, replace #defines with
	  enum

2003-08-06 12:11  kdebisschop

	* [r649] plugins/check_nwstat.c:
	  markup for translation

2003-08-05 19:20  tonvoon

	* [r648] doc/developer-guidelines.sgml:
	  Added dev platform requirements

2003-08-05 11:53  kdebisschop

	* [r647] plugins/check_ssh.c:
	  markup for translation

2003-08-05 09:56  stanleyhopcroft

	* [r646] contrib/check_mssql.sh:
	  Version 2.0 of MS SQL server plugin (contrib/check_mssql.sh) from
	  T De Blende.

2003-08-04 11:38  kdebisschop

	* [r645] plugins/check_users.c, plugins/urlize.c:
	  markup for translation

2003-08-04 08:13  kdebisschop

	* [r644] plugins/check_time.c, plugins/check_udp.c:
	  markup for translation

2003-08-04 07:42  kdebisschop

	* [r643] plugins/check_ldap.c, plugins/check_nagios.c,
	  plugins/check_radius.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/negate.c:
	  markup for translation

2003-08-03 14:24  kdebisschop

	* [r642] plugins/check_ldap.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c:
	  markup for translation

2003-08-03 06:19  kdebisschop

	* [r641] plugins/check_load.c:
	  markup for translation

2003-08-03 06:05  kdebisschop

	* [r640] plugins/check_ldap.c:
	  markup for translation

2003-08-03 06:05  kdebisschop

	* [r639] plugins/check_http.c, plugins/check_ldap.c,
	  plugins/check_tcp.c:
	  markup for translation

2003-08-03 06:03  kdebisschop

	* [r638] plugins/Makefile.am, plugins/check_ide-smart.c:
	  markup for translation, use common.h, fix problems compiling

2003-08-03 00:01  kdebisschop

	* [r637] plugins/check_http.c:
	  markup for translation

2003-08-02 22:19  kdebisschop

	* [r636] plugins/check_hpjd.c:
	  markup for translation

2003-08-02 22:08  kdebisschop

	* [r635] plugins/check_mysql.c:
	  markup for translation

2003-08-02 22:06  kdebisschop

	* [r634] plugins/check_fping.c, plugins/check_game.c,
	  plugins/check_mysql.c, plugins/check_snmp.c, plugins/utils.h:
	  markupf for translation

2003-08-02 18:22  kdebisschop

	* [r633] plugins/utils.c, plugins/utils.h:
	  ifdef so utils.h can be header for utils.c

2003-08-02 18:22  kdebisschop

	* [r632] plugins/check_fping.c, plugins/check_snmp.c:
	  markup for translation

2003-08-02 16:42  kdebisschop

	* [r631] plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_pgsql.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/utils.h:
	  establish "UT_" namespace for usage text in #defines

2003-08-02 16:42  kdebisschop

	* [r630] plugins/check_snmp.c:
	  markup for translation

2003-08-01 23:56  kdebisschop

	* [r628] plugins/check_dns.c:
	  terminate in error_scan() so meaningfull errors can be sent

2003-08-01 06:04  kdebisschop

	* [r627] plugins/check_dummy.c:
	  mark for transaltion

2003-08-01 06:03  kdebisschop

	* [r626] plugins/check_dns.c:
	  do not translate the strings that will be compared to utility
	  output - LC_ALL is set to C so those strings should be
	  untranslated regardless of the system settings

2003-08-01 06:01  kdebisschop

	* [r625] plugins/popen.c:
	  set LC_ALL to C in execve environemnt

2003-08-01 02:12  kdebisschop

	* [r624] plugins/Makefile.am:
	  'ln -f -s ...' is not reliable/portable. Use 'rm -f ...; ln -s
	  ...'

2003-07-31 12:06  kdebisschop

	* [r623] plugins/check_dns.c:
	  mark for translation (note problem here - it relies on
	  tranalation in underlying utility, which has a high chance of
	  failing)

2003-07-31 11:02  kdebisschop

	* [r622] plugins/check_disk.c, plugins/utils.h:
	  mark for translation

2003-07-30 11:39  kdebisschop

	* [r621] plugins/check_by_ssh.c:
	  mark up for translation

2003-07-30 04:07  kdebisschop

	* [r620] plugins/check_dig.c, plugins/check_pgsql.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/utils.h:
	  markup for translation

2003-07-29 11:58  kdebisschop

	* [r619] plugins/check_pgsql.c, plugins/check_swap.c,
	  plugins/check_tcp.c:
	  mark for translation

2003-07-29 11:57  kdebisschop

	* [r618] plugins/utils.h:
	  some shared text for internationalized help text

2003-07-29 05:49  kdebisschop

	* [r617] plugins/utils.c:
	  clean up warnings about ill-formed comment and string
	  concatenation

2003-07-29 05:43  kdebisschop

	* [r616] ., .cvsignore, ChangeLog, README, configure.in,
	  lib/Makefile.am:
	  bump to gettext 0.11.5 and cleanup GNU toolchain

2003-07-29 05:38  kdebisschop

	* [r615] ABOUT-NLS, INSTALL:
	  get from GNU files instead of storing in CVS

2003-07-29 05:03  kdebisschop

	* [r614] tools/setup:
	  move autopoint to start of gnu toolchain setup use
	  --force-missing instead on manually copying files (manual process
	  was broken on RedHat, and we should expect automake to do its job
	  right anyway)

2003-07-29 03:06  kdebisschop

	* [r613] configure.in:
	  look for getloadavg.c in $topdir/lib, not $srcdir/lib

2003-07-29 03:05  kdebisschop

	* [r612] plugins/check_http.c:
	  patch attempt to reference undefined optarg (credit Paul Farrall)

2003-07-28 11:36  tonvoon

	* [r611] configure.in:
	  - Specify srcdir so no confusion

2003-07-28 11:30  tonvoon

	* [r608] configure.in, lib/getloadavg.m4:
	  Readded getloadavg.m4 as using autoconf 2.50+. This fixes redhat
	  6.2 compiles

2003-07-26 12:15  kdebisschop

	* [r607] plugins/check_pgsql.c:
	  mark for translation

2003-07-26 12:13  kdebisschop

	* [r606] plugins/common.h:
	  add S_ macor to mark message for both translation and inclusion
	  into docbook SGML

2003-07-26 05:29  kdebisschop

	* [r605] po/de.po, po/fr.po:
	  updated check_tcp

2003-07-26 05:25  kdebisschop

	* [r604] plugins/check_tcp.c, po/ChangeLog:
	  internationalization

2003-07-26 05:17  kdebisschop

	* [r603] intl, intl/.cvsignore, lib, lib/.cvsignore, po,
	  po/.cvsignore:
	  skip gettext files

2003-07-26 04:36  kdebisschop

	* [r602] lib/Makefile.am:
	  checkins for internationalization

2003-07-26 04:33  kdebisschop

	* [r601] lib/Makefile.am:
	  checkins for internationalization

2003-07-26 04:25  kdebisschop

	* [r600] po/Makevars:
	  checkins for internationalization

2003-07-26 04:17  kdebisschop

	* [r599] configure.in, tools/setup:
	  checkins for internationalization

2003-07-26 04:17  kdebisschop

	* [r598] ., .cvsignore, ABOUT-NLS, ChangeLog, Makefile.am,
	  configure.in, lib/Makefile.am, lib/gettext.h,
	  nagios-plugins.spec.in, plugins/Makefile.am, plugins/check_tcp.c,
	  plugins/common.h, plugins/utils.c, po, po/LINGUAS,
	  po/POTFILES.in, po/de.po, po/fr.po, tools/setup:
	  checkins for internationalization

2003-07-21 12:06  kdebisschop

	* [r597] plugins/common.h:
	  add stubs to allow markup for translation

2003-07-21 11:53  kdebisschop

	* [r596] configure.in, plugins/common.h:
	  test GNU_SOURCE and include features.h if present to clear
	  warning about asprintf definition

2003-07-20 14:40  kdebisschop

	* [r595] doc/developer-guidelines.sgml:
	  must use '&amp;' in attribute values instead of '&' id tokens
	  (attibute values) must not have embedded spaces

2003-07-17 12:14  tonvoon

	* [r593] plugins-scripts/check_oracle.sh:
	  - Cleanup comments

2003-07-17 09:35  tonvoon

	* [r592] doc/developer-guidelines.sgml:
	  Guidelines updated to use Sourceforge tracker system

2003-07-11 22:20  tonvoon

	* [r591] doc/developer-guidelines.sgml:
	  - Fixed CVS commit comments

2003-07-11 13:06  tonvoon

	* [r590] doc/developer-guidelines.sgml:
	  Added in practice of prefixing comments in CVS commits

2003-07-04 10:42  kdebisschop

	* [r586] configure.in, plugins/Makefile.am:
	  only make links for check_spop and check_simap when SSL is built
	  into check_tcp

2003-07-03 16:49  tonvoon

	* [r585] plugins/check_procs.c:
	  Fixed seg fault on some Sol 7/8 servers (Patch 764745 - Alexander
	  Matey)

2003-07-03 15:00  tonvoon

	* [r584] tools/setup:
	  Changing $() to `` to be compatible with Solaris' sh

2003-07-03 03:23  kdebisschop

	* [r583] autogen.sh, tools/setup:
	  mv GNU toolchain check into tools/setup

2003-07-03 03:19  kdebisschop

	* [r582] plugins/utils.c:
	  remove LABELLEN

2003-07-02 16:21  tonvoon

	* [r581] plugins-scripts/check_oracle.sh:
	  Check for ORA- errors for tablespace and cache (patch 755456 -
	  Sven Meyer)

2003-07-02 15:57  tonvoon

	* [r580] plugins-scripts/check_disk_smb.pl:
	  Update error message from smbclient v2.2.7 (Patch 740132 - Cove
	  Schneider)

2003-07-02 15:01  tonvoon

	* [r578] contrib/check_file_age.pl, plugins-scripts,
	  plugins-scripts/.cvsignore, plugins-scripts/Makefile.am,
	  plugins-scripts/check_file_age.pl, plugins-scripts/subst.in:
	  Moving check_file_age into core

2003-07-02 14:39  tonvoon

	* [r577] configure.in:
	  Fixed SUPPORT message

2003-06-30 19:47  undrgrid

	* [r575] plugins/check_http.c, plugins/check_ldap.c,
	  plugins/check_smtp.c:
	  Added -4 and -6 command line options into check_http, check_ldap
	  and check_smtp

2003-06-30 18:52  undrgrid

	* [r574] plugins/check_ping.c, plugins/check_ssh.c,
	  plugins/check_tcp.c, plugins/netutils.c:
	  Corrections to get code to compile on systems without IPv6
	  support

2003-06-30 18:52  undrgrid

	* [r573] plugins/Makefile.am:
	  Added check_simap & check_spop to check_tcp_programs If someone
	  knows how to make this conditional in the Makefile only if being
	  compiled with SSL I think this is the only way to make it better

2003-06-30 17:02  tonvoon

	* [r572] plugins/check_disk.c:
	  Fixed support for "check_disk warn crit [path]" with thresholds
	  at used levels

2003-06-29 19:54  undrgrid

	* [r571] configure.in, plugins/check_ldap.c:
	  Included patch for check_ldap from Patch #753621 by Ziya Suzen

2003-06-29 19:22  undrgrid

	* [r570] plugins/check_ping.c, plugins/check_tcp.c:
	  Changed usage output to show -4 and -6 are mutually exclusive.
	  You can only use one or the other but not both. The last one used
	  will win out.

2003-06-29 19:17  undrgrid

	* [r569] plugins/check_ping.c, plugins/netutils.c:
	  check_ping is now coded with -4 & -6 options to call PING or
	  PING6 command netutils modified to verify hosts based on
	  address_family setting when used with -4 or -6 options.
	  is_inet_addr() will not be tested if -6 is used and
	  is_inet6_addr() will not be tested if -4 is used. Also the
	  is_hostname() will use the address_family value to resolve
	  hostnames only if IPv6 support is available otherwise defaults to
	  AF_INET.

2003-06-29 06:36  undrgrid

	* [r568] plugins/check_ssh.c, plugins/check_tcp.c,
	  plugins/netutils.c, plugins/netutils.h:
	  Added address_family extern int variable to netutils to allow for
	  -4 & -6 options for explicit connection protocol Added support
	  for -4 & -6 options to check_ssh and check_tcp for testing

2003-06-29 02:18  tonvoon

	* [r567] plugins/check_nwstat.c:
	  Added NLM test (Phil Randal)

2003-06-29 01:52  tonvoon

	* [r566] plugins/check_swap.c:
	  Corrected reported size for PROC_MEMINFO systems

2003-06-29 01:36  tonvoon

	* [r565] tools/sfwebcron:
	  Fixed so goes to correct web area

2003-06-29 01:07  tonvoon

	* [r564] tools/sfwebcron:
	  New tool to run on shell.sf.net to update the dev guidelines

2003-06-29 00:58  tonvoon

	* [r563] doc/makefile:
	  Fixed makefile

2003-06-27 18:47  undrgrid

	* [r562] plugins/netutils.c:
	  Modified my_connect to include ai_socktype in the hints to be
	  compliant with RFC3493 as pointed out by Janos Mohacsi.

2003-06-27 14:43  tonvoon

	* [r561] configure.in, plugins/check_swap.c:
	  Support for swap -s for solaris. Also changes size of swap to MBs
	  through a conversion amount in configure. Possible breakage on
	  other OSes

2003-06-27 12:04  tonvoon

	* [r560] doc/makefile:
	  Remove if which check - done in tools/setup instead

2003-06-27 10:30  tonvoon

	* [r559] tools/setup:
	  Fiddling as Solaris' which command is broken

2003-06-26 23:33  tonvoon

	* [r558] plugins/check_disk.c:
	  Fixed different thresholds if using exclude lists

2003-06-25 15:43  tonvoon

	* [r557] plugins/check_disk.c:
	  Support for different thresholds for different filesystems

2003-06-25 13:38  tonvoon

	* [r556] plugins/check_disk.c:
	  Removed -d option and just check against -p parameter

2003-06-25 13:28  tonvoon

	* [r555] plugins/check_disk.c:
	  Report errors if path specified not found

2003-06-25 13:16  tonvoon

	* [r554] plugins/check_disk.c:
	  Problems compiling on SunOS 5.6 with gcc 2.8.1. Fixed by
	  specifying floating variables, rather than letting asprintf work
	  it out

2003-06-21 05:49  kdebisschop

	* [r552] plugins/Makefile.am:
	  soalris 8 needs 'ln -s -f' instead of 'ln -sf'

2003-06-21 05:23  kdebisschop

	* [r549] plugins/check_http.c:
	  add remaining URI_PATH chars per RFC 2396 remove '-' from
	  URI_PORT

2003-06-12 04:46  undrgrid

	* [r548] command.cfg.in:
	  Renamed duplicate check_snmp command definitions to be unique

2003-06-12 04:16  undrgrid

	* [r547] command.cfg.in, configure.in:
	  Made the two check_ifoperstatus commands unique to remove
	  conflicts

2003-06-11 10:41  kdebisschop

	* [r546] plugins/check_http.c:
	  fix URI_PATH to allow ?&#: (more still should be allowed) fix
	  class to be POSIX compliant

2003-06-10 05:04  kdebisschop

	* [r544] contrib/urlize.pl:
	  add comment about shell quote removal to address
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-10 05:02  kdebisschop

	* [r543] plugins/urlize.c:
	  add note about shell quote removal to address
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-08 22:39  tonvoon

	* [r540] configure.in:
	  Fixed quoting on SWAP_FORMAT

2003-06-08 22:22  tonvoon

	* [r539] configure.in:
	  Support for OpenBSD 3.2 & 3.3 ps (Julien Touche)

2003-06-07 00:36  sghosh

	* [r537] plugins/check_real.c:
	  \r\n patch from Mathias

2003-06-04 22:17  tonvoon

	* [r533] plugins/check_disk.c:
	  Argument to asprintf in wrong order

2003-06-04 21:17  tonvoon

	* [r532] pkg/solaris/solpkg:
	  Remove /usr as well. Maybe this is best done by changing BASEDIR
	  to configure's prefix?

2003-06-02 14:46  kdebisschop

	* [r531] plugins/check_tcp.c:
	  finish recv() loop when stream GT or EQ maxbytes (was GT)

2003-06-01 05:38  kdebisschop

	* [r529] plugins/check_tcp.c:
	  allow user to limit number of bytes fetched fix some doco (wait
	  is now delay, server_quit was not shown)

2003-05-31 14:39  kdebisschop

	* [r526] plugins/check_dns.c:
	  first revised patch failed to trap the "break" in while()

2003-05-27 13:10  stanleyhopcroft

	* [r523] contrib/check_sap.sh:
	  check_sap.sh plugin to check SAP /R3 servers from Karel Salavec
	  and Tom De Blende.

2003-05-26 10:09  stanleyhopcroft

	* [r522] contrib/check_axis.sh, contrib/check_mssql.sh:
	  Revisions to Tom De Blende contributed plugins: check_axis.sh and
	  check_mssql.sh

2003-05-17 23:10  tonvoon

	* [r521] plugins/t/check_ftp.t:
	  Fixed test (Mathew Ericson - 738609)

2003-05-17 17:59  tonvoon

	* [r520] plugins/t/check_load.t:
	  Fixed tests (Mathew Ericson - 738607)

2003-05-17 17:50  tonvoon

	* [r519] plugins/t/check_procs.t:
	  Fixed test commands (Mathew Ericson - 738605)

2003-05-17 17:40  tonvoon

	* [r518] plugins/t/check_http.t:
	  Fixed tests (Mathew Ericson - 738608)

2003-05-17 17:36  tonvoon

	* [r517] plugins/t/check_tcp.t:
	  Fixed tests (Mathew Ericson - 738604) CV:
	  ----------------------------------------------------------------------

2003-05-16 17:33  sghosh

	* [r515] plugins-scripts/check_ntp.pl:
	  bug fix

2003-05-14 23:17  tonvoon

	* [r514] plugins/negate.c:
	  Added examples

2003-05-14 21:59  tonvoon

	* [r513] plugins-scripts/check_mailq.pl:
	  Added postfix support (Thomas Nilsen - 735218)

2003-05-14 21:51  tonvoon

	* [r512] plugins/check_nwstat.c:
	  Added DSVER and UPTIME checks (Phil Randal - 737617)

2003-05-14 21:49  tonvoon

	* [r511] pkg/solaris/solpkg:
	  Typo

2003-05-14 21:44  tonvoon

	* [r510] doc, doc/.cvsignore:
	  Ignore developer-guidelines.html as generated from docbook

2003-05-14 21:39  tonvoon

	* [r509] Makefile.am, pkg/solaris/pkginfo.in, pkg/solaris/solpkg:
	  Remove dependency on gnu make

2003-05-13 23:20  tonvoon

	* [r508] doc/developer-guidelines.sgml:
	  Updated docs to include comments, contrib->main, getopts_long and
	  verbose output levels

2003-05-13 22:23  tonvoon

	* [r507] tools/sfsnapshot:
	  Calls tools/setup and creates a README for the snapshot directory

2003-05-13 22:03  tonvoon

	* [r506] doc/developer-guidelines.html, doc/makefile, tools/setup:
	  The developer-guidelines.html file is now generated from the sgml
	  file by docbook2html at tools/setup time

2003-05-13 12:14  stanleyhopcroft

	* [r505] contrib/tarballs/hopcroft-plugins.tar.gz:
	  Removed contrib/tarballs/hopcroft-plugins.tar.gz. This is
	  archaic, anachronistic, unmaintained and humblingly embarrassing.

2003-05-13 12:13  stanleyhopcroft

	* [r504] contrib/check_mssql.sh:
	  check_mssql.sh. A new plugin from Mr T DE BLENDE to check MS
	  SQLServer databases.

2003-05-09 03:22  kdebisschop

	* [r503] plugins/check_http.c:
	  fix error when server closes connection immediately

2003-05-09 03:00  kdebisschop

	* [r501] plugins/check_snmp.c:
	  cause snmpget try try for 1 second less than the timeout
	  (allowing plugin to force close if needed)

2003-05-07 18:01  undrgrid

	* [r500] plugins/check_ping.c:
	  Modified check_ping to handle IPv6 as well as IPv4 ICMP checks
	  using the PING6_COMMAND determined during the configure script
	  execution. As USE_IPV6 may be defined and PING6_COMMAND is not
	  defined if there is not IPv6 TCP stack available when configure
	  is run I condition it off PING6_COMMAND existing to remove build
	  errors for being undefined.

2003-04-25 09:07  sghosh

	* [r499] plugins-scripts/check_ntp.pl:
	  corrected output units

2003-04-23 04:58  kdebisschop

	* [r498] plugins/check_http.c:
	  update to RFC1123 hostname specs

2003-04-17 05:56  kdebisschop

	* [r497] nagios-plugins.spec.in:
	  add check_nt, drop check_vsz

2003-04-17 05:55  kdebisschop

	* [r496] plugins/check_dig.c, plugins/check_tcp.c,
	  plugins/check_users.c:
	  code cleanup to clear strict compiler warnings

2003-04-17 05:36  kdebisschop

	* [r495] plugins/check_dig.c, plugins/check_tcp.c,
	  plugins/netutils.c:
	  code cleanup to clear strict compiler warnings

2003-04-16 15:06  sghosh

	* [r493] plugins/check_real.c:
	  reset to old behavior of not checking stream by default

2003-04-13 04:49  sghosh

	* [r492] plugins/check_hpjd.c:
	  reduce compiler warning between gcc3 and gcc2.96

2003-04-13 04:28  sghosh

	* [r491] configure.in, plugins-scripts/utils.pm.in:
	  update for check_mailq - qmail support

2003-04-13 04:23  sghosh

	* [r490] plugins-scripts/check_mailq.pl:
	  Added sendmail multi-queue support (Canau), merged qmail support
	  (Schmid)

2003-04-11 23:47  tonvoon

	* [r488] plugins/check_procs.c:
	  Match -a STRING anywhere in ps args (Laurent Vaslin - 719783)

2003-04-11 22:36  sghosh

	* [r487] plugins-scripts/check_ifstatus.pl:
	  added feature -u (list of unused ifIndex)

2003-04-11 22:09  sghosh

	* [r486] plugins-scripts/check_ifstatus.pl:
	  bug 691412, added feature -x (list of excluded ifTypes)

2003-04-11 18:44  sghosh

	* [r485] plugins/check_hpjd.c:
	  patch 698384 - order of args to snmpget + print a bit of stderr

2003-04-09 03:46  kdebisschop

	* [r483] plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_nt.c:
	  cleanup to suppress various strict compiler warnings

2003-04-09 03:44  kdebisschop

	* [r482] plugins/common.h:
	  rewrite #elif to be compatible with traditional C

2003-04-09 02:09  kdebisschop

	* [r481] plugins/Makefile.am:
	  check_game needs popen.c now

2003-04-08 20:38  tonvoon

	* [r479] command.cfg.in:
	  Updated command for new check_procs

2003-04-08 20:37  tonvoon

	* [r478] plugins/check_hpjd.c, plugins/check_nt.c:
	  Changed // to /* */ comments as some compilers do not like them

2003-04-08 00:00  stanleyhopcroft

	* [r477] contrib/check_axis.sh:
	  check_axis.sh (Axis 5xx print servers) from Tom De Blende

2003-04-07 23:40  tonvoon

	* [r476] plugins/check_procs.c:
	  Fixed zombie processes

2003-04-07 23:16  tonvoon

	* [r475] configure.in:
	  Missed some PS_FORMAT strings

2003-04-07 22:53  tonvoon

	* [r474] configure.in, plugins/Makefile.am, plugins/check_nagios.c,
	  plugins/check_procs.c, plugins/check_vsz.c:
	  Souped up check_procs with different metrics

2003-04-07 21:21  tonvoon

	* [r472] plugins/check_snmp.c:
	  Removed unnecessary regex array

2003-04-07 11:39  kdebisschop

	* [r471] plugins/check_http.c:
	  ste timeout one second greater than critical time

2003-04-07 11:38  kdebisschop

	* [r470] plugins/check_game.c:
	  had been grandfathered ibto core, finally use normal getopts, add
	  options for player, max-player array positions

2003-04-03 21:21  tonvoon

	* [r469] plugins-scripts/check_oracle.sh:
	  Cleaned up cache output

2003-04-01 22:24  tonvoon

	* [r468] plugins-scripts/check_oracle.sh:
	  Fixed sqlplus calls and rearranged parameters for --tablespace &
	  --cache

2003-04-01 04:00  kdebisschop

	* [r467] configure.in:
	  remove PATH_PROG call for autoconf/automake components

2003-03-31 12:49  kdebisschop

	* [r466] plugins/check_disk.c:
	  checkpoint supresses iso9660 adds option for checking only local
	  adds choice of scale factor

2003-03-27 22:53  tonvoon

	* [r465] plugins/check_nwstat.c:
	  Extra Netware checks (Patch 710247 - Dietmar Ruzicka)

2003-03-26 05:37  tonvoon

	* [r464] configure.in:
	  ipv6 check requires unistd.h for Darwin

2003-03-26 03:57  tonvoon

	* [r463] configure.in, plugins/check_procs.c:
	  Removal of ps_raw and ps_vars

2003-03-26 03:39  tonvoon

	* [r462] plugins/check_nagios.c:
